'+--------------------------------------------------------------------------+
'|                                                                          |
'|                               SKENGINE.INC                               |
'|                                                                          |
'|            WinLIFT Skin Engine API constants and declarations.           |
'|                                                                          |
'|                               Version 2.50                               |
'|                                                                          |
'+--------------------------------------------------------------------------+
'|                                                                          |
'|                         Author Patrice TERRIER                           |
'|            8 Domaine de Rochagnon. 38800 Champagnier  FRANCE             |
'|                       http://www.zapsolution.com                         |
'|                    E-mail: pterrier@zapsolution.com                      |
'|                                                                          |
'|                   copyright (c) 2002 Patrice TERRIER                     |
'|                                                                          |
'+--------------------------------------------------------------------------+
'|                  Project started on : 11-01-1999                         |
'|                        Last revised : 02-19-2005 (version 3.02)          |
'+--------------------------------------------------------------------------+

TYPE SKALL
    BitMap    AS LONG     ' a Bitmap handle to be displayed.
    Icon      AS LONG     ' an icon handle to be displayed.
    Fore      AS LONG     ' the foreground color to use.
    Back      AS LONG     ' the background color to use.
    Edge      AS LONG     ' the frame border to use.
    Print3D   AS INTEGER  ' the text effect %DV_3DIN or %DV_3DOUT to use.
    Just      AS BYTE     ' the %DV_CENTERED or 0 for left justified.
    Modal     AS BYTE     ' the modal flag.
    ButFocus  AS BYTE     ' the default button focus.
    Effect    AS BYTE     ' %DV_PULSE %DV_MARQUEE %DV_CENTERED caption effect.
    X         AS INTEGER  ' Left X coordinate for text display
    Y         AS INTEGER  ' Upper Y coordinate for text display
    Isize     AS INTEGER  ' Input size length in characters (alias Lq)
    Iwidth    AS INTEGER  ' Input box width in pixels
    IHeight   AS INTEGER  ' Input box height in pixels
    Itype     AS INTEGER  ' Input type (alias Qod)
    ReadOnly  AS INTEGER  ' Input ES_READONLY on or off
    Iclass    AS BYTE     ' Input 1 = combo, 2 updn
    MinV      AS INTEGER  ' Input UpDn Min value
    MaxV      AS INTEGER  ' Input UpDn Max value
    SeedV     AS INTEGER  ' Input UpDn Seed value
    hEdit     AS LONG     ' Input returns the true edit handle (combo)
    hTitle    AS LONG     ' Input returns the input title handle
    ButEscape AS BYTE     ' the default button escape.
    Button    AS BYTE     ' Flag to use a resource button.
    Dummy     AS BYTE     ' This one is free to use for any flag value. 
END TYPE

TYPE ISKALL               ' Input field for database
    Itype    AS INTEGER   ' Input type (alias Qod)
    Isize    AS INTEGER   ' Input size length in characters (alias Lq)
    Iwidth   AS INTEGER   ' Input box width in pixels
    IHeight  AS INTEGER   ' Input box height in pixels
    ReadOnly AS INTEGER   ' Input ES_READONLY on or off
    X        AS INTEGER   ' Left X coordinate for text display
    Y        AS INTEGER   ' Upper Y coordinate for text display
    Edge     AS LONG      ' the frame border to use.
    Fore     AS LONG      ' the foreground color to use.
    Back     AS LONG      ' the background color to use.
    MinV     AS INTEGER   ' Input UpDn Min value
    MaxV     AS INTEGER   ' Input UpDn Max value
    SeedV    AS INTEGER   ' Input UpDn Seed value
    Iclass   AS BYTE      ' Input 1 combodropdown, 2 updn, 10 combodropdownlist
    hEdit    AS LONG      ' Input returns the true edit handle (combo)
    hTitle   AS LONG      ' Input returns the input title handle
    offset   AS INTEGER   ' Offset inside of the record buffer.
    Search   AS BYTE      ' Search flag 1-9 (1-5 alpha, 5-6 num)
END TYPE

'TYPE DRAWITEMSTRUCT
'    CtlType AS LONG
'    CtlID AS LONG
'    itemID AS LONG
'    itemAction AS LONG
'    itemState AS LONG
'    hwndItem AS LONG
'    hdc AS LONG
'    rcItem AS Rect
'    itemData AS LONG
'END TYPE

DECLARE FUNCTION skSideL& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skSideB& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skSideR& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCaptionLed& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCaptionL& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCaptionM& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCaptionR& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCtlBack& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skPushBut& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skRadioBut& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCheckBut& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skMenuBar& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skMenuBack& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skStatusBack& LIB "SKENGINE.DLL" ()

DECLARE FUNCTION skStatusWindow& LIB "SKENGINE.DLL" (BYVAL hParent&, BYVAL Caption$)

DECLARE FUNCTION skCaptionFont& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skGetSysColor& LIB "SKENGINE.DLL" (BYVAL C&)
DECLARE FUNCTION skMenuFont& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skButtonMargin& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skPopupHandle& LIB "SKENGINE.DLL" (BYVAL PopupNumber&)
DECLARE FUNCTION skMenuHandle& LIB "SKENGINE.DLL" (BYVAL hCTLmenu&, BYVAL PopupNumber&, X&, Y&) 
DECLARE FUNCTION skGetMenuString$ LIB "SKENGINE.DLL" (BYVAL wParam&)
DECLARE FUNCTION skMenu& LIB "SKENGINE.DLL" (BYVAL BarMnu$, PopMnu$(), Mact$())
DECLARE FUNCTION skGetMenuBar$ LIB "SKENGINE.DLL" (BYVAL MenuNbr&)
     DECLARE SUB skMenuBarItem LIB "SKENGINE.DLL" (BYVAL MenuNbr&, Item$, rc AS RECT)
DECLARE FUNCTION skMenuBarItemNumber& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skMouseOnMenu& LIB "SKENGINE.DLL" (BYVAL X&, BYVAL Y&)
DECLARE FUNCTION skGetMessage& LIB "SKENGINE.DLL" (hWnd&, Msg&, wParam&, lParam&)
     DECLARE SUB skTabStop LIB "SKENGINE.DLL" (BYVAL hObject&)
DECLARE FUNCTION skButtonTip& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL hObj&, BYVAL Text$)

DECLARE FUNCTION skBut3D& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL Text$, BYVAL ButFont&, BYVAL xLeft&, BYVAL yLeft&, BYVAL btWidth&, BYVAL btHeight&, BYVAL ButID&, sk AS SKALL)

DECLARE FUNCTION skGetDC& LIB "SKENGINE.DLL" (BYVAL hOwner&) 
     DECLARE SUB skReleaseDC LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL hDC&) 
DECLARE FUNCTION skCreateMemBMP& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL Xin&, BYVAL Yin&)
DECLARE FUNCTION skGetHandleMemBmp& LIB "SKENGINE.DLL" (BYVAL hOwner&) 
DECLARE FUNCTION skGetHdcMemBmp& LIB "SKENGINE.DLL" (BYVAL hOwner&) 
DECLARE FUNCTION skGetWidthMemBmp& LIB "SKENGINE.DLL" (BYVAL hOwner&)
DECLARE FUNCTION skGetHeightMemBmp& LIB "SKENGINE.DLL" (BYVAL hOwner&) 

     DECLARE SUB HandleFocusState LIB "SKENGINE.DLL" (lpdis AS DRAWITEMSTRUCT) 
     DECLARE SUB HandleSelectedState LIB "SKENGINE.DLL" (lpdis AS DRAWITEMSTRUCT)

     DECLARE SUB skDeleteMemBMP LIB "SKENGINE.DLL" (BYVAL hOwner&)
     DECLARE SUB skTileBlt LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL X&, BYVAL Y&, BYVAL Xin&, BYVAL Yin&, BYVAL hBmpSrc&) 

DECLARE FUNCTION skGetSystemMetrics& LIB "SKENGINE.DLL" (BYVAL Mesure&)
     DECLARE SUB skSetMaxSize LIB "SKENGINE.DLL" (BYVAL Xin&, BYVAL Yin&, xFrame&, yFrame&)
DECLARE FUNCTION skXmini& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skYmini& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skXframe& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skYframe& LIB "SKENGINE.DLL" ()

DECLARE FUNCTION skHolder& LIB "SKENGINE.DLL" (BYVAL hParent&, BYVAL skClass$, BYVAL X&, BYVAL Y&, BYVAL WinCodeptr&)
DECLARE FUNCTION skWindowStyle& LIB "SKENGINE.DLL" (BYVAL Style&)
     DECLARE SUB skSetFrame LIB "SKENGINE.DLL" (BYVAL hParent&)
DECLARE FUNCTION skDialogMessage& LIB "SKENGINE.DLL" (BYVAL hWnd&, Msg AS TagMsg)
DECLARE FUNCTION skRadioButton& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL Item$, BYVAL X&, BYVAL Y&, BYVAL XX&, BYVAL YY&, BYVAL Obj&)
DECLARE FUNCTION skCheckButton& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL Item$, BYVAL X&, BYVAL Y&, BYVAL XX&, BYVAL YY&, BYVAL Obj&)
     DECLARE SUB skTransBlt LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL xDest&, BYVAL yDest&, BYVAL nWidth&, BYVAL nHeight&, BYVAL hSrcBMP&, BYVAL xSrc&, BYVAL ySrc&, BYVAL TransColor&)
     DECLARE SUB skSetRadio LIB "SKENGINE.DLL" (BYVAL hBut&, BYVAL OnOff&)
     DECLARE SUB skSetCheck LIB "SKENGINE.DLL" (BYVAL hBut&, BYVAL OnOff&)
DECLARE FUNCTION skGetRadio& LIB "SKENGINE.DLL" (BYVAL hBut&)
DECLARE FUNCTION skGetCheck& LIB "SKENGINE.DLL" (BYVAL hBut&)
DECLARE FUNCTION skMarlett& LIB "SKENGINE.DLL" (BYVAL FontHeight&) 
DECLARE FUNCTION skDefaultFont& LIB "SKENGINE.DLL" ()
     DECLARE SUB skArrowTest LIB "SKENGINE.DLL" (BYVAL ArrowKey&)
     DECLARE SUB skLine LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Xstart&, BYVAL Ystart&, BYVAL Xend&, BYVAL Yend&, BYVAL Style&, BYVAL Size&, BYVAL nColor&)
     DECLARE SUB skSetCTLText LIB "SKENGINE.DLL" (BYVAL hCTL&, BYVAL Text$)
DECLARE FUNCTION skGetCTLText$ LIB "SKENGINE.DLL" (BYVAL hCTL&)

     DECLARE SUB skReadM LIB "SKENGINE.DLL" (FilName$, BarMnu$, PopMnu$(), Mact$(), Done&)
DECLARE FUNCTION skSetBufinChar$ LIB "SKENGINE.DLL" (BYVAL Char$)
DECLARE FUNCTION skBufin$ LIB "SKENGINE.DLL" (FilName$, Done&)
DECLARE FUNCTION skExist& LIB "SKENGINE.DLL" (BYVAL FileSpec$)
DECLARE FUNCTION skFOpen& LIB "SKENGINE.DLL" (BYVAL FilName$, BYVAL AccessMode&, BYVAL ShareMode&, hFile&)
     DECLARE SUB skFClose LIB "SKENGINE.DLL" (hFile&)          
DECLARE FUNCTION skFlof& LIB "SKENGINE.DLL" (BYVAL hFile&)
DECLARE FUNCTION skFGetAt& LIB "SKENGINE.DLL" (BYVAL hFile&, BYVAL PosByte&, Buf$)
DECLARE FUNCTION skFGet& LIB "SKENGINE.DLL" (BYVAL hFile&, Buf$)
DECLARE FUNCTION skFPut& LIB "SKENGINE.DLL" (BYVAL hFile&, Buf$)
DECLARE FUNCTION skFSeek& LIB "SKENGINE.DLL" (BYVAL hFile&, BYVAL PosByte&)
     DECLARE SUB skSplitS LIB "SKENGINE.DLL" (BYVAL Expr$, Expr$(), BYVAL Delim$, BYVAL hWnd&, BYVAL hFont&, MaxCharSizeIs&, MaxFontLengthIs&)
DECLARE FUNCTION skInstrB& LIB "SKENGINE.DLL" (BYVAL FromPos&, BYVAL Item$, BYVAL Search$)
     DECLARE SUB skGetPixmapSize LIB "SKENGINE.DLL" (BYVAL hBmp&, xWidth&, yHeight&)
     DECLARE SUB skGetTextExtent LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL hFont&, BYVAL stText$, stWidth&, stHeight&)
DECLARE FUNCTION IsFrench& LIB "SKENGINE.DLL" ()
     DECLARE SUB skDskPath LIB "SKENGINE.DLL" (Dsk$, Path$) 
     DECLARE SUB skSplitN LIB "SKENGINE.DLL" (BYVAL FullName$, PathName$, FilName$)
DECLARE FUNCTION skKillFile& LIB "SKENGINE.DLL" (BYVAL FullName$) 
     DECLARE SUB skDebug LIB "SKENGINE.DLL" (BYVAL Msg$)
DECLARE FUNCTION skAuthor$ LIB "SKENGINE.DLL" ()

DECLARE FUNCTION skExeName$ LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skAppTitle$ LIB "SKENGINE.DLL" (BYVAL AppTitle$)
DECLARE FUNCTION skConvert$ LIB "SKENGINE.DLL" (BYVAL Text$)
     DECLARE SUB skDeleteObject LIB "SKENGINE.DLL" (hObject&)
DECLARE FUNCTION skUcase$ LIB "SKENGINE.DLL" (BYVAL StringToConvert$)
     DECLARE SUB skPrint LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAl Txt$, BYVAL X&, BYVAL Y&, BYVAL Fore&, BYVAL Back&, BYVAL hFont&, BYVAL BkMode&)
     DECLARE SUB skPrint3D LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAl Txt$, BYVAL X&, BYVAL Y&, BYVAL Fore&, BYVAL Back&, BYVAL hFont&, BYVAL BkMode&) 
     DECLARE SUB skPrint3DU LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAl Txt$, BYVAL X&, BYVAL Y&, BYVAL Fore&, BYVAL Back&, BYVAL hFont&, BYVAL BkMode&)
     DECLARE SUB skFillRect LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL X&, BYVAL Y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL nColor&) 
     DECLARE SUB skDrawEdge LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL X&, BYVAL Y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL edge&, BYVAL bfFlags&) 
DECLARE FUNCTION skGetBox& LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Msg&, BYVAL wParam&, BYVAL lParam&)
DECLARE FUNCTION skWindir$ LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skSysdir$ LIB "SKENGINE.DLL" () 
DECLARE FUNCTION skFindF$ LIB "SKENGINE.DLL" (BYVAL FilName$)

'---------------------------------------------------------------------------------------

     DECLARE SUB skDeBug LIB "SKENGINE.DLL" (BYVAL Msg$)
     DECLARE SUB skEvent LIB "SKENGINE.DLL" ()
     DECLARE SUB skSetCTLFont LIB "SKENGINE.DLL" (BYVAL hCTL&, BYVAL hFont&)
     DECLARE SUB skLimitTextEdit LIB "SKENGINE.DLL" (BYVAL hEdit&, BYVAL MaxLength&)
DECLARE FUNCTION skAddStringCombo& LIB "SKENGINE.DLL" (BYVAL hCombo&, BYVAL Text$)
     DECLARE SUB skAddItemODListBox LIB "SKENGINE.DLL" (BYVAL hList&, BYVAL hBitmap&)
DECLARE FUNCTION skCode$ LIB "SKENGINE.DLL" (BYVAL L$)
DECLARE FUNCTION skGetTextCombo$ LIB "SKENGINE.DLL" (BYVAL hCombo&, BYVAL Item&)
DECLARE FUNCTION skProgress32& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL ID&, BYVAL xP&, BYVAL yP&, BYVAL pWidth&, BYVAL pHeight&, BYVAL Smooth&)
DECLARE FUNCTION skInput& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL hFont&, BYVAL Caption$, BYVAL Text$, BYVAL ID&, sk AS SKALL)
DECLARE FUNCTION skEncrypt$ LIB "SKENGINE.DLL" (BYVAL Buffer$)
DECLARE FUNCTION skDecrypt$ LIB "SKENGINE.DLL" (BYVAL Buffer$)
DECLARE FUNCTION skGetPW& LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Msg&, BYVAL wParam&, BYVAL lParam&)

DECLARE FUNCTION skLoadImage& LIB "SKENGINE.DLL" (BYVAL BmpFile$)
     DECLARE SUB skSetColor LIB "SKENGINE.DLL" (BYVAL hObject&, BYVAL Fore&, BYVAL Back&)
'---------------------------------------------------------------------------------------

DECLARE FUNCTION skMinu$ LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skMaju$ LIB "SKENGINE.DLL" () 
DECLARE FUNCTION skUpDnCtrl& LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL X&, BYVAL Y&, BYVAL xW&, BYVAL yH&, BYVAL MinV&, BYVAL MaxV&, BYVAL SeedV&, BYVAL ID&)
DECLARE FUNCTION skAddStringListBox& LIB "SKENGINE.DLL" (BYVAL hList&, BYVAL Text$)
     DECLARE SUB skSetKeyboardHook LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL hObject&, BYVAL UseHook&)
     DECLARE SUB skFreeKeyboardHook LIB "SKENGINE.DLL" (BYVAL hOwner&)
     DECLARE SUB skHorzTile LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL XX&, BYVAL YY&, BYVAL Xin&, BYVAL Yin&, BYVAL hBmpSrc&)
DECLARE FUNCTION skGroupBox& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL X&, BYVAL Y&, BYVAL xW&, BYVAL yH&, BYVAL Label$, BYVAL hFont&, BYVAL Colr&)
     DECLARE SUB skDrawRect3D LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL x1&, BYVAL y1&, BYVAL x2&, BYVAL y2&, BYVAL PenTopLeft&, BYVAL PenBottomRight&)
     DECLARE SUB skWait LIB "SKENGINE.DLL" (BYVAL Delay&)
     DECLARE SUB skDrawShadow LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL nLeft&, BYVAL nTop&, BYVAL nRight&, BYVAL nBottom&)

     DECLARE SUB skInputRange LIB "SKENGINE.DLL" (BYVAL hObject&, BYVAL MinValue#, BYVAL MaxValue#)
DECLARE FUNCTION skWinErr$ LIB "SKENGINE.DLL" (BYVAL X&)
     DECLARE SUB skGetInputRange LIB "SKENGINE.DLL" (BYVAL hObject&, MinValue#, MaxValue#)

     DECLARE SUB skTransluBlt LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL xDest&, BYVAL yDest&, BYVAL nWidth&, BYVAL nHeight&, BYVAL hSrcBMP&, BYVAL xSrc&, BYVAL ySrc&, BYVAL Percent&)
     DECLARE SUB skSetTranslucency LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Percent&) 
DECLARE FUNCTION skWndTranslu& LIB "SKENGINE.DLL" (BYVAL hParent&, BYVAL hBitmap&, BYVAL x&, BYVAL y&, BYVAL Percent&) 
     DECLARE SUB skSetShadow LIB "SKENGINE.DLL" (BYVAL OnOff&)

     DECLARE SUB skSetTransMenu LIB "SKENGINE.DLL" (BYVAL OnOff&)
DECLARE FUNCTION skOsVersion& LIB "SKENGINE.DLL" ()

DECLARE FUNCTION skMsgProc& LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Msg&, BYVAL wParam&, BYVAL lParam&)
DECLARE FUNCTION skFPutAt& LIB "SKENGINE.DLL" (BYVAL hFile&, BYVAL PosByte&, Buf$)
DECLARE FUNCTION skGetHandle& LIB "SKENGINE.DLL" (BYVAL WhichHandle&)

DECLARE FUNCTION skChangeMenu& LIB "SKENGINE.DLL" (BYVAL mBar$, PopMnu$(), Mact$())
DECLARE FUNCTION IsMenuEffectOn& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skDCDesktop& LIB "SKENGINE.DLL" (BYVAL Action&)

%SK_METRICFIRST   = 1
%SK_CYCAPTION     = %SK_METRICFIRST
%SK_CYMENU        = 2
%SK_CYSTATUS      = 3
%SK_CXFRAMELEFT   = 4
%SK_CXFRAMERIGHT  = 5
%SK_CYFRAMETOP    = %SK_CYCAPTION
%SK_CYFRAMEBOTTOM = 6
%SK_CXSIZE        = 7
%SK_CYSIZE        = 8
%SK_CXSYSBUT      = 9
%SK_CYSYSBUT      = 10
%SK_CXCAPTEXT     = 11
%SK_CYCAPTEXT     = 12
%SK_XBUT3DBORDER  = 13
%SK_YBUT3DBORDER  = 14
%SK_BUTLEDON      = 15
%SK_CXSYSICON     = 16
%SK_RGN1          = 17
%SK_RGN2          = 18
%SK_RGN3          = 19
%SK_RGN4          = 20
%SK_CYSYSICON     = 21
%SK_CYCAPLED      = 22
%SK_SHADOWX       = 23
%SK_SHADOWY       = 24
%SK_SHADOWPERCENT = 25
%SK_CYMENUSIZE    = 26
%SK_METRICLAST    = %SK_CYMENUSIZE

%SK_AUTHOR        = 99

%SK_CLOSEBOX    = 1  ' puissance 2 (^2)
%SK_MINIMIZEBOX = 2  '
%SK_MAXIMIZEBOX = 4  '
%SK_DOCKBOX     = 8  '
%SK_STATUSBAR   = 16 '
%SK_NORESIZE    = 32 '

%SKCOLOR_FIRST               = 101
%SKCOLOR_CAPTIONTEXT         = %SKCOLOR_FIRST
%SKCOLOR_INACTIVECAPTIONTEXT = 102
%SKCOLOR_ACTIVECAPTION       = 103
%SKCOLOR_INACTIVECAPTION     = 104
%SKCOLOR_3DHILITE            = 105
%SKCOLOR_3DSHADOW            = 106
%SKCOLOR_MSGBOX              = 107
%SKCOLOR_BTNTEXT             = 108
%SKCOLOR_BTNHILITE           = 109
%SKCOLOR_POPMENUTEXT         = 110
%SKCOLOR_POPMENUHILITE       = 111
%SKCOLOR_WINDOW              = 112
%SKCOLOR_WINDOWTEXT          = 113
%SKCOLOR_HILITEBACK          = 114
%SKCOLOR_HILITETEXT          = 115
%SKCOLOR_ACTIVMENU           = 116  
%SKCOLOR_INACTIVMENU         = 117
%SKCOLOR_3DLEFTTOP           = 118
%SKCOLOR_3DRIGHTBOTTOM       = 119
%SKCOLOR_STATUSTEXT          = 120
%SKCOLOR_STATUSLEFTTOP       = 121
%SKCOLOR_STATUSRIGHTBOTTOM   = 122
%SKCOLOR_SHADOW              = 123
%SKCOLOR_POPMENUITEM         = 124
%SKCOLOR_LAST                = %SKCOLOR_POPMENUITEM

%SK_PULSE    = 1
%SK_MARQUEE  = 2
%SK_CENTERED = 3
%SK_3DIN     = 1
%SK_3DOUT    = -1

%SK_INTONLY   = 1
%SK_NUMONLY   = 2
%SK_UCASEONLY = 3
%SK_COMBOTEST = 4
%SK_DATEONLY  = 5
%SK_BOOLEAN   = 6
%SK_DEFAULT   = 7 ' Must be always the last hook constant

$SK_BOOLEAN   = "31,31"

%SKKEYBOARDHOOK_FORWARD = 0
%SKKEYBOARDHOOK_EAT     = 1

%WM_RETURN_KEY = %WM_USER + %VK_RETURN
%WM_ESCAPE_KEY = %WM_USER + %VK_ESCAPE

'********************************************************************************************
'*                                       Version 2.5                                        *
'********************************************************************************************

%SK_NOMENU     = 64

%SK_TRACKZEROLEFT   = 1
%SK_TRACKZEROTOP    = %SK_TRACKZEROLEFT
%SK_TRACKZERORIGHT  = 2
%SK_TRACKZEROBOTTOM = %SK_TRACKZERORIGHT

%SK_IDCLOSE    = 6
%SK_IDRESTORE  = 5
%SK_IDMAXIMIZE = 4
%SK_IDMINIMIZE = 3
%SK_IDDOCKIN   = 2
%SK_IDDOCKOUT  = 1

%SKINSTANCE      = 1
%SKFRAME         = 2
%SKCLIP          = 3
%SKHOLDER        = 4
%SKMENU          = 5
%SKCTLMENU       = 6
%SKSTATUS        = 7
%SKCTL           = 8
%SKZOOM          = 9
%SKPANEL         = 10
%SKPANELLOCATION = 11

%SK_SBNONE = 0
%SK_SBVERT = 1
%SK_SBHORZ = 2
%SK_SBBOTH = 3

'--------------------------------------------------------------------------------------------
' Changed from 2.00
DECLARE FUNCTION skWndTrans& LIB "SKENGINE.DLL" (BYVAL hParent&, BYVAL hBitmap&, BYVAL x&, BYVAL y&, BYVAL TransColor&)
DECLARE FUNCTION skAnyWnd& LIB "SKENGINE.DLL" (BYVAL hParent&, BYVAL x&, BYVAL y&, BYVAL xWin&, BYVAL yWin&, BYVAL WinCodeptr&)
DECLARE FUNCTION skMacte$ LIB "SKENGINE.DLL" (BYVAL Acte&, Mact$())
DECLARE FUNCTION skShell& LIB "SKENGINE.DLL" (BYVAL CmdLine$, BYVAL ShowWind&, BYVAL TimeLimit&)
DECLARE FUNCTION skReadStr& LIB "SKENGINE.DLL" (ConfigFile$, cfgString$(), Done&)
DECLARE FUNCTION skAnimate& LIB "SKENGINE.DLL" (BYVAL hParent&, BYVAL hBitmap&, BYVAL x&, BYVAL y&)
' skReadM allows you to use 50 items per menu instead of previous 22.

' New OPTIONAL directive
DECLARE FUNCTION skInputBox& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL hFont&, BYVAL Caption$, BYVAL tNotify$, BYVAL Button$, UserInput$, sk AS SKALL, OPTIONAL BYVAL CaptionButton&)
DECLARE FUNCTION skMsgBox& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL hFont&, BYVAL Caption$, BYVAL tNotify$, BYVAL Button$, sk AS SKALL, OPTIONAL BYVAL CaptionButton&)
DECLARE FUNCTION skInputPW& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL pwFont&, BYVAL Caption$, BYVAL tNotify$, BYVAL Button$, UserInput$, sk AS SKALL, OPTIONAL BYVAL CaptionButton&)

' Changed from PRIVATE to PUBLIC
     DECLARE SUB skBuildRegion LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skGetRValue? LIB "SKENGINE.DLL" (BYVAL colorRGB???)
DECLARE FUNCTION skGetGValue? LIB "SKENGINE.DLL" (BYVAL colorRGB???)
DECLARE FUNCTION skGetBValue? LIB "SKENGINE.DLL" (BYVAL colorRGB???)

'--------------------------------------------------------------------------------------------
' New in 2.50

$ftp     = "ftp://"
$http    = "http://"
$FileURL = "file://"
$skLim = CHR$(124)

%WM_ANIMPAUSE     = %WM_USER
%WM_ANIMRESTORE   = %WM_USER + 1
%WM_SYSTEMTASKBAR = %WM_USER + 2

%CHILDCAPTION = 0
%FRAMECAPTION = 1

#IF NOT %DEF(%CS_DROPSHADOW)
    %CS_DROPSHADOW = &H00020000
#ENDIF

DECLARE FUNCTION skOFFscreen& LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL X&, BYVAL Y&, BYVAL Action&)
     DECLARE SUB skSetXmini LIB "SKENGINE.DLL" (BYVAL Xmini&)
DECLARE FUNCTION skGetXmini& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCursorWait& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCursorStd& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skDrawItem& LIB "SKENGINE.DLL" (BYVAL lParam&)
     DECLARE SUB skUpdateTabStop LIB "SKENGINE.DLL" (BYVAL OldObject&, BYVAL NewObject&)
     DECLARE SUB skTransBltUseDC LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skWindow& LIB "SKENGINE.DLL" (BYVAL hParent&, BYVAL Style&, BYVAL x&, BYVAL y&, BYVAL xWin&, BYVAL yWin&, BYVAL WinCodeptr&, BYVAL StyleEx&)
DECLARE FUNCTION skTipHandle& LIB "SKENGINE.DLL" ()
     DECLARE SUB skRemoveTip LIB "SKENGINE.DLL" (BYVAL hObj&)
DECLARE FUNCTION skLoadFont& LIB "SKENGINE.DLL" (BYVAL FontName$, BYVAL FontHeight&, OPTIONAL BYVAL FontWeight&)
     DECLARE SUB skSetAnimateRgn LIB "SKENGINE.DLL" (BYVAL Flag&)
DECLARE FUNCTION skBmpToRgn& LIB "SKENGINE.DLL" (BYVAL hBmp&, BYVAL TransColor&)
     DECLARE SUB skCenterWind LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAL Xout&, BYVAL Yout&, X&, Y&)
DECLARE FUNCTION skRegisterClass& LIB "SKENGINE.DLL" (wc AS WndClassEx, BYVAL UseClass$)
DECLARE FUNCTION skButImage& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYREF hBitmap&, BYVAL xLeft&, BYVAL yLeft&, BYVAL ButID&)
DECLARE FUNCTION skSetLayeredWindowAttributes (BYVAL LONG, BYVAL LONG, BYVAL BYTE, BYVAL LONG) AS LONG
DECLARE FUNCTION skSetLayeredAlpha& LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL TransLevel?)
DECLARE FUNCTION skSysButHandle& LIB "SKENGINE.DLL" (BYVAL SysButton&)
DECLARE FUNCTION skSetTrackPos& LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Percent&)
DECLARE FUNCTION skGetTrackPos& LIB "SKENGINE.DLL" (BYVAL hWnd&, Percent&)
DECLARE FUNCTION TrackbarProc& LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Msg&, BYVAL wParam&, BYVAL lParam&)
DECLARE FUNCTION skTrackbar& LIB "SKENGINE.DLL" (BYVAL hOwner&, BYVAl Style&, BYVAL HORZSEEK&, BYVAL X&, BYVAL Y&, BYVAL Percent&, BYVAL ID&, BYVAL SEEKCURS&)
DECLARE FUNCTION skCPUspeed& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skMakeDir& LIB "SKENGINE.DLL" (BYVAL Rep$)
DECLARE FUNCTION skGetTempPath$ LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skPrintDlg& LIB "SKENGINE.DLL" (BYVAL hOwner&)
     DECLARE SUB skPrintDlgEx LIB "SKENGINE.DLL" (PrinterName$, DeviceName$, nPort$, BYVAL RW&)
     DECLARE SUB skGetDefaultPrinter LIB "SKENGINE.DLL" (Driver$, Device$, nPort$)
DECLARE FUNCTION skCheckScrollBar& LIB "SKENGINE.DLL" (BYVAL hWnd&)

     DECLARE SUB skUseFocusRect LIB "SKENGINE.DLL" (BYVAL OnOff&)
     DECLARE SUB skGetClientRect LIB "SKENGINE.DLL" (BYVAL hWnd&, rc AS RECT)
     DECLARE SUB skSetDialogHndl LIB "SKENGINE.DLL" (BYVAL hDlg&)
DECLARE FUNCTION skGetDialogHndl& LIB "SKENGINE.DLL" ()
     DECLARE SUB skSetSysButtonTip LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Tip$)
DECLARE FUNCTION skFormContainer& LIB "SKENGINE.DLL" (BYVAL ClassName$, BYVAL hIcon&, BYVAL Title$, BYVAL SysButTip$, BYVAL X&, BYVAL Y&, BYVAL xFrame&, BYVAL yFrame&, BYVAL cpWndProc&, hCTL&, hCTLmenu&, hStatus&)
DECLARE FUNCTION skCaptureDDT& LIB "SKENGINE.DLL" (BYVAL hDlg&)

     DECLARE SUB skFrameRgn LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL XX&, BYVAL YY&)
     DECLARE SUB skDrawBorder LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL hUseDC&)
     DECLARE SUB skDrawCaption LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL Caption$, BYVAL Inactive&, BYVAL SysStyleButton&, OPTIONAL BYVAL hRgn&)

' To be used with GDIPLUS
     DECLARE SUB skIconise LIB "SKENGINE.DLL" (BYVAL xPic&, BYVAL yPic&, BYVAL xCell&, BYVAL yCell&, xPos&, yPos&, xSize&, ySize&)
DECLARE FUNCTION skSaveToBmpFile& LIB "SKENGINE.DLL" (BYVAL FilName$, BYVAL hWnd&, rc AS RECT)

%ID_CLOSE    = 32196
%ID_MINIMIZE = 32193
%ID_MAXIMIZE = 32194
%ID_RESTORE  = 32195
%ID_DOCKIN   = 32192
%ID_DOCKOUT  = 32191

%SK_ROLLUP   = 5
%SK_ROLLDOWN = 6

%WM_SKNEWFRAMEDISPLAYED = &H400 + &H113 ' &H400 = %WM_USER, &H113 = %WM_TIMER

%SK_DISSOLVE_FROM_TOP              = 1
%SK_DISSOLVE_FROM_BOTTOM           = 2
%SK_DISSOLVE_FROM_LEFT             = 3
%SK_DISSOLVE_FROM_RIGHT            = 4
%SK_DISSOLVE_HORIZONTALY_TO_CENTER = 5
%SK_DISSOLVE_VERTICALY_TO_CENTER   = 6
%SK_DISSOLVE_TO_CENTER             = 7

DECLARE FUNCTION skPopupContainer& LIB "SKENGINE.DLL" (BYVAL hWndToCapture&, BYVAL Caption$, BYVAL X&, BYVAL Y&, BYVAL xPopupIn&, BYVAL yPopupIn&, BYVAL cpWndProc&, BYVAL CaptionButton&, BYVAL Effect&)
DECLARE FUNCTION skDisplayDC& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skCpopupR& LIB "SKENGINE.DLL" ()
DECLARE FUNCTION skSpaceCharToPixel& LIB "SKENGINE.DLL" (BYVAL UseFont&, CharHeight&)
     DECLARE SUB sk3Deffect LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL xDest&, BYVAL yDest&, BYVAL nWidth&, BYVAL nHeight&, BYVAL hSrcBMP&, BYVAL UseEffect&)

DECLARE FUNCTION skCheckClass& LIB "SKENGINE.DLL" (BYVAL CheckClass$)
DECLARE FUNCTION skCtlColorStatic& LIB "SKENGINE.DLL" (BYVAL wParam&, BYVAL lParam&)
     DECLARE SUB skFreeObjectColor LIB "SKENGINE.DLL" (BYVAL hOwner&)
     DECLARE SUB skFreeObjectFont LIB "SKENGINE.DLL" (BYVAL hOwner&)

     DECLARE SUB skDisplayCaption LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL hUseDC&, BYVAL Caption$, BYVAL FrameType&, BYVAL Inactive&, BYVAL SysStyleButton&)
DECLARE FUNCTION IsFullWindowDragOn& LIB "SKENGINE.DLL" ()

     DECLARE SUB skCreateSysButton LIB "SKENGINE.DLL" (BYVAL hWnd&)

     DECLARE SUB skTileBack LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL hDC&)
DECLARE FUNCTION skCheckColorProperty& LIB "SKENGINE.DLL" (BYVAL hWnd&)
     DECLARE SUB skDrawBut3D LIB "SKENGINE.DLL" (BYVAL hBut&, BYVAL Text$, BYVAL ButFont&, BYVAL btWidth&, BYVAL btHeight&, bt AS SKALL)

DECLARE FUNCTION skMenuBitmap& LIB "SKENGINE.DLL" (BYVAL Item$, BYVAL X&, BYVAL Y&)
     DECLARE SUB skShadowBlt LIB "SKENGINE.DLL" (BYVAL hDC&, BYVAL xDest&, BYVAL yDest&, BYVAL nWidth&, BYVAL nHeight&, BYVAL ShadowColor&, BYVAL xSrc&, BYVAL ySrc&, BYVAL Percent&) 
     DECLARE SUB skGetFullTextExtent LIB "SKENGINE.DLL" (BYVAL hWnd&, BYVAL hFont&, BYVAL stText$, stWidth&, stHeight&)
DECLARE FUNCTION skGetTransMenu& LIB "SKENGINE.DLL" ()

     DECLARE SUB skUseToolCaption LIB "SKENGINE.DLL" ()
     DECLARE SUB skMakeRegion LIB "SKENGINE.DLL" (BYVAL hWnd&, hRgnTmp&, BYVAL xF&, BYVAL yF&)

     DECLARE SUB skSetNewFrame LIB "SKENGINE.DLL" (BYVAL hParent&)

DECLARE FUNCTION skCtlColor& LIB "SKENGINE.DLL" (BYVAL wParam&, BYVAL lParam&)

'    DECLARE SUB skSetWindowHook LIB "SKENGINE.DLL" ()
'    DECLARE SUB skRemoveWindowHook LIB "SKENGINE.DLL" ()

'********************************************************************************************

' Version 3.02
DECLARE FUNCTION skEngineInit& LIB "SKENGINE.DLL" (BYVAL FilName$)
DECLARE FUNCTION skSkinName LIB "SKENGINE.DLL" () AS STRING
DECLARE FUNCTION skDetectMB& LIB "SKENGINE.DLL" (BYVAL hOwner&)

DECLARE FUNCTION skTrialVersion LIB "SKENGINE.DLL" () AS LONG
