'http://msdn.microsoft.com/library/en-us/gdicpp/GDIPlus/aboutGDIPlus.asp
'
' .NET translation by Avery P. - 07/29/2002 
' PB/WIN translation by Patrice Terrier - 08/17/2002 
'
' NOTES:
'   - All GDI+ Strings expect and return ONLY Unicode - you'll need to use UCODE$ when using them.
'   - Functions with an I (i) at the end are non-floating point declarations
'   - If a function without the I (i) at the end doesn't work, try the one with (if any).
'     If neither version worked, then you did something wrong, or the API *may* be misdeclared.
'   - The word (ALL) next to an API set mean all of the functions are declared. (ALL GDI+ functions are now declared 8/12/2002)
'   - Search for "TODO:" (no quotes) to see what still needs done within the file. If there is no TODO, there is nothing to do!
'   - If you want to get all of the encoder or decoder file extensions, MIME type, or other values, try to use the Get__Clsid functions AS a base.
'   - If you don't like the idea of converting strings to and from Unicode, change all AS String occurances in the API declarations
'     to AS LONG, and use the StrPtr() result instead. I opted to use the AS String for clarity, especially since the GDI+ docs are
'     geared toward how to use the C++ classes.
'   - I may have misdeclared the IStream functions AS I'm not too familiar with them. Do a "TODO:" or "IStream" search (no quotes) to see the
'     IStream functions. All parameters except one where declared AS 'IStream* stream' in C++. The exception has a comment above it. The possible
'     problem is that the IStream parameters should be passed ByRef instead of BYVAL. If they are wrong, please tell me!
'   - APIs are in ordered groups, just like the C++ header, but the groups themselves are not in the same order AS in the C++ headers.
'
' WARNINGS:
'   - Some of the structs may not work, though I didn't test them all fully.
'     If a function causes a GPF or performs unexpectedly, the declarations are probably a bit off.
'   - Some APIs that have a ByRef parameter may expect an array; check the MSDN to find out if unsure.
'
'-----------------------------------------------
' GDI+ Constants
'-----------------------------------------------
%LF_FACESIZE = 32

' Shift count and bit mask for A, R, G, B components
%AlphaShift = 24
%RedShift = 16
%GreenShift = 8
%BlueShift = 0

%AlphaMask = &HFF000000
%RedMask = &HFF0000
%GreenMask = &HFF00
%BlueMask = &HFF


' Image property types
%PropertyTagTypeByte = 1
%PropertyTagTypeASCII = 2
%PropertyTagTypeShort = 3
%PropertyTagTypeLong = 4
%PropertyTagTypeRational = 5
%PropertyTagTypeUndefined = 7
%PropertyTagTypeSLONG = 9
%PropertyTagTypeSRational = 10


' Image property ID tags
%PropertyTagExifIFD = &H8769
%PropertyTagGpsIFD = &H8825

%PropertyTagNewSubfileType = &HFE
%PropertyTagSubfileType = &HFF
%PropertyTagImageWidth = &H100
%PropertyTagImageHeight = &H101
%PropertyTagBitsPerSample = &H102
%PropertyTagCompression = &H103
%PropertyTagPhotometricInterp = &H106
%PropertyTagThreshHolding = &H107
%PropertyTagCellWidth = &H108
%PropertyTagCellHeight = &H109
%PropertyTagFillOrder = &H10A
%PropertyTagDocumentName = &H10D
%PropertyTagImageDescription = &H10E
%PropertyTagEquipMake = &H10F
%PropertyTagEquipModel = &H110
%PropertyTagStripOffsets = &H111
%PropertyTagOrientation = &H112
%PropertyTagSamplesPerPixel = &H115
%PropertyTagRowsPerStrip = &H116
%PropertyTagStripBytesCount = &H117
%PropertyTagMinSampleValue = &H118
%PropertyTagMaxSampleValue = &H119
%PropertyTagXResolution = &H11A            ' Image resolution in width direction
%PropertyTagYResolution = &H11B            ' Image resolution in height direction
%PropertyTagPlanarConfig = &H11C           ' Image data arrangement
%PropertyTagPageName = &H11D
%PropertyTagXPosition = &H11E
%PropertyTagYPosition = &H11F
%PropertyTagFreeOffset = &H120
%PropertyTagFreeByteCounts = &H121
%PropertyTagGrayResponseUnit = &H122
%PropertyTagGrayResponseCurve = &H123
%PropertyTagT4Option = &H124
%PropertyTagT6Option = &H125
%PropertyTagResolutionUnit = &H128         ' Unit of X and Y resolution
%PropertyTagPageNumber = &H129
%PropertyTagTransferFuncition = &H12D
%PropertyTagSoftwareUsed = &H131
%PropertyTagDateTime = &H132
%PropertyTagArtist = &H13B
%PropertyTagHostComputer = &H13C
%PropertyTagPredictor = &H13D
%PropertyTagWhitePoint = &H13E
%PropertyTagPrimaryChromaticities = &H13F
%PropertyTagColorMap = &H140
%PropertyTagHalftoneHints = &H141
%PropertyTagTileWidth = &H142
%PropertyTagTileLength = &H143
%PropertyTagTileOffset = &H144
%PropertyTagTileByteCounts = &H145
%PropertyTagInkSet = &H14C
%PropertyTagInkNames = &H14D
%PropertyTagNumberOfInks = &H14E
%PropertyTagDotRange = &H150
%PropertyTagTargetPrinter = &H151
%PropertyTagExtraSamples = &H152
%PropertyTagSampleFormat = &H153
%PropertyTagSMinSampleValue = &H154
%PropertyTagSMaxSampleValue = &H155
%PropertyTagTransferRange = &H156

%PropertyTagJPEGProc = &H200
%PropertyTagJPEGInterFormat = &H201
%PropertyTagJPEGInterLength = &H202
%PropertyTagJPEGRestartInterval = &H203
%PropertyTagJPEGLosslessPredictors = &H205
%PropertyTagJPEGPointTransforms = &H206
%PropertyTagJPEGQTables = &H207
%PropertyTagJPEGDCTables = &H208
%PropertyTagJPEGACTables = &H209

%PropertyTagYCbCrCoefficients = &H211
%PropertyTagYCbCrSubsampling = &H212
%PropertyTagYCbCrPositioning = &H213
%PropertyTagREFBlackWhite = &H214

%PropertyTagICCProfile = &H8773                 ' This TAG is defined by ICC
                                                ' for embedded ICC in TIFF
%PropertyTagGamma = &H301
%PropertyTagICCProfileDescriptor = &H302
%PropertyTagSRGBRenderingIntent = &H303

%PropertyTagImageTitle = &H320
%PropertyTagCopyright = &H8298

' Extra TAGs (Like Adobe Image Information tags etc.)

%PropertyTagResolutionXUnit = &H5001
%PropertyTagResolutionYUnit = &H5002
%PropertyTagResolutionXLengthUnit = &H5003
%PropertyTagResolutionYLengthUnit = &H5004
%PropertyTagPrintFlags = &H5005
%PropertyTagPrintFlagsVersion = &H5006
%PropertyTagPrintFlagsCrop = &H5007
%PropertyTagPrintFlagsBleedWidth = &H5008
%PropertyTagPrintFlagsBleedWidthScale = &H5009
%PropertyTagHalftoneLPI = &H500A
%PropertyTagHalftoneLPIUnit = &H500B
%PropertyTagHalftoneDegree = &H500C
%PropertyTagHalftoneShape = &H500D
%PropertyTagHalftoneMisc = &H500E
%PropertyTagHalftoneScreen = &H500F
%PropertyTagJPEGQuality = &H5010
%PropertyTagGridSize = &H5011
%PropertyTagThumbnailFormat = &H5012            ' 1 = JPEG, 0 = RAW RGB
%PropertyTagThumbnailWidth = &H5013
%PropertyTagThumbnailHeight = &H5014
%PropertyTagThumbnailColorDepth = &H5015
%PropertyTagThumbnailPlanes = &H5016
%PropertyTagThumbnailRawBytes = &H5017
%PropertyTagThumbnailSize = &H5018
%PropertyTagThumbnailCompressedSize = &H5019
%PropertyTagColorTransferFunction = &H501A
%PropertyTagThumbnailData = &H501B              ' RAW thumbnail bits in JPEG format or RGB format
                                                ' depends on PropertyTagThumbnailFormat

' Thumbnail related TAGs
%PropertyTagThumbnailImageWidth = &H5020            ' Thumbnail width
%PropertyTagThumbnailImageHeight = &H5021           ' Thumbnail height
%PropertyTagThumbnailBitsPerSample = &H5022         ' Number of bits per component
%PropertyTagThumbnailCompression = &H5023           ' Compression Scheme
%PropertyTagThumbnailPhotometricInterp = &H5024     ' Pixel composition
%PropertyTagThumbnailImageDescription = &H5025      ' Image Tile
%PropertyTagThumbnailEquipMake = &H5026             ' Manufacturer of Image Input equipment
%PropertyTagThumbnailEquipModel = &H5027            ' Model of Image input equipment
%PropertyTagThumbnailStripOffsets = &H5028          ' Image data location
%PropertyTagThumbnailOrientation = &H5029           ' Orientation of image
%PropertyTagThumbnailSamplesPerPixel = &H502A       ' Number of components
%PropertyTagThumbnailRowsPerStrip = &H502B          ' Number of rows per strip
%PropertyTagThumbnailStripBytesCount = &H502C       ' Bytes per compressed strip
%PropertyTagThumbnailResolutionX = &H502D           ' Resolution in width direction
%PropertyTagThumbnailResolutionY = &H502E           ' Resolution in height direction
%PropertyTagThumbnailPlanarConfig = &H502F          ' Image data arrangement
%PropertyTagThumbnailResolutionUnit = &H5030        ' Unit of X and Y resolution
%PropertyTagThumbnailTransferFunction = &H5031      ' Transfer function
%PropertyTagThumbnailSoftwareUsed = &H5032          ' Software used
%PropertyTagThumbnailDateTime = &H5033              ' File change date and time
%PropertyTagThumbnailArtist = &H5034                ' Person who created the  image
%PropertyTagThumbnailWhitePoint = &H5035            ' White point chromaticity
%PropertyTagThumbnailPrimaryChromaticities = &H5036 ' Chromaticities of primaries
%PropertyTagThumbnailYCbCrCoefficients = &H5037     ' Color space transformation coefficients
%PropertyTagThumbnailYCbCrSubsampling = &H5038      ' Subsampling ratio of Y to C
%PropertyTagThumbnailYCbCrPositioning = &H5039      ' Y and C position
%PropertyTagThumbnailRefBlackWhite = &H503A         ' Pair of black and white reference values
%PropertyTagThumbnailCopyRight = &H503B             ' CopyRight holder

%PropertyTagLuminanceTable = &H5090
%PropertyTagChrominanceTable = &H5091

%PropertyTagFrameDelay = &H5100
%PropertyTagLoopCount = &H5101

%PropertyTagPixelUnit = &H5110          ' Unit specifier for pixel/unit
%PropertyTagPixelPerUnitX = &H5111      ' Pixels per unit in X
%PropertyTagPixelPerUnitY = &H5112      ' Pixels per unit in Y
%PropertyTagPaletteHistogram = &H5113   ' Palette histogram

' EXIF specific tag

%PropertyTagExifExposureTime = &H829A
%PropertyTagExifFNumber = &H829D

%PropertyTagExifExposureProg = &H8822
%PropertyTagExifSpectralSense = &H8824
%PropertyTagExifISOSpeed = &H8827
%PropertyTagExifOECF = &H8828

%PropertyTagExifVer = &H9000
%PropertyTagExifDTOrig = &H9003         ' Date & time of original
%PropertyTagExifDTDigitized = &H9004    ' Date & time of digital data generation

%PropertyTagExifCompConfig = &H9101
%PropertyTagExifCompBPP = &H9102

%PropertyTagExifShutterSpeed = &H9201
%PropertyTagExifAperture = &H9202
%PropertyTagExifBrightness = &H9203
%PropertyTagExifExposureBias = &H9204
%PropertyTagExifMaxAperture = &H9205
%PropertyTagExifSubjectDist = &H9206
%PropertyTagExifMeteringMode = &H9207
%PropertyTagExifLightSource = &H9208
%PropertyTagExifFlash = &H9209
%PropertyTagExifFocalLength = &H920A
%PropertyTagExifMakerNote = &H927C
%PropertyTagExifUserComment = &H9286
%PropertyTagExifDTSubsec = &H9290        ' Date & Time subseconds
%PropertyTagExifDTOrigSS = &H9291        ' Date & Time original subseconds
%PropertyTagExifDTDigSS = &H9292         ' Date & TIme digitized subseconds

%PropertyTagExifFPXVer = &HA000
%PropertyTagExifColorSpace = &HA001
%PropertyTagExifPixXDim = &HA002
%PropertyTagExifPixYDim = &HA003
%PropertyTagExifRelatedWav = &HA004      ' related sound file
%PropertyTagExifInterop = &HA005
%PropertyTagExifFlashEnergy = &HA20B
%PropertyTagExifSpatialFR = &HA20C       ' Spatial Frequency Response
%PropertyTagExifFocalXRes = &HA20E       ' Focal Plane X Resolution
%PropertyTagExifFocalYRes = &HA20F       ' Focal Plane Y Resolution
%PropertyTagExifFocalResUnit = &HA210    ' Focal Plane Resolution Unit
%PropertyTagExifSubjectLoc = &HA214
%PropertyTagExifExposureIndex = &HA215
%PropertyTagExifSensingMethod = &HA217
%PropertyTagExifFileSource = &HA300
%PropertyTagExifSceneType = &HA301
%PropertyTagExifCfaPattern = &HA302

%PropertyTagGpsVer = &H0
%PropertyTagGpsLatitudeRef = &H1
%PropertyTagGpsLatitude = &H2
%PropertyTagGpsLongitudeRef = &H3
%PropertyTagGpsLongitude = &H4
%PropertyTagGpsAltitudeRef = &H5
%PropertyTagGpsAltitude = &H6
%PropertyTagGpsGpsTime = &H7
%PropertyTagGpsGpsSatellites = &H8
%PropertyTagGpsGpsStatus = &H9
%PropertyTagGpsGpsMeasureMode = &HA
%PropertyTagGpsGpsDop = &HB              ' Measurement precision
%PropertyTagGpsSpeedRef = &HC
%PropertyTagGpsSpeed = &HD
%PropertyTagGpsTrackRef = &HE
%PropertyTagGpsTrack = &HF
%PropertyTagGpsImgDirRef = &H10
%PropertyTagGpsImgDir = &H11
%PropertyTagGpsMapDatum = &H12
%PropertyTagGpsDestLatRef = &H13
%PropertyTagGpsDestLat = &H14
%PropertyTagGpsDestLongRef = &H15
%PropertyTagGpsDestLong = &H16
%PropertyTagGpsDestBearRef = &H17
%PropertyTagGpsDestBear = &H18
%PropertyTagGpsDestDistRef = &H19
%PropertyTagGpsDestDist = &H1A

' TODO: Make a function to get these GUIDs
' CLSIDs (aka GUIDs) used with the GdipGetImageRawFormat function:
'DEFINE_GUID(ImageFormatUndefined, 0xb96b3ca9,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatMemoryBMP, 0xb96b3caa,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatBMP, 0xb96b3cab,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatEMF, 0xb96b3cac,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatWMF, 0xb96b3cad,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatJPEG, 0xb96b3cae,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatPNG, 0xb96b3caf,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatGIF, 0xb96b3cb0,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatTIFF, 0xb96b3cb1,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatEXIF, 0xb96b3cb2,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);
'DEFINE_GUID(ImageFormatIcon, 0xb96b3cb5,0x0728,0x11d3,0x9d,0x7b,0x00,0x00,0xf8,0x1e,0xf3,0x2e);

'-----------------------------------------------
' The following types are NOT in the GDI+ docs, per se
'-----------------------------------------------

TYPE POINTF   ' aka PointF
   x AS SINGLE
   y AS SINGLE
END TYPE

TYPE RECTF    ' aka RectF
   nLEFT AS SINGLE
   nTop AS SINGLE
   nRIGHT AS SINGLE
   nBottom AS SINGLE
END TYPE

TYPE SIZEF    ' aka SizeF
   cx AS SINGLE
   cy AS SINGLE
END TYPE

' Custom types
TYPE COLORBYTES
   BlueByte AS BYTE
   GreenByte AS BYTE
   RedByte AS BYTE
   AlphaByte AS BYTE
END TYPE

TYPE COLORLONG
   longval AS LONG
END TYPE


'-----------------------------------------------
' GDI+ Structs/Types
'-----------------------------------------------

TYPE IStream DWORD
   QueryInterface  AS DWORD
   AddRef          AS DWORD
   Release         AS DWORD
   SRead           AS DWORD
   SWrite          AS DWORD
   SSeek           AS DWORD
   SetSize         AS DWORD
   CopyTo          AS DWORD
   Commit          AS DWORD
   Revert          AS DWORD
   LockRegion      AS DWORD
   UnlockRegion    AS DWORD
   Stat            AS DWORD
   Clone           AS DWORD
END TYPE

TYPE GdiplusStartupInput
   GdiplusVersion AS LONG              ' Must be 1
   DebugEventCallback AS LONG          ' Ignored on free builds
   SuppressBackgroundThread AS LONG    ' FALSE unless you're prepared to call
                                       ' the hook/unhook functions properly
   SuppressExternalCodecs AS LONG      ' FALSE unless you want GDI+ only to use
                                       ' its internal image codecs.
END TYPE

'TYPE GUIDAPI
'   Data1 AS LONG
'   Data2 AS INTEGER
'   Data3 AS INTEGER
'   Data4(0 TO 7) AS BYTE
'END TYPE

TYPE ImageCodecInfo
   ClassID AS GUIDAPI
   FormatID AS GUIDAPI
   CodecName AS LONG         ' String Pointer; const WCHAR*
   DllName AS LONG           ' String Pointer; const WCHAR*
   FormatDescription AS LONG ' String Pointer; const WCHAR*
   FilenameExtension AS LONG ' String Pointer; const WCHAR*
   MimeType AS LONG          ' String Pointer; const WCHAR*
   flags AS LONG
   Version AS LONG
   SigCount AS LONG
   SigSize AS LONG
   SigPattern AS LONG        ' Byte Array Pointer; BYTE*
   SigMask AS LONG           ' Byte Array Pointer; BYTE*
END TYPE

' Encoder Parameter structure
TYPE EncoderParameter
   pGUID AS GUIDAPI                       ' GUID of the parameter
   NumberOfValues AS LONG                 ' Number of the parameter values; usually 1
   vType AS LONG ' EncoderParameterValueType     ' Value type, like ValueTypeLONG  etc.
   value AS LONG                          ' A pointer to the parameter values
END TYPE

' Encoder Parameters structure
TYPE EncoderParameters
   Count AS LONG                          ' Number of parameters in this structure; Should be 1
   Parameter AS EncoderParameter          ' Parameter values; this CAN be an array!!!! (Use CopyMemory and a string or byte array AS workaround)
END TYPE

TYPE ColorPalette
   flags AS LONG           ' Palette flags
   Count AS LONG           ' Number of color entries
   Entries AS LONG         ' Palette color entries; this CAN be an array!!!! (Use CopyMemory and a string or byte array AS workaround)
END TYPE

TYPE ColorMatrix
   m(0 TO 4, 0 TO 4) AS SINGLE
END TYPE

' Information about image pixel data
TYPE BitmapData
   nWIDTH AS LONG
   nHeight AS LONG
   stride AS LONG
   PixelFormat AS LONG
   scan0 AS LONG
   Reserved AS LONG
END TYPE


TYPE PathData
   Count AS LONG
   pPoint AS LONG    ' Pointer to POINTF array
   types AS LONG     ' Pointer to BYTE array
END TYPE

TYPE PropertyItem
   propId AS LONG              ' ID of this property
   length AS LONG              ' Length of the property value, in bytes
   nType AS INTEGER            ' Type of the value, AS one of TAG_TYPE_XXX
                               ' defined above
   value AS LONG               ' property value
END TYPE

TYPE LOGFONTA
   lfHeight AS LONG
   lfWidth AS LONG
   lfEscapement AS LONG
   lfOrientation AS LONG
   lfWeight AS LONG
   lfItalic AS BYTE
   lfUnderline AS BYTE
   lfStrikeOut AS BYTE
   lfCharSet AS BYTE
   lfOutPrecision AS BYTE
   lfClipPrecision AS BYTE
   lfQuality AS BYTE
   lfPitchAndFamily AS BYTE
   lfFaceName AS STRING * %LF_FACESIZE
END TYPE

TYPE LOGFONTW
   lfHeight AS LONG
   lfWidth AS LONG
   lfEscapement AS LONG
   lfOrientation AS LONG
   lfWeight AS LONG
   lfItalic AS BYTE
   lfUnderline AS BYTE
   lfStrikeOut AS BYTE
   lfCharSet AS BYTE
   lfOutPrecision AS BYTE
   lfClipPrecision AS BYTE
   lfQuality AS BYTE
   lfPitchAndFamily AS BYTE
   lfFaceName(1 TO %LF_FACESIZE) AS INTEGER   ' TODO: Spruce this up a bit
END TYPE

TYPE CharacterRange
   First AS LONG
   length AS LONG
END TYPE

TYPE PWMFRect16
   nLEFT AS INTEGER
   nTop AS INTEGER
   nRIGHT AS INTEGER
   nBottom AS INTEGER
END TYPE

TYPE WmfPlaceableFileHeader
   Key AS LONG                        ' GDIP_WMF_PLACEABLEKEY
   Hmf AS INTEGER                     ' Metafile HANDLE number (always 0)
   boundingBox AS PWMFRect16          ' Coordinates in metafile units
   Inch AS INTEGER                    ' Number of metafile units per inch
   Reserved AS LONG                   ' Reserved (always 0)
   Checksum AS INTEGER                ' Checksum value for previous 10 WORDs
END TYPE

TYPE ENHMETAHEADER3
   itype AS LONG               ' Record type EMR_HEADER
   nSize AS LONG               ' Record size in bytes.  This may be greater
                               ' than the sizeof(ENHMETAHEADER).
   rclBounds AS RECTL          ' Inclusive-inclusive bounds in device units
   rclFrame AS RECTL           ' Inclusive-inclusive Picture Frame .01mm unit
   dSignature AS LONG          ' Signature.  Must be ENHMETA_SIGNATURE.
   nVersion AS LONG            ' Version number
   nBytes AS LONG              ' Size of the metafile in bytes
   nRecords AS LONG            ' Number of records in the metafile
   nHandles AS INTEGER         ' Number of handles in the handle table
                               ' Handle index zero is reserved.
   sReserved AS INTEGER        ' Reserved.  Must be zero.
   nDescription AS LONG        ' Number of chars in the unicode desc string
                               ' This is 0 if there is no description string
   offDescription AS LONG      ' Offset to the metafile description record.
                               ' This is 0 if there is no description string
   nPalEntries AS LONG         ' Number of entries in the metafile palette.
   szlDevice AS SIZEL          ' Size of the reference device in pels
   szlMillimeters AS SIZEL     ' Size of the reference device in millimeters
END TYPE

TYPE MetafileHeader
   mType AS LONG               ' MetafileType
   SIZE AS LONG                ' Size of the metafile (in bytes)
   Version AS LONG             ' EMF+, EMF, or WMF version
   EmfPlusFlags AS LONG
   DpiX AS SINGLE
   DpiY AS SINGLE
   x AS LONG                   ' Bounds in device units
   y AS LONG
   nWIDTH AS LONG
   Height AS LONG
   'Union
   '{
   '    METAHEADER WmfHeader
   '    ENHMETAHEADER3 EmfHeader
   '}
   EmfHeader AS ENHMETAHEADER3 ' NOTE: You'll have to use CopyMemory to view the METAHEADER type
   EmfPlusHeaderSize AS LONG   ' size of the EMF+ header in file
   LogicalDpiX AS LONG         ' Logical Dpi of reference Hdc
   LogicalDpiY AS LONG         ' usually valid only for EMF+
END TYPE

'-----------------------------------------------
' GDI+ Enums
'-----------------------------------------------

%UnitWorld      = 0 ' World coordinate (non-physical unit)
%UnitDisplay    = 1 ' Variable -- for PageTransform only
%UnitPixel      = 2 ' Each unit is one device pixel.
%UnitPoint      = 3 ' Each unit is a printer's point, or 1/72 inch.
%UnitInch       = 4 ' Each unit is 1 inch.
%UnitDocument   = 5 ' Each unit is 1/300 inch.
%UnitMillimeter = 6 ' Each unit is 1 millimeter.

' Common color constants
' NOTE: Original enum was unnamed
%ColorsAliceBlue = &HFFF0F8FF
%ColorsAntiqueWhite = &HFFFAEBD7
%ColorsAqua = &HFF00FFFF
%ColorsAquamarine = &HFF7FFFD4
%ColorsAzure = &HFFF0FFFF
%ColorsBeige = &HFFF5F5DC
%ColorsBisque = &HFFFFE4C4
%ColorsBlack = &HFF000000
%ColorsBlanchedAlmond = &HFFFFEBCD
%ColorsBlue = &HFF0000FF
%ColorsBlueViolet = &HFF8A2BE2
%ColorsBrown = &HFFA52A2A
%ColorsBurlyWood = &HFFDEB887
%ColorsCadetBlue = &HFF5F9EA0
%ColorsChartreuse = &HFF7FFF00
%ColorsChocolate = &HFFD2691E
%ColorsCoral = &HFFFF7F50
%ColorsCornflowerBlue = &HFF6495ED
%ColorsCornsilk = &HFFFFF8DC
%ColorsCrimson = &HFFDC143C
%ColorsCyan = &HFF00FFFF
%ColorsDarkBlue = &HFF00008B
%ColorsDarkCyan = &HFF008B8B
%ColorsDarkGoldenrod = &HFFB8860B
%ColorsDarkGray = &HFFA9A9A9
%ColorsDarkGreen = &HFF006400
%ColorsDarkKhaki = &HFFBDB76B
%ColorsDarkMagenta = &HFF8B008B
%ColorsDarkOliveGreen = &HFF556B2F
%ColorsDarkOrange = &HFFFF8C00
%ColorsDarkOrchid = &HFF9932CC
%ColorsDarkRed = &HFF8B0000
%ColorsDarkSalmon = &HFFE9967A
%ColorsDarkSeaGreen = &HFF8FBC8B
%ColorsDarkSlateBlue = &HFF483D8B
%ColorsDarkSlateGray = &HFF2F4F4F
%ColorsDarkTurquoise = &HFF00CED1
%ColorsDarkViolet = &HFF9400D3
%ColorsDeepPink = &HFFFF1493
%ColorsDeepSkyBlue = &HFF00BFFF
%ColorsDimGray = &HFF696969
%ColorsDodgerBlue = &HFF1E90FF
%ColorsFirebrick = &HFFB22222
%ColorsFloralWhite = &HFFFFFAF0
%ColorsForestGreen = &HFF228B22
%ColorsFuchsia = &HFFFF00FF
%ColorsGainsboro = &HFFDCDCDC
%ColorsGhostWhite = &HFFF8F8FF
%ColorsGold = &HFFFFD700
%ColorsGoldenrod = &HFFDAA520
%ColorsGray = &HFF808080
%ColorsGreen = &HFF008000
%ColorsGreenYellow = &HFFADFF2F
%ColorsHoneydew = &HFFF0FFF0
%ColorsHotPink = &HFFFF69B4
%ColorsIndianRed = &HFFCD5C5C
%ColorsIndigo = &HFF4B0082
%ColorsIvory = &HFFFFFFF0
%ColorsKhaki = &HFFF0E68C
%ColorsLavender = &HFFE6E6FA
%ColorsLavenderBlush = &HFFFFF0F5
%ColorsLawnGreen = &HFF7CFC00
%ColorsLemonChiffon = &HFFFFFACD
%ColorsLightBlue = &HFFADD8E6
%ColorsLightCoral = &HFFF08080
%ColorsLightCyan = &HFFE0FFFF
%ColorsLightGoldenrodYellow = &HFFFAFAD2
%ColorsLightGray = &HFFD3D3D3
%ColorsLightGreen = &HFF90EE90
%ColorsLightPink = &HFFFFB6C1
%ColorsLightSalmon = &HFFFFA07A
%ColorsLightSeaGreen = &HFF20B2AA
%ColorsLightSkyBlue = &HFF87CEFA
%ColorsLightSlateGray = &HFF778899
%ColorsLightSteelBlue = &HFFB0C4DE
%ColorsLightYellow = &HFFFFFFE0
%ColorsLime = &HFF00FF00
%ColorsLimeGreen = &HFF32CD32
%ColorsLinen = &HFFFAF0E6
%ColorsMagenta = &HFFFF00FF
%ColorsMaroon = &HFF800000
%ColorsMediumAquamarine = &HFF66CDAA
%ColorsMediumBlue = &HFF0000CD
%ColorsMediumOrchid = &HFFBA55D3
%ColorsMediumPurple = &HFF9370DB
%ColorsMediumSeaGreen = &HFF3CB371
%ColorsMediumSlateBlue = &HFF7B68EE
%ColorsMediumSpringGreen = &HFF00FA9A
%ColorsMediumTurquoise = &HFF48D1CC
%ColorsMediumVioletRed = &HFFC71585
%ColorsMidnightBlue = &HFF191970
%ColorsMintCream = &HFFF5FFFA
%ColorsMistyRose = &HFFFFE4E1
%ColorsMoccasin = &HFFFFE4B5
%ColorsNavajoWhite = &HFFFFDEAD
%ColorsNavy = &HFF000080
%ColorsOldLace = &HFFFDF5E6
%ColorsOlive = &HFF808000
%ColorsOliveDrab = &HFF6B8E23
%ColorsOrange = &HFFFFA500
%ColorsOrangeRed = &HFFFF4500
%ColorsOrchid = &HFFDA70D6
%ColorsPaleGoldenrod = &HFFEEE8AA
%ColorsPaleGreen = &HFF98FB98
%ColorsPaleTurquoise = &HFFAFEEEE
%ColorsPaleVioletRed = &HFFDB7093
%ColorsPapayaWhip = &HFFFFEFD5
%ColorsPeachPuff = &HFFFFDAB9
%ColorsPeru = &HFFCD853F
%ColorsPink = &HFFFFC0CB
%ColorsPlum = &HFFDDA0DD
%ColorsPowderBlue = &HFFB0E0E6
%ColorsPurple = &HFF800080
%ColorsRed = &HFFFF0000
%ColorsRosyBrown = &HFFBC8F8F
%ColorsRoyalBlue = &HFF4169E1
%ColorsSaddleBrown = &HFF8B4513
%ColorsSalmon = &HFFFA8072
%ColorsSandyBrown = &HFFF4A460
%ColorsSeaGreen = &HFF2E8B57
%ColorsSeaShell = &HFFFFF5EE
%ColorsSienna = &HFFA0522D
%ColorsSilver = &HFFC0C0C0
%ColorsSkyBlue = &HFF87CEEB
%ColorsSlateBlue = &HFF6A5ACD
%ColorsSlateGray = &HFF708090
%ColorsSnow = &HFFFFFAFA
%ColorsSpringGreen = &HFF00FF7F
%ColorsSteelBlue = &HFF4682B4
%ColorsTan = &HFFD2B48C
%ColorsTeal = &HFF008080
%ColorsThistle = &HFFD8BFD8
%ColorsTomato = &HFFFF6347
%ColorsTransparent = &HFFFFFF
%ColorsTurquoise = &HFF40E0D0
%ColorsViolet = &HFFEE82EE
%ColorsWheat = &HFFF5DEB3
%ColorsWhite = &HFFFFFFFF
%ColorsWhiteSmoke = &HFFF5F5F5
%ColorsYellow = &HFFFFFF00
%ColorsYellowGreen = &HFF9ACD32

' NOTE: Enums evaluate to a Long
%GpStatusOk = 0
%GpStatusGenericError = 1
%GpStatusInvalidParameter = 2
%GpStatusOutOfMemory = 3
%GpStatusObjectBusy = 4
%GpStatusInsufficientBuffer = 5
%GpStatusNotImplemented = 6
%GpStatusWin32Error = 7
%GpStatusWrongState = 8
%GpStatusAborted = 9
%GpStatusFileNotFound = 10
%GpStatusValueOverflow = 11
%GpStatusAccessDenied = 12
%GpStatusUnknownImageFormat = 13
%GpStatusFontFamilyNotFound = 14
%GpStatusFontStyleNotFound = 15
%GpStatusNotTrueTypeFont = 16
%GpStatusUnsupportedGdiplusVersion = 17
%GpStatusGdiplusNotInitialized = 18
%GpStatusPropertyNotFound = 19
%GpStatusPropertyNotSupported = 20

' Quality mode constants
%QualityModeInvalid = -1
%QualityModeDefault = 0
%QualityModeLow = 1        ' Best performance
%QualityModeHigh = 2       ' Best rendering quality

' Alpha Compositing mode constants
%CompositingModeSourceOver = 0
%CompositingModeSourceCopy = 1

' Alpha Compositing quality constants
%CompositingQualityInvalid = %QualityModeInvalid
%CompositingQualityDefault = %QualityModeDefault
%CompositingQualityHighSpeed = %QualityModeLow
%CompositingQualityHighQuality = %QualityModeHigh
%CompositingQualityGammaCorrected = 3
%CompositingQualityAssumeLinear = 4

' Generic font families
%GenericFontFamilySerif = 0
%GenericFontFamilySansSerif = 1
%GenericFontFamilyMonospace = 2

' FontStyle: face types and common styles
%FontStyleRegular = 0
%FontStyleBold = 1
%FontStyleItalic = 2
%FontStyleBoldItalic = 3
%FontStyleUnderline = 4
%FontStyleStrikeout = 8

%SmoothingModeInvalid = %QualityModeInvalid
%SmoothingModeDefault = %QualityModeDefault
%SmoothingModeHighSpeed = %QualityModeLow
%SmoothingModeHighQuality = %QualityModeHigh
%SmoothingModeNone = 3
%SmoothingModeAntiAlias = 4

%FillModeAlternate = 0
%FillModeWinding = 1

%InterpolationModeInvalid = %QualityModeInvalid
%InterpolationModeDefault = %QualityModeDefault
%InterpolationModeLowQuality = %QualityModeLow
%InterpolationModeHighQuality = %QualityModeHigh
%InterpolationModeBilinear = 3
%InterpolationModeBicubic = 4
%InterpolationModeNearestNeighbor = 5
%InterpolationModeHighQualityBilinear = 6
%InterpolationModeHighQualityBicubic = 7

' Various wrap modes for brushes
%WrapModeTile        = 0
%WrapModeTileFlipX   = 1
%WrapModeTileFlipY   = 2
%WrapModeTileFlipXY  = 3
%WrapModeClamp       = 4

%LinearGradientModeHorizontal         = 0
%LinearGradientModeVertical           = 1
%LinearGradientModeForwardDiagonal    = 2
%LinearGradientModeBackwardDiagonal   = 3

%ImageTypeUnknown   = 0
%ImageTypeBitmap    = 1
%ImageTypeMetafile  = 2

' Various Hatch Styles
%HatchStyleHorizontal                  = 0
%HatchStyleVertical                    = 1
%HatchStyleForwardDiagonal             = 2
%HatchStyleBackwardDiagonal            = 3
%HatchStyleCross                       = 4
%HatchStyleDiagonalCross               = 5
%HatchStyle05Percent                   = 6
%HatchStyle10Percent                   = 7
%HatchStyle20Percent                   = 8
%HatchStyle25Percent                   = 9
%HatchStyle30Percent                   = 10
%HatchStyle40Percent                   = 11
%HatchStyle50Percent                   = 12
%HatchStyle60Percent                   = 13
%HatchStyle70Percent                   = 14
%HatchStyle75Percent                   = 15
%HatchStyle80Percent                   = 16
%HatchStyle90Percent                   = 17
%HatchStyleLightDownwardDiagonal       = 18
%HatchStyleLightUpwardDiagonal         = 19
%HatchStyleDarkDownwardDiagonal        = 20
%HatchStyleDarkUpwardDiagonal          = 21
%HatchStyleWideDownwardDiagonal        = 22
%HatchStyleWideUpwardDiagonal          = 23
%HatchStyleLightVertical               = 24
%HatchStyleLightHorizontal             = 25
%HatchStyleNarrowVertical              = 26
%HatchStyleNarrowHorizontal            = 27
%HatchStyleDarkVertical                = 28
%HatchStyleDarkHorizontal              = 29
%HatchStyleDashedDownwardDiagonal      = 30
%HatchStyleDashedUpwardDiagonal        = 31
%HatchStyleDashedHorizontal            = 32
%HatchStyleDashedVertical              = 33
%HatchStyleSmallConfetti               = 34
%HatchStyleLargeConfetti               = 35
%HatchStyleZigZag                      = 36
%HatchStyleWave                        = 37
%HatchStyleDiagonalBrick               = 38
%HatchStyleHorizontalBrick             = 39
%HatchStyleWeave                       = 40
%HatchStylePlaid                       = 41
%HatchStyleDivot                       = 42
%HatchStyleDottedGrid                  = 43
%HatchStyleDottedDiamond               = 44
%HatchStyleShingle                     = 45
%HatchStyleTrellis                     = 46
%HatchStyleSphere                      = 47
%HatchStyleSmallGrid                   = 48
%HatchStyleSmallCheckerBoard           = 49
%HatchStyleLargeCheckerBoard           = 50
%HatchStyleOutlinedDiamond             = 51
%HatchStyleSolidDiamond                = 52

%HatchStyleTotal                       = 53
%HatchStyleLargeGrid = %HatchStyleCross

%HatchStyleMin = %HatchStyleHorizontal
%HatchStyleMax = %HatchStyleTotal - 1

%MatrixOrderPrepend = 0
%MatrixOrderAppend = 1

%ColorAdjustTypeDefault = 0
%ColorAdjustTypeBitmap  = 1
%ColorAdjustTypeBrush   = 2
%ColorAdjustTypePen     = 3
%ColorAdjustTypeText    = 4
%ColorAdjustTypeCount   = 5
%ColorAdjustTypeAny     = 6  ' Reserved

%ColorChannelFlagsC    = 0
%ColorChannelFlagsM    = 1
%ColorChannelFlagsY    = 2
%ColorChannelFlagsK    = 3
%ColorChannelFlagsLast = 4

%ColorMatrixFlagsDefault = 0
%ColorMatrixFlagsSkipGrays = 1
%ColorMatrixFlagsAltGray = 2

%PenAlignmentCenter = 0
%PenAlignmentInset = 1

%BrushTypeSolidColor = 0
%BrushTypeHatchFill = 1
%BrushTypeTextureFill = 2
%BrushTypePathGradient = 3
%BrushTypeLinearGradient = 4

%DashStyleSolid          = 0
%DashStyleDash           = 1
%DashStyleDot            = 2
%DashStyleDashDot        = 3
%DashStyleDashDotDot     = 4
%DashStyleCustom         = 5

' Dash cap constants
%DashCapFlat = 0
%DashCapRound = 2
%DashCapTriangle = 3

' Line cap constants (only the lowest 8 bits are used).
%LineCapFlat = 0
%LineCapSquare = 1
%LineCapRound = 2
%LineCapTriangle = 3

%LineCapNoAnchor = &H10         ' corresponds to flat cap
%LineCapSquareAnchor = &H11     ' corresponds to square cap
%LineCapRoundAnchor = &H12      ' corresponds to round cap
%LineCapDiamondAnchor = &H13    ' corresponds to triangle cap
%LineCapArrowAnchor = &H14      ' no correspondence

%LineCapCustom = &HFF           ' custom cap

%LineCapAnchorMask = &HF0       ' mask to check for anchor or not.

' Custom Line cap type constants
%CustomLineCapTypeDefault = 0
%CustomLineCapTypeAdjustableArrow = 1

' Line join constants
%LineJoinMiter = 0
%LineJoinBevel = 1
%LineJoinRound = 2
%LineJoinMiterClipped = 3

' Pen's Fill types
%PenTypeSolidColor = %BrushTypeSolidColor
%PenTypeHatchFill = %BrushTypeHatchFill
%PenTypeTextureFill = %BrushTypeTextureFill
%PenTypePathGradient = %BrushTypePathGradient
%PenTypeLinearGradient = %BrushTypeLinearGradient
%PenTypeUnknown = -1

%WarpModePerspective     = 0
%WarpModeBilinear        = 1

' Region Comine Modes
%CombineModeReplace      = 0
%CombineModeIntersect    = 1
%CombineModeUnion        = 2
%CombineModeXor          = 3
%CombineModeExclude      = 4
%CombineModeComplement   = 5 ' (Exclude From)

%RotateNoneFlipNone = 0
%Rotate90FlipNone = 1
%Rotate180FlipNone = 2
%Rotate270FlipNone = 3

%RotateNoneFlipX = 4
%Rotate90FlipX = 5
%Rotate180FlipX = 6
%Rotate270FlipX = 7

%RotateNoneFlipY = %Rotate180FlipX
%Rotate90FlipY = %Rotate270FlipX
%Rotate180FlipY = %RotateNoneFlipX
%Rotate270FlipY = %Rotate90FlipX

%RotateNoneFlipXY = %Rotate180FlipNone
%Rotate90FlipXY = %Rotate270FlipNone
%Rotate180FlipXY = %RotateNoneFlipNone
%Rotate270FlipXY = %Rotate90FlipNone


' String format flags
'
'  DirectionRightToLeft          - For horizontal text, the reading order is
'                                  right to left. This value is called
'                                  the base embedding level by the Unicode
'                                  bidirectional engine.
'                                  For vertical text, columns are read from
'                                  right to left.
'                                  By default, horizontal or vertical text is
'                                  read from left to right.
'
'  DirectionVertical             - Individual lines of text are vertical. In
'                                  each line, characters progress from top to
'                                  bottom.
'                                  By default, lines of text are horizontal,
'                                  each new line below the previous line.
'
'  NoFitBlackBox                 - Allows parts of glyphs to overhang the
'                                  bounding rectangle.
'                                  By default glyphs are first aligned
'                                  inside the margines, then any glyphs which
'                                  still overhang the bounding box are
'                                  repositioned to avoid any overhang.
'                                  For example when an italic
'                                  lower case letter f in a font such as
'                                  Garamond is aligned at the far left of a
'                                  rectangle, the lower part of the f will
'                                  reach slightly further left than the left
'                                  edge of the rectangle. Setting this flag
'                                  will ensure the character aligns visually
'                                  with the lines above and below, but may
'                                  cause some pixels outside the formatting
'                                  rectangle to be clipped or painted.
'
'  DisplayFormatControl          - Causes control characters such AS the
'                                  left-to-right mark to be shown in the
'                                  output with a representative glyph.
'
'  NoFontFallback                - Disables fallback to alternate fonts for
'                                  characters not supported in the requested
'                                  font. Any missing characters will be
'                                  be displayed with the fonts missing glyph,
'                                  usually an open square.
'
'  NoWrap                        - Disables wrapping of text between lines
'                                  when formatting within a rectangle.
'                                  NoWrap is implied when a point is passed
'                                  instead of a rectangle, or when the
'                                  specified rectangle has a zero line length.
'
'  NoClip                        - By default text is clipped to the
'                                  formatting rectangle. Setting NoClip
'                                  allows overhanging pixels to affect the
'                                  device outside the formatting rectangle.
'                                  Pixels at the end of the line may be
'                                  affected if the glyphs overhang their
'                                  cells, and either the NoFitBlackBox flag
'                                  has been set, or the glyph extends to far
'                                  to be fitted.
'                                  Pixels above/before the first line or
'                                  below/after the last line may be affected
'                                  if the glyphs extend beyond their cell
'                                  ascent / descent. This can occur rarely
'                                  with unusual diacritic mark combinations.
%StringFormatFlagsDirectionRightToLeft = &H1
%StringFormatFlagsDirectionVertical = &H2
%StringFormatFlagsNoFitBlackBox = &H4
%StringFormatFlagsDisplayFormatControl = &H20
%StringFormatFlagsNoFontFallback = &H400
%StringFormatFlagsMeasureTrailingSpaces = &H800
%StringFormatFlagsNoWrap = &H1000
%StringFormatFlagsLineLimit = &H2000

%StringFormatFlagsNoClip = &H4000

%StringTrimmingNone = 0
%StringTrimmingCharacter = 1
%StringTrimmingWord = 2
%StringTrimmingEllipsisCharacter = 3
%StringTrimmingEllipsisWord = 4
%StringTrimmingEllipsisPath = 5

' National language digit substitution
%StringDigitSubstituteUser = 0         ' AS NLS setting
%StringDigitSubstituteNone = 1
%StringDigitSubstituteNational = 2
%StringDigitSubstituteTraditional = 3

' Hotkey prefix interpretation
%HotkeyPrefixNone = 0
%HotkeyPrefixShow = 1
%HotkeyPrefixHide = 2

' Left edge for left-to-right text,
' right for right-to-left text,
' and top for vertical
%StringAlignmentNear = 0
%StringAlignmentCenter = 1
%StringAlignmentFar = 2

%FlushIntentionFlush = 0         ' Flush all batched rendering operations
%FlushIntentionSync = 1          ' Flush all batched rendering operations
                                   ' and wait for them to complete

' Image encoder parameter related types
%EncoderParameterValueTypeByte = 1              ' 8-bit unsigned int
%EncoderParameterValueTypeASCII = 2             ' 8-bit byte containing one 7-bit ASCII
                                                ' code. NULL terminated.
%EncoderParameterValueTypeShort = 3             ' 16-bit unsigned int
%EncoderParameterValueTypeLong = 4              ' 32-bit unsigned int
%EncoderParameterValueTypeRational = 5          ' Two Longs. The first Long is the
                                                ' numerator the second Long expresses the
                                                ' denomintor.
%EncoderParameterValueTypeLongRange = 6         ' Two longs which specify a range of
                                                ' integer values. The first Long specifies
                                                ' the lower end and the second one
                                                ' specifies the higher end. All values
                                                ' are inclusive at both ends
%EncoderParameterValueTypeUndefined = 7         ' 8-bit byte that can take any value
                                                ' depending on field definition
%EncoderParameterValueTypeRationalRange = 8     ' Two Rationals. The first Rational
                                                ' specifies the lower end and the second
                                                ' specifies the higher end. All values
                                                ' are inclusive at both ends


' Image encoder value types
%EncoderValueColorTypeCMYK             = 0
%EncoderValueColorTypeYCCK             = 1
%EncoderValueCompressionLZW            = 2
%EncoderValueCompressionCCITT3         = 3
%EncoderValueCompressionCCITT4         = 4
%EncoderValueCompressionRle            = 5
%EncoderValueCompressionNone           = 6
%EncoderValueScanMethodInterlaced      = 7
%EncoderValueScanMethodNonInterlaced   = 8
%EncoderValueVersionGif87              = 9
%EncoderValueVersionGif89              = 10
%EncoderValueRenderProgressive         = 11
%EncoderValueRenderNonProgressive      = 12
%EncoderValueTransformRotate90         = 13
%EncoderValueTransformRotate180        = 14
%EncoderValueTransformRotate270        = 15
%EncoderValueTransformFlipHorizontal   = 16
%EncoderValueTransformFlipVertical     = 17
%EncoderValueMultiFrame                = 18
%EncoderValueLastFrame                 = 19
%EncoderValueFlush                     = 20
%EncoderValueFrameDimensionTime        = 21
%EncoderValueFrameDimensionResolution  = 22
%EncoderValueFrameDimensionPage        = 23

' CLSIDs (aka GUIDs) used with the EncoderParameter structure:
' NOTE: You won't find this enum in the GDI+ Docs. It was created as
'       part of the workaround for the constant GUID problem.
%EncoderCompression       = 0
%EncoderColorDepth        = 1
%EncoderScanMethod        = 2
%EncoderVersion           = 3
%EncoderRenderMethod      = 4
%EncoderQuality           = 5
%EncoderTransformation    = 6
%EncoderLuminanceTable    = 7
%EncoderChrominanceTable  = 8
%EncoderSaveFlag          = 9

%PixelOffsetModeInvalid = %QualityModeInvalid
%PixelOffsetModeDefault = %QualityModeDefault
%PixelOffsetModeHighSpeed = %QualityModeLow
%PixelOffsetModeHighQuality = %QualityModeHigh
%PixelOffsetModeNone = 3  ' No pixel offset
%PixelOffsetModeHalf = 4    ' Offset by -0.5 -0.5 for fast anti-alias perf

%TextRenderingHintSystemDefault            = 0 ' Glyph with system default rendering hint
%TextRenderingHintSingleBitPerPixelGridFit = 1 ' Glyph bitmap with hinting
%TextRenderingHintSingleBitPerPixel        = 2 ' Glyph bitmap without hinting
%TextRenderingHintAntiAliasGridFit         = 3 ' Glyph anti-alias bitmap with hinting
%TextRenderingHintAntiAlias                = 4 ' Glyph anti-alias bitmap without hinting
%TextRenderingHintClearTypeGridFit         = 5 ' Glyph CT bitmap with hinting

%MetafileTypeInvalid           = 0 ' Invalid metafile
%MetafileTypeWmf               = 1 ' Standard WMF
%MetafileTypeWmfPlaceable      = 2 ' Placeable WMF
%MetafileTypeEmf               = 3 ' EMF (not EMF+)
%MetafileTypeEmfPlusOnly       = 4 ' EMF+ without dual down-level records
%MetafileTypeEmfPlusDual       = 5 ' EMF+ with dual down-level records

' Specifies the type of EMF to record
%EmfTypeEmfOnly = %MetafileTypeEmf               ' no EMF+  only EMF
%EmfTypeEmfPlusOnly = %MetafileTypeEmfPlusOnly   ' no EMF  only EMF+
%EmfTypeEmfPlusDual = %MetafileTypeEmfPlusDual   ' both EMF+ and EMF

' EMF+ Persistent object types
%ObjectTypeInvalid          = 0
%ObjectTypeBrush            = 1
%ObjectTypePen              = 2
%ObjectTypePath             = 3
%ObjectTypeRegion           = 4
%ObjectTypeImage            = 5
%ObjectTypeFont             = 6
%ObjectTypeStringFormat     = 7
%ObjectTypeImageAttributes  = 8
%ObjectTypeCustomLineCap    = 9

%ObjectTypeMax = %ObjectTypeCustomLineCap
%ObjectTypeMin = %ObjectTypeBrush

' The frameRect for creating a metafile can be specified in any of these
' units.  There is an extra frame unit value (MetafileFrameUnitGdi) so
' that units can be supplied in the same units that GDI expects for
' frame rects -- these units are in .01 (1/100ths) millimeter units
' AS defined by GDI.
%MetafileFrameUnitPixel = %UnitPixel
%MetafileFrameUnitPoint = %UnitPoint
%MetafileFrameUnitInch = %UnitInch
%MetafileFrameUnitDocument = %UnitDocument
%MetafileFrameUnitMillimeter = %UnitMillimeter
%MetafileFrameUnitGdi = 7                       ' GDI compatible .01 MM units

' Coordinate space identifiers
%CoordinateSpaceWorld    = 0
%CoordinateSpacePage     = 1
%CoordinateSpaceDevice   = 2

'-----------------------------------------------
' APIs
'-----------------------------------------------


DECLARE FUNCTION GdiplusStartup LIB "gdiplus.dll" ALIAS "GdiplusStartup" (token&, inputbuf AS GdiplusStartupInput, OPTIONAL BYVAL outputbuf&) AS LONG
DECLARE FUNCTION GdiplusShutdown LIB "gdiplus.dll" ALIAS "GdiplusShutdown" (BYVAL token&) AS LONG

' Graphics Functions (ALL)
DECLARE FUNCTION GdipFlush LIB "gdiplus.dll" ALIAS "GdipFlush" (BYVAL graphics&, BYVAL intention&) AS LONG
DECLARE FUNCTION GdipCreateFromHDC LIB "gdiplus.dll" ALIAS "GdipCreateFromHDC" (BYVAL hdc&, graphics&) AS LONG
DECLARE FUNCTION GdipCreateFromHWND LIB "gdiplus.dll" ALIAS "GdipCreateFromHWND" (BYVAL hwnd&, graphics&) AS LONG
DECLARE FUNCTION GdipCreateFromHWNDICM LIB "gdiplus.dll" ALIAS "GdipCreateFromHWNDICM" (BYVAL hwnd&, graphics&) AS LONG
DECLARE FUNCTION GdipDeleteGraphics LIB "gdiplus.dll" ALIAS "GdipDeleteGraphics" (BYVAL graphics&) AS LONG
DECLARE FUNCTION GdipGetDC LIB "gdiplus.dll" ALIAS "GdipGetDC" (BYVAL graphics&, hdc&) AS LONG
DECLARE FUNCTION GdipReleaseDC LIB "gdiplus.dll" ALIAS "GdipReleaseDC" (BYVAL graphics&, BYVAL hdc&) AS LONG
DECLARE FUNCTION GdipSetCompositingMode LIB "gdiplus.dll" ALIAS "GdipSetCompositingMode" (BYVAL graphics&, BYVAL CompositingMd&) AS LONG
DECLARE FUNCTION GdipGetCompositingMode LIB "gdiplus.dll" ALIAS "GdipGetCompositingMode" (BYVAL graphics&, CompositingMd&) AS LONG
DECLARE FUNCTION GdipSetRenderingOrigin LIB "gdiplus.dll" ALIAS "GdipSetRenderingOrigin" (BYVAL graphics&, BYVAL x&, BYVAL y&) AS LONG
DECLARE FUNCTION GdipGetRenderingOrigin LIB "gdiplus.dll" ALIAS "GdipGetRenderingOrigin" (BYVAL graphics&, x&, y&) AS LONG
DECLARE FUNCTION GdipSetCompositingQuality LIB "gdiplus.dll" ALIAS "GdipSetCompositingQuality" (BYVAL graphics&, BYVAL CompositingQlty&) AS LONG
DECLARE FUNCTION GdipGetCompositingQuality LIB "gdiplus.dll" ALIAS "GdipGetCompositingQuality" (BYVAL graphics&, CompositingQlty&) AS LONG
DECLARE FUNCTION GdipSetSmoothingMode LIB "gdiplus.dll" ALIAS "GdipSetSmoothingMode" (BYVAL graphics&, BYVAL SmoothingMd&) AS LONG
DECLARE FUNCTION GdipGetSmoothingMode LIB "gdiplus.dll" ALIAS "GdipGetSmoothingMode" (BYVAL graphics&, SmoothingMd&) AS LONG
DECLARE FUNCTION GdipSetPixelOffsetMode LIB "gdiplus.dll" ALIAS "GdipSetPixelOffsetMode" (BYVAL graphics&, BYVAL PixOffsetMode&) AS LONG
DECLARE FUNCTION GdipGetPixelOffsetMode LIB "gdiplus.dll" ALIAS "GdipGetPixelOffsetMode" (BYVAL graphics&, PixOffsetMode&) AS LONG
DECLARE FUNCTION GdipSetTextRenderingHint LIB "gdiplus.dll" ALIAS "GdipSetTextRenderingHint" (BYVAL graphics&, BYVAL mode&) AS LONG
DECLARE FUNCTION GdipGetTextRenderingHint LIB "gdiplus.dll" ALIAS "GdipGetTextRenderingHint" (BYVAL graphics&, mode&) AS LONG
DECLARE FUNCTION GdipSetTextContrast LIB "gdiplus.dll" ALIAS "GdipSetTextContrast" (BYVAL graphics&, BYVAL contrast&) AS LONG
DECLARE FUNCTION GdipGetTextContrast LIB "gdiplus.dll" ALIAS "GdipGetTextContrast" (BYVAL graphics&, contrast&) AS LONG
DECLARE FUNCTION GdipSetInterpolationMode LIB "gdiplus.dll" ALIAS "GdipSetInterpolationMode" (BYVAL graphics&, BYVAL interpolation&) AS LONG
DECLARE FUNCTION GdipGetInterpolationMode LIB "gdiplus.dll" ALIAS "GdipGetInterpolationMode" (BYVAL graphics&, interpolation&) AS LONG
DECLARE FUNCTION GdipSetWorldTransform LIB "gdiplus.dll" ALIAS "GdipSetWorldTransform" (BYVAL graphics&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipResetWorldTransform LIB "gdiplus.dll" ALIAS "GdipResetWorldTransform" (BYVAL graphics&) AS LONG
DECLARE FUNCTION GdipMultiplyWorldTransform LIB "gdiplus.dll" ALIAS "GdipMultiplyWorldTransform" (BYVAL graphics&, BYVAL matrix&, BYVAL order&) AS LONG
DECLARE FUNCTION GdipTranslateWorldTransform LIB "gdiplus.dll" ALIAS "GdipTranslateWorldTransform" (BYVAL graphics&, BYVAL dx!, BYVAL dy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipScaleWorldTransform LIB "gdiplus.dll" ALIAS "GdipScaleWorldTransform" (BYVAL graphics&, BYVAL sx!, BYVAL sy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipRotateWorldTransform LIB "gdiplus.dll" ALIAS "GdipRotateWorldTransform" (BYVAL graphics&, BYVAL angle!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipGetWorldTransform LIB "gdiplus.dll" ALIAS "GdipGetWorldTransform" (BYVAL graphics&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipResetPageTransform LIB "gdiplus.dll" ALIAS "GdipResetPageTransform" (BYVAL graphics&) AS LONG
DECLARE FUNCTION GdipGetPageUnit LIB "gdiplus.dll" ALIAS "GdipGetPageUnit" (BYVAL graphics&, unit&) AS LONG
DECLARE FUNCTION GdipGetPageScale LIB "gdiplus.dll" ALIAS "GdipGetPageScale" (BYVAL graphics&, sscale!) AS LONG
DECLARE FUNCTION GdipSetPageUnit LIB "gdiplus.dll" ALIAS "GdipSetPageUnit" (BYVAL graphics&, BYVAL unit&) AS LONG
DECLARE FUNCTION GdipSetPageScale LIB "gdiplus.dll" ALIAS "GdipSetPageScale" (BYVAL graphics&, BYVAL sscale!) AS LONG
DECLARE FUNCTION GdipGetDpiX LIB "gdiplus.dll" ALIAS "GdipGetDpiX" (BYVAL graphics&, dpi!) AS LONG
DECLARE FUNCTION GdipGetDpiY LIB "gdiplus.dll" ALIAS "GdipGetDpiY" (BYVAL graphics&, dpi!) AS LONG
DECLARE FUNCTION GdipTransformPoints LIB "gdiplus.dll" ALIAS "GdipTransformPoints" (BYVAL graphics&, BYVAL destSpace&, BYVAL srcSpace&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipTransformPointsI LIB "gdiplus.dll" ALIAS "GdipTransformPointsI" (BYVAL graphics&, BYVAL destSpace&, BYVAL srcSpace&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetNearestColor LIB "gdiplus.dll" ALIAS "GdipGetNearestColor" (BYVAL graphics&, argb&) AS LONG
' Creates the Win9x Halftone Palette (even on NT) with correct Desktop colors
DECLARE FUNCTION GdipCreateHalftonePalette LIB "gdiplus.dll" ALIAS "GdipCreateHalftonePalette" () AS LONG
DECLARE FUNCTION GdipDrawLine LIB "gdiplus.dll" ALIAS "GdipDrawLine" (BYVAL graphics&, BYVAL pen&, BYVAL x1!, BYVAL y1!, BYVAL x2!, BYVAL y2!) AS LONG
DECLARE FUNCTION GdipDrawLineI LIB "gdiplus.dll" ALIAS "GdipDrawLineI" (BYVAL graphics&, BYVAL pen&, BYVAL x1&, BYVAL y1&, BYVAL x2&, BYVAL y2&) AS LONG
DECLARE FUNCTION GdipDrawLines LIB "gdiplus.dll" ALIAS "GdipDrawLines" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawLinesI LIB "gdiplus.dll" ALIAS "GdipDrawLinesI" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawArc LIB "gdiplus.dll" ALIAS "GdipDrawArc" (BYVAL graphics&, BYVAL pen&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipDrawArcI LIB "gdiplus.dll" ALIAS "GdipDrawArcI" (BYVAL graphics&, BYVAL pen&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipDrawBezier LIB "gdiplus.dll" ALIAS "GdipDrawBezier" (BYVAL graphics&, BYVAL pen&, BYVAL x1!, BYVAL y1!, BYVAL x2!, BYVAL y2!, BYVAL x3!, BYVAL y3!, BYVAL x4!, BYVAL y4!) AS LONG
DECLARE FUNCTION GdipDrawBezierI LIB "gdiplus.dll" ALIAS "GdipDrawBezierI" (BYVAL graphics&, BYVAL pen&, BYVAL x1&, BYVAL y1&, BYVAL x2&, BYVAL y2&, BYVAL x3&, BYVAL y3&, BYVAL x4&, BYVAL y4&) AS LONG
DECLARE FUNCTION GdipDrawBeziers LIB "gdiplus.dll" ALIAS "GdipDrawBeziers" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawBeziersI LIB "gdiplus.dll" ALIAS "GdipDrawBeziersI" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawRectangle LIB "gdiplus.dll" ALIAS "GdipDrawRectangle" (BYVAL graphics&, BYVAL pen&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!) AS LONG
DECLARE FUNCTION GdipDrawRectangleI LIB "gdiplus.dll" ALIAS "GdipDrawRectangleI" (BYVAL graphics&, BYVAL pen&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&) AS LONG
DECLARE FUNCTION GdipDrawRectangles LIB "gdiplus.dll" ALIAS "GdipDrawRectangles" (BYVAL graphics&, BYVAL pen&, rects AS RECTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawRectanglesI LIB "gdiplus.dll" ALIAS "GdipDrawRectanglesI" (BYVAL graphics&, BYVAL pen&, rects AS RECTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawEllipse LIB "gdiplus.dll" ALIAS "GdipDrawEllipse" (BYVAL graphics&, BYVAL pen&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!) AS LONG
DECLARE FUNCTION GdipDrawEllipseI LIB "gdiplus.dll" ALIAS "GdipDrawEllipseI" (BYVAL graphics&, BYVAL pen&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&) AS LONG
DECLARE FUNCTION GdipDrawPie LIB "gdiplus.dll" ALIAS "GdipDrawPie" (BYVAL graphics&, BYVAL pen&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipDrawPieI LIB "gdiplus.dll" ALIAS "GdipDrawPieI" (BYVAL graphics&, BYVAL pen&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipDrawPolygon LIB "gdiplus.dll" ALIAS "GdipDrawPolygon" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawPolygonI LIB "gdiplus.dll" ALIAS "GdipDrawPolygonI" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawPath LIB "gdiplus.dll" ALIAS "GdipDrawPath" (BYVAL graphics&, BYVAL pen&, BYVAL path&) AS LONG
DECLARE FUNCTION GdipDrawCurve LIB "gdiplus.dll" ALIAS "GdipDrawCurve" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawCurveI LIB "gdiplus.dll" ALIAS "GdipDrawCurveI" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawCurve2 LIB "gdiplus.dll" ALIAS "GdipDrawCurve2" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTF, BYVAL Count&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipDrawCurve2I LIB "gdiplus.dll" ALIAS "GdipDrawCurve2I" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTL, BYVAL Count&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipDrawCurve3 LIB "gdiplus.dll" ALIAS "GdipDrawCurve3" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTF, BYVAL Count&, BYVAL offset&, BYVAL numberOfSegments&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipDrawCurve3I LIB "gdiplus.dll" ALIAS "GdipDrawCurve3I" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTL, BYVAL Count&, BYVAL offset&, BYVAL numberOfSegments&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipDrawClosedCurve LIB "gdiplus.dll" ALIAS "GdipDrawClosedCurve" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawClosedCurveI LIB "gdiplus.dll" ALIAS "GdipDrawClosedCurveI" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawClosedCurve2 LIB "gdiplus.dll" ALIAS "GdipDrawClosedCurve2" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTF, BYVAL Count&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipDrawClosedCurve2I LIB "gdiplus.dll" ALIAS "GdipDrawClosedCurve2I" (BYVAL graphics&, BYVAL pen&, pPoint AS POINTL, BYVAL Count&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipGraphicsClear LIB "gdiplus.dll" ALIAS "GdipGraphicsClear" (BYVAL graphics&, BYVAL lColor&) AS LONG
DECLARE FUNCTION GdipFillRectangle LIB "gdiplus.dll" ALIAS "GdipFillRectangle" (BYVAL graphics&, BYVAL brush&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!) AS LONG
DECLARE FUNCTION GdipFillRectangleI LIB "gdiplus.dll" ALIAS "GdipFillRectangleI" (BYVAL graphics&, BYVAL brush&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&) AS LONG
DECLARE FUNCTION GdipFillRectangles LIB "gdiplus.dll" ALIAS "GdipFillRectangles" (BYVAL graphics&, BYVAL brush&, rects AS RECTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipFillRectanglesI LIB "gdiplus.dll" ALIAS "GdipFillRectanglesI" (BYVAL graphics&, BYVAL brush&, rects AS RECTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipFillPolygon LIB "gdiplus.dll" ALIAS "GdipFillPolygon" (BYVAL graphics&, BYVAL brush&, pPoint AS POINTF, BYVAL Count&, BYVAL FillMd&) AS LONG
DECLARE FUNCTION GdipFillPolygonI LIB "gdiplus.dll" ALIAS "GdipFillPolygonI" (BYVAL graphics&, BYVAL brush&, pPoint AS POINTL, BYVAL Count&, BYVAL FillMd&) AS LONG
DECLARE FUNCTION GdipFillPolygon2 LIB "gdiplus.dll" ALIAS "GdipFillPolygon2" (BYVAL graphics&, BYVAL brush&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipFillPolygon2I LIB "gdiplus.dll" ALIAS "GdipFillPolygon2I" (BYVAL graphics&, BYVAL brush&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipFillEllipse LIB "gdiplus.dll" ALIAS "GdipFillEllipse" (BYVAL graphics&, BYVAL brush&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!) AS LONG
DECLARE FUNCTION GdipFillEllipseI LIB "gdiplus.dll" ALIAS "GdipFillEllipseI" (BYVAL graphics&, BYVAL brush&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&) AS LONG
DECLARE FUNCTION GdipFillPie LIB "gdiplus.dll" ALIAS "GdipFillPie" (BYVAL graphics&, BYVAL brush&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipFillPieI LIB "gdiplus.dll" ALIAS "GdipFillPieI" (BYVAL graphics&, BYVAL brush&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipFillPath LIB "gdiplus.dll" ALIAS "GdipFillPath" (BYVAL graphics&, BYVAL brush&, BYVAL path&) AS LONG
DECLARE FUNCTION GdipFillClosedCurve LIB "gdiplus.dll" ALIAS "GdipFillClosedCurve" (BYVAL graphics&, BYVAL brush&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipFillClosedCurveI LIB "gdiplus.dll" ALIAS "GdipFillClosedCurveI" (BYVAL graphics&, BYVAL brush&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipFillClosedCurve2 LIB "gdiplus.dll" ALIAS "GdipFillClosedCurve2" (BYVAL graphics&, BYVAL brush&, pPoint AS POINTF, BYVAL Count&, BYVAL tension!, BYVAL FillMd&) AS LONG
DECLARE FUNCTION GdipFillClosedCurve2I LIB "gdiplus.dll" ALIAS "GdipFillClosedCurve2I" (BYVAL graphics&, BYVAL brush&, pPoint AS POINTL, BYVAL Count&, BYVAL tension!, BYVAL FillMd&) AS LONG
DECLARE FUNCTION GdipFillRegion LIB "gdiplus.dll" ALIAS "GdipFillRegion" (BYVAL graphics&, BYVAL brush&, BYVAL region&) AS LONG
DECLARE FUNCTION GdipDrawImage LIB "gdiplus.dll" ALIAS "GdipDrawImage" (BYVAL graphics&, BYVAL nImage&, BYVAL x!, BYVAL y!) AS LONG
DECLARE FUNCTION GdipDrawImageI LIB "gdiplus.dll" ALIAS "GdipDrawImageI" (BYVAL graphics&, BYVAL nImage&, BYVAL x&, BYVAL y&) AS LONG
DECLARE FUNCTION GdipDrawImageRect LIB "gdiplus.dll" ALIAS "GdipDrawImageRect" (BYVAL graphics&, BYVAL nImage&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!) AS LONG
DECLARE FUNCTION GdipDrawImageRectI LIB "gdiplus.dll" ALIAS "GdipDrawImageRectI" (BYVAL graphics&, BYVAL nImage&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&) AS LONG
DECLARE FUNCTION GdipDrawImagePoints LIB "gdiplus.dll" ALIAS "GdipDrawImagePoints" (BYVAL graphics&, BYVAL nImage&, dstpoints AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawImagePointsI LIB "gdiplus.dll" ALIAS "GdipDrawImagePointsI" (BYVAL graphics&, BYVAL nImage&, dstpoints AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipDrawImagePointRect LIB "gdiplus.dll" ALIAS "GdipDrawImagePointRect" (BYVAL graphics&, BYVAL nImage&, BYVAL x!, BYVAL y!, BYVAL srcx!, BYVAL srcy!, BYVAL srcwidth!, BYVAL srcheight!, BYVAL srcUnit&) AS LONG
DECLARE FUNCTION GdipDrawImagePointRectI LIB "gdiplus.dll" ALIAS "GdipDrawImagePointRectI" (BYVAL graphics&, BYVAL nImage&, BYVAL x&, BYVAL y&, BYVAL srcx&, BYVAL srcy&, BYVAL srcwidth&, BYVAL srcheight&, BYVAL srcUnit&) AS LONG
DECLARE FUNCTION GdipDrawImageRectRect LIB "gdiplus.dll" ALIAS "GdipDrawImageRectRect" (BYVAL graphics&, BYVAL nImage&, BYVAL dstx!, BYVAL dsty!, BYVAL dstwidth&, BYVAL dstheight!, BYVAL srcx!, BYVAL srcy!, BYVAL srcwidth!, BYVAL srcheight!, _
                                                                                        BYVAL srcUnit&, OPTIONAL BYVAL imageAttributes&, OPTIONAL BYVAL pCALLBACK&, OPTIONAL BYVAL callbackData&) AS LONG
' Callback declaration: Public Function DrawImageAbort(BYVAL lpData&) AS Long
DECLARE FUNCTION GdipDrawImageRectRectI LIB "gdiplus.dll" ALIAS "GdipDrawImageRectRectI" (BYVAL graphics&, BYVAL nImage&, BYVAL dstx&, BYVAL dsty&, BYVAL dstwidth&, BYVAL dstheight&, BYVAL srcx&, BYVAL srcy&, BYVAL srcwidth&, BYVAL srcheight&, _
                                                                                          BYVAL srcUnit&, OPTIONAL BYVAL imageAttributes&, OPTIONAL BYVAL pCALLBACK&, OPTIONAL BYVAL callbackData&) AS LONG
DECLARE FUNCTION GdipDrawImagePointsRect LIB "gdiplus.dll" ALIAS "GdipDrawImagePointsRect" (BYVAL graphics&, BYVAL nImage&, pPoint AS POINTF, BYVAL Count&, BYVAL srcx!, BYVAL srcy!, BYVAL srcwidth!, BYVAL srcheight!, BYVAL srcUnit&, _
                                                                                            OPTIONAL BYVAL imageAttributes&, OPTIONAL BYVAL pCALLBACK&, OPTIONAL BYVAL callbackData&) AS LONG
DECLARE FUNCTION GdipDrawImagePointsRectI LIB "gdiplus.dll" ALIAS "GdipDrawImagePointsRectI" (BYVAL graphics&, BYVAL nImage&, pPoint AS POINTL, BYVAL Count&, BYVAL srcx&, BYVAL srcy&, BYVAL srcwidth&, BYVAL srcheight&, BYVAL srcUnit&, _
                                                                                              OPTIONAL BYVAL imageAttributes&, OPTIONAL BYVAL pCALLBACK&, OPTIONAL BYVAL callbackData&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileDestPoint LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileDestPoint" (BYVAL graphics&, BYVAL metafile&, destPoint AS POINTF, lpEnumerateMetafileProc&, BYVAL callbackData&, imageAttributes&) AS LONG
' Callback declaration: Public Function EnumMetafilesProc(BYVAL rtype AS EmfPlusRecordType, BYVAL _&, BYVAL _&, bytes AS ANY, BYVAL callbackData&) AS long
DECLARE FUNCTION GdipEnumerateMetafileDestPointI LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileDestPointI" (graphics&, BYVAL metafile&, destPoint AS POINTL, BYVAL lpEnumerateMetafileProc&, BYVAL callbackData&, BYVAL imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileDestRect LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileDestRect" (BYVAL graphics&, BYVAL metafile&, destRect AS RECTF, lpEnumerateMetafileProc&, BYVAL callbackData&, imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileDestRectI LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileDestRectI" (BYVAL graphics&, BYVAL metafile&, destRect AS RECTL, lpEnumerateMetafileProc&, BYVAL callbackData&, imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileDestPoints LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileDestPoints" (BYVAL graphics&, BYVAL metafile&, destPoint AS POINTF, BYVAL Count&, lpEnumerateMetafileProc&, BYVAL callbackData&, imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileDestPointsI LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileDestPointsI" (BYVAL graphics&, BYVAL metafile&, destPoint AS POINTL, BYVAL Count&, lpEnumerateMetafileProc&, BYVAL callbackData&, imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileSrcRectDestPoint LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileSrcRectDestPoint" (BYVAL graphics&, BYVAL metafile&, destPoint AS POINTF, srcRect AS RECTF, BYVAL srcUnit&, BYVAL lpEnumerateMetafileProc&, _
                                                                                                                        BYVAL callbackData&, BYVAL imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileSrcRectDestPointI LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileSrcRectDestPointI" (BYVAL graphics&, BYVAL metafile&, destPoint AS POINTL, srcRect AS RECTL, BYVAL srcUnit&, BYVAL lpEnumerateMetafileProc&, _
                                                                                                                          BYVAL callbackData&, BYVAL imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileSrcRectDestRect LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileSrcRectDestRect" (BYVAL graphics&, BYVAL metafile&, destRect AS RECTF, srcRect AS RECTF, BYVAL srcUnit&, BYVAL lpEnumerateMetafileProc&, _
                                                                                                                      BYVAL callbackData&, BYVAL imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileSrcRectDestRectI LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileSrcRectDestRectI" (BYVAL graphics&, BYVAL metafile&, destRect AS RECTL, srcRect AS RECTL, BYVAL srcUnit&, BYVAL lpEnumerateMetafileProc&, _
                                                                                                                        BYVAL callbackData&, BYVAL imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileSrcRectDestPoints LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileSrcRectDestPoints" (BYVAL graphics&, BYVAL metafile&, destPoints AS POINTF, BYVAL Count&, srcRect AS RECTF, BYVAL srcUnit&, _
                                                                                                                          BYVAL lpEnumerateMetafileProc&, BYVAL callbackData&, BYVAL imageAttributes&) AS LONG
DECLARE FUNCTION GdipEnumerateMetafileSrcRectDestPointsI LIB "gdiplus.dll" ALIAS "GdipEnumerateMetafileSrcRectDestPointsI" (BYVAL graphics&, BYVAL metafile&, destPoints AS POINTL, BYVAL Count&, srcRect AS RECTL, BYVAL srcUnit&, _
                                                                                                                            BYVAL lpEnumerateMetafileProc&, BYVAL callbackData&, BYVAL imageAttributes&) AS LONG
' TODO: Declare the EmfPlusRecordType enum and uncomment
'DECLARE FUNCTION GdipPlayMetafileRecord LIB "gdiplus.dll" ALIAS "GdipPlayMetafileRecord" (BYVAL metafile&, BYVAL recordType AS EmfPlusRecordType, BYVAL flags&, BYVAL dataSize&, byteData AS ANY) AS LONG
DECLARE FUNCTION GdipSetClipGraphics LIB "gdiplus.dll" ALIAS "GdipSetClipGraphics" (BYVAL graphics&, BYVAL srcgraphics&, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipSetClipRect LIB "gdiplus.dll" ALIAS "GdipSetClipRect" (BYVAL graphics&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipSetClipRectI LIB "gdiplus.dll" ALIAS "GdipSetClipRectI" (BYVAL graphics&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipSetClipPath LIB "gdiplus.dll" ALIAS "GdipSetClipPath" (BYVAL graphics&, BYVAL path&, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipSetClipRegion LIB "gdiplus.dll" ALIAS "GdipSetClipRegion" (BYVAL graphics&, BYVAL region&, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipSetClipHrgn LIB "gdiplus.dll" ALIAS "GdipSetClipHrgn" (BYVAL graphics&, BYVAL hRgn&, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipResetClip LIB "gdiplus.dll" ALIAS "GdipResetClip" (BYVAL graphics&) AS LONG
DECLARE FUNCTION GdipTranslateClip LIB "gdiplus.dll" ALIAS "GdipTranslateClip" (BYVAL graphics&, BYVAL dx!, BYVAL dy!) AS LONG
DECLARE FUNCTION GdipTranslateClipI LIB "gdiplus.dll" ALIAS "GdipTranslateClipI" (BYVAL graphics&, BYVAL dx&, BYVAL dy&) AS LONG
DECLARE FUNCTION GdipGetClip LIB "gdiplus.dll" ALIAS "GdipGetClip" (BYVAL graphics&, BYVAL region&) AS LONG
DECLARE FUNCTION GdipGetClipBounds LIB "gdiplus.dll" ALIAS "GdipGetClipBounds" (BYVAL graphics&, nRect AS RECTF) AS LONG
DECLARE FUNCTION GdipGetClipBoundsI LIB "gdiplus.dll" ALIAS "GdipGetClipBoundsI" (BYVAL graphics&, nRect AS RECTL) AS LONG
DECLARE FUNCTION GdipIsClipEmpty LIB "gdiplus.dll" ALIAS "GdipIsClipEmpty" (BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipGetVisibleClipBounds LIB "gdiplus.dll" ALIAS "GdipGetVisibleClipBounds" (BYVAL graphics&, nRect AS RECTF) AS LONG
DECLARE FUNCTION GdipGetVisibleClipBoundsI LIB "gdiplus.dll" ALIAS "GdipGetVisibleClipBoundsI" (BYVAL graphics&, nRect AS RECTL) AS LONG
DECLARE FUNCTION GdipIsVisibleClipEmpty LIB "gdiplus.dll" ALIAS "GdipIsVisibleClipEmpty" (BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsVisiblePoint LIB "gdiplus.dll" ALIAS "GdipIsVisiblePoint" (BYVAL graphics&, BYVAL x!, BYVAL y!, result&) AS LONG
DECLARE FUNCTION GdipIsVisiblePointI LIB "gdiplus.dll" ALIAS "GdipIsVisiblePointI" (BYVAL graphics&, BYVAL x&, BYVAL y&, result&) AS LONG
DECLARE FUNCTION GdipIsVisibleRect LIB "gdiplus.dll" ALIAS "GdipIsVisibleRect" (BYVAL graphics&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, result&) AS LONG
DECLARE FUNCTION GdipIsVisibleRectI LIB "gdiplus.dll" ALIAS "GdipIsVisibleRectI" (BYVAL graphics&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, result&) AS LONG
DECLARE FUNCTION GdipSaveGraphics LIB "gdiplus.dll" ALIAS "GdipSaveGraphics" (BYVAL graphics&, STATE&) AS LONG
DECLARE FUNCTION GdipRestoreGraphics LIB "gdiplus.dll" ALIAS "GdipRestoreGraphics" (BYVAL graphics&, BYVAL STATE&) AS LONG
DECLARE FUNCTION GdipBeginContainer LIB "gdiplus.dll" ALIAS "GdipBeginContainer" (BYVAL graphics&, dstrect AS RECTF, srcRect AS RECTF, BYVAL unit&, STATE&) AS LONG
DECLARE FUNCTION GdipBeginContainerI LIB "gdiplus.dll" ALIAS "GdipBeginContainerI" (BYVAL graphics&, dstrect AS RECTL, srcRect AS RECTL, BYVAL unit&, STATE&) AS LONG
DECLARE FUNCTION GdipBeginContainer2 LIB "gdiplus.dll" ALIAS "GdipBeginContainer2" (BYVAL graphics&, STATE&) AS LONG
DECLARE FUNCTION GdipEndContainer LIB "gdiplus.dll" ALIAS "GdipEndContainer" (BYVAL graphics&, BYVAL STATE&) AS LONG
DECLARE FUNCTION GdipGetMetafileHeaderFromWmf LIB "gdiplus.dll" ALIAS "GdipGetMetafileHeaderFromWmf" (BYVAL hWmf&, WmfPlaceableFileHdr AS WmfPlaceableFileHeader, header AS MetafileHeader) AS LONG
DECLARE FUNCTION GdipGetMetafileHeaderFromEmf LIB "gdiplus.dll" ALIAS "GdipGetMetafileHeaderFromEmf" (BYVAL hEmf&, header AS MetafileHeader) AS LONG
DECLARE FUNCTION GdipGetMetafileHeaderFromFile LIB "gdiplus.dll" ALIAS "GdipGetMetafileHeaderFromFile" (BYVAL FilName AS STRING, header AS MetafileHeader) AS LONG
DECLARE FUNCTION GdipGetMetafileHeaderFromStream LIB "gdiplus.dll" ALIAS "GdipGetMetafileHeaderFromStream" (BYVAL stream AS IStream, header AS MetafileHeader) AS LONG
DECLARE FUNCTION GdipGetMetafileHeaderFromMetafile LIB "gdiplus.dll" ALIAS "GdipGetMetafileHeaderFromMetafile" (BYVAL metafile&, header AS MetafileHeader) AS LONG
DECLARE FUNCTION GdipGetHemfFromMetafile LIB "gdiplus.dll" ALIAS "GdipGetHemfFromMetafile" (BYVAL metafile&, hEmf&) AS LONG
DECLARE FUNCTION GdipCreateStreamOnFile LIB "gdiplus.dll" ALIAS "GdipCreateStreamOnFile" (BYVAL FilName AS STRING, BYVAL nAccess&, stream AS IStream) AS LONG
DECLARE FUNCTION GdipCreateMetafileFromWmf LIB "gdiplus.dll" ALIAS "GdipCreateMetafileFromWmf" (BYVAL hWmf&, BYVAL bDeleteWmf&, WmfPlaceableFileHdr AS WmfPlaceableFileHeader, BYVAL metafile&) AS LONG
DECLARE FUNCTION GdipCreateMetafileFromEmf LIB "gdiplus.dll" ALIAS "GdipCreateMetafileFromEmf" (BYVAL hEmf&, BYVAL bDeleteEmf&, metafile&) AS LONG
DECLARE FUNCTION GdipCreateMetafileFromFile LIB "gdiplus.dll" ALIAS "GdipCreateMetafileFromFile" (BYVALfile AS STRING, metafile&) AS LONG
DECLARE FUNCTION GdipCreateMetafileFromWmfFile LIB "gdiplus.dll" ALIAS "GdipCreateMetafileFromWmfFile" (BYVAL file AS STRING, WmfPlaceableFileHdr AS WmfPlaceableFileHeader, metafile&) AS LONG
DECLARE FUNCTION GdipCreateMetafileFromStream LIB "gdiplus.dll" ALIAS "GdipCreateMetafileFromStream" (BYVAL stream AS IStream, metafile&) AS LONG
DECLARE FUNCTION GdipRecordMetafile LIB "gdiplus.dll" ALIAS "GdipRecordMetafile" (BYVAL referenceHdc&, etype&, frameRect AS RECTF, BYVAL frameUnit&, BYVAL description AS STRING, metafile&) AS LONG
DECLARE FUNCTION GdipRecordMetafileI LIB "gdiplus.dll" ALIAS "GdipRecordMetafileI" (BYVAL referenceHdc&, etype&, frameRect AS RECTL, BYVAL frameUnit&, BYVAL description AS STRING, metafile&) AS LONG
DECLARE FUNCTION GdipRecordMetafileFileName LIB "gdiplus.dll" ALIAS "GdipRecordMetafileFileName" (BYVAL FilName AS STRING, BYVAL referenceHdc&, etype&, frameRect AS RECTF, BYVAL frameUnit&, BYVAL description AS STRING, metafile&) AS LONG
DECLARE FUNCTION GdipRecordMetafileFileNameI LIB "gdiplus.dll" ALIAS "GdipRecordMetafileFileNameI" (BYVAL FilName AS STRING, BYVAL referenceHdc&, etype&, frameRect AS RECTL, BYVAL frameUnit&, BYVAL description AS STRING, metafile&) AS LONG
DECLARE FUNCTION GdipRecordMetafileFileStream LIB "gdiplus.dll" ALIAS "GdipRecordMetafileFileStream" (BYVAL stream AS IStream, BYVAL referenceHdc&, etype&, frameRect AS RECTF, BYVAL frameUnit&, BYVAL description AS STRING, metafile&) AS LONG
DECLARE FUNCTION GdipRecordMetafileFileStreamI LIB "gdiplus.dll" ALIAS "GdipRecordMetafileFileStreamI" (BYVAL stream AS IStream, BYVAL referenceHdc&, etype&, frameRect AS RECTL, BYVAL frameUnit&, BYVAL description AS STRING, metafile&) AS LONG
DECLARE FUNCTION GdipSetMetafileDownLevelRasterizationLimit LIB "gdiplus.dll" ALIAS "GdipSetMetafileDownLevelRasterizationLimit" (BYVAL metafile&, BYVAL metafileRasterizationLimitDpi&) AS LONG
DECLARE FUNCTION GdipGetMetafileDownLevelRasterizationLimit LIB "gdiplus.dll" ALIAS "GdipGetMetafileDownLevelRasterizationLimit" (BYVAL metafile&, metafileRasterizationLimitDpi&) AS LONG
' NOTE: These encoders/decoders functions expect an ImageCodecInfo array
DECLARE FUNCTION GdipGetImageDecodersSize LIB "gdiplus.dll" ALIAS "GdipGetImageDecodersSize" (numDecoders&, SIZE&) AS LONG
DECLARE FUNCTION GdipGetImageDecoders LIB "gdiplus.dll" ALIAS "GdipGetImageDecoders" (BYVAL numDecoders&, BYVAL SIZE&, decoders AS ANY) AS LONG
DECLARE FUNCTION GdipGetImageEncodersSize LIB "gdiplus.dll" ALIAS "GdipGetImageEncodersSize" (numEncoders&, SIZE&) AS LONG
DECLARE FUNCTION GdipGetImageEncoders LIB "gdiplus.dll" ALIAS "GdipGetImageEncoders" (BYVAL numEncoders&, BYVAL SIZE&, encoders AS ANY) AS LONG
DECLARE FUNCTION GdipComment LIB "gdiplus.dll" ALIAS "GdipComment" (BYVAL graphics&, BYVAL sizeData&, nData AS ANY) AS LONG

' Image Functions (ALL)
DECLARE FUNCTION GdipLoadImageFromFile LIB "gdiplus.dll" ALIAS "GdipLoadImageFromFile" (BYVAL FilName AS STRING, nImage&) AS LONG
DECLARE FUNCTION GdipLoadImageFromFileICM LIB "gdiplus.dll" ALIAS "GdipLoadImageFromFileICM" (BYVAL FilName AS STRING, nImage&) AS LONG
DECLARE FUNCTION GdipLoadImageFromStream LIB "gdiplus.dll" ALIAS "GdipLoadImageFromStream" (BYVAL stream AS IStream, nImage&) AS LONG
DECLARE FUNCTION GdipLoadImageFromStreamICM LIB "gdiplus.dll" ALIAS "GdipLoadImageFromStreamICM" (BYVAL stream AS IStream, nImage&) AS LONG
DECLARE FUNCTION GdipDisposeImage LIB "gdiplus.dll" ALIAS "GdipDisposeImage" (BYVAL nImage&) AS LONG
' NOTE: The encoderParams parameter expects a EncoderParameters struct or a NULL
DECLARE FUNCTION GdipSaveImageToFile LIB "gdiplus.dll" ALIAS "GdipSaveImageToFile" (BYVAL nImage&, BYVAL FilName AS STRING, clsidEncoder AS GUIDAPI, encoderParams AS ANY) AS LONG
DECLARE FUNCTION GdipSaveImageToStream LIB "gdiplus.dll" ALIAS "GdipSaveImageToStream" (BYVAL nImage&, BYVAL stream AS IStream, clsidEncoder AS GUIDAPI, encoderParams AS ANY) AS LONG
DECLARE FUNCTION GdipSaveAdd LIB "gdiplus.dll" ALIAS "GdipSaveAdd" (BYVAL nImage&, encoderParams AS EncoderParameters) AS LONG
DECLARE FUNCTION GdipSaveAddImage LIB "gdiplus.dll" ALIAS "GdipSaveAddImage" (BYVAL nImage&, BYVAL newnImage&, encoderParams AS EncoderParameters) AS LONG
DECLARE FUNCTION GdipGetImageGraphicsContext LIB "gdiplus.dll" ALIAS "GdipGetImageGraphicsContext" (BYVAL nImage&, graphics&) AS LONG
DECLARE FUNCTION GdipGetImageBounds LIB "gdiplus.dll" ALIAS "GdipGetImageBounds" (BYVAL nImage&, srcRect AS RECTF, srcUnit&) AS LONG
DECLARE FUNCTION GdipGetImageDimension LIB "gdiplus.dll" ALIAS "GdipGetImageDimension" (BYVAL nImage&, nWidth!, Height!) AS LONG
DECLARE FUNCTION GdipGetImageType LIB "gdiplus.dll" ALIAS "GdipGetImageType" (BYVAL nImage&, itype&) AS LONG
DECLARE FUNCTION GdipGetImageWidth LIB "gdiplus.dll" ALIAS "GdipGetImageWidth" (BYVAL nImage&, nWidth&) AS LONG
DECLARE FUNCTION GdipGetImageHeight LIB "gdiplus.dll" ALIAS "GdipGetImageHeight" (BYVAL nImage&, Height&) AS LONG
DECLARE FUNCTION GdipGetImageHorizontalResolution LIB "gdiplus.dll" ALIAS "GdipGetImageHorizontalResolution" (BYVAL nImage&, resolution!) AS LONG
DECLARE FUNCTION GdipGetImageVerticalResolution LIB "gdiplus.dll" ALIAS "GdipGetImageVerticalResolution" (BYVAL nImage&, resolution!) AS LONG
DECLARE FUNCTION GdipGetImageFlags LIB "gdiplus.dll" ALIAS "GdipGetImageFlags" (BYVAL nImage&, flags&) AS LONG
DECLARE FUNCTION GdipGetImageRawFormat LIB "gdiplus.dll" ALIAS "GdipGetImageRawFormat" (BYVAL nImage&, format AS GUIDAPI) AS LONG
DECLARE FUNCTION GdipGetImagePixelFormat LIB "gdiplus.dll" ALIAS "GdipGetImagePixelFormat" (BYVAL nImage&, PixelFormat&) AS LONG
DECLARE FUNCTION GdipGetImageThumbnail LIB "gdiplus.dll" ALIAS "GdipGetImageThumbnail" (BYVAL nImage&, BYVAL thumbWidth&, BYVAL thumbHeight&, thumbnImage&, OPTIONAL BYVAL pCALLBACK&, OPTIONAL BYVAL callbackData&) AS LONG
DECLARE FUNCTION GdipGetEncoderParameterListSize LIB "gdiplus.dll" ALIAS "GdipGetEncoderParameterListSize" (BYVAL nImage&, clsidEncoder AS GUIDAPI, SIZE&) AS LONG
DECLARE FUNCTION GdipGetEncoderParameterList LIB "gdiplus.dll" ALIAS "GdipGetEncoderParameterList" (BYVAL nImage&, clsidEncoder AS GUIDAPI, BYVAL SIZE&, buffer AS EncoderParameters) AS LONG
DECLARE FUNCTION GdipImageGetFrameDimensionsCount LIB "gdiplus.dll" ALIAS "GdipImageGetFrameDimensionsCount" (BYVAL nImage&, Count&) AS LONG
DECLARE FUNCTION GdipImageGetFrameDimensionsList LIB "gdiplus.dll" ALIAS "GdipImageGetFrameDimensionsList" (BYVAL nImage&, dimensionIDs AS GUIDAPI, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipImageGetFrameCount LIB "gdiplus.dll" ALIAS "GdipImageGetFrameCount" (BYVAL nImage&, dimensionID AS GUIDAPI, Count&) AS LONG
DECLARE FUNCTION GdipImageSelectActiveFrame LIB "gdiplus.dll" ALIAS "GdipImageSelectActiveFrame" (BYVAL nImage&, dimensionID AS GUIDAPI, BYVAL frameIndex&) AS LONG
DECLARE FUNCTION GdipImageRotateFlip LIB "gdiplus.dll" ALIAS "GdipImageRotateFlip" (BYVAL nImage&, BYVAL rfType&) AS LONG
DECLARE FUNCTION GdipGetImagePalette LIB "gdiplus.dll" ALIAS "GdipGetImagePalette" (BYVAL nImage&, palette AS ColorPalette, BYVAL SIZE&) AS LONG
DECLARE FUNCTION GdipSetImagePalette LIB "gdiplus.dll" ALIAS "GdipSetImagePalette" (BYVAL nImage&, palette AS ColorPalette) AS LONG
DECLARE FUNCTION GdipGetImagePaletteSize LIB "gdiplus.dll" ALIAS "GdipGetImagePaletteSize" (BYVAL nImage&, SIZE&) AS LONG
DECLARE FUNCTION GdipGetPropertyCount LIB "gdiplus.dll" ALIAS "GdipGetPropertyCount" (BYVAL nImage&, numOfProperty&) AS LONG
DECLARE FUNCTION GdipGetPropertyIdList LIB "gdiplus.dll" ALIAS "GdipGetPropertyIdList" (BYVAL nImage&, BYVAL numOfProperty&, list&) AS LONG
DECLARE FUNCTION GdipGetPropertyItemSize LIB "gdiplus.dll" ALIAS "GdipGetPropertyItemSize" (BYVAL nImage&, BYVAL propId&, SIZE&) AS LONG
DECLARE FUNCTION GdipGetPropertyItem LIB "gdiplus.dll" ALIAS "GdipGetPropertyItem" (BYVAL nImage&, BYVAL propId&, BYVAL propSize&, buffer AS PropertyItem) AS LONG
DECLARE FUNCTION GdipGetPropertySize LIB "gdiplus.dll" ALIAS "GdipGetPropertySize" (BYVAL nImage&, totalBufferSize&, numProperties&) AS LONG
DECLARE FUNCTION GdipGetAllPropertyItems LIB "gdiplus.dll" ALIAS "GdipGetAllPropertyItems" (BYVAL nImage&, BYVAL totalBufferSize&, BYVAL numProperties&, allItems AS PropertyItem) AS LONG
DECLARE FUNCTION GdipRemovePropertyItem LIB "gdiplus.dll" ALIAS "GdipRemovePropertyItem" (BYVAL nImage&, BYVAL propId&) AS LONG
DECLARE FUNCTION GdipSetPropertyItem LIB "gdiplus.dll" ALIAS "GdipSetPropertyItem" (BYVAL nImage&, item AS PropertyItem) AS LONG
DECLARE FUNCTION GdipImageForceValidation LIB "gdiplus.dll" ALIAS "GdipImageForceValidation" (BYVAL nImage&) AS LONG

' Pen Functions (ALL)
DECLARE FUNCTION GdipCreatePen1 LIB "gdiplus.dll" ALIAS "GdipCreatePen1" (BYVAL Colr&, BYVAL nWidth!, BYVAL unit&, pen&) AS LONG
DECLARE FUNCTION GdipCreatePen2 LIB "gdiplus.dll" ALIAS "GdipCreatePen2" (BYVAL brush&, BYVAL nWidth!, BYVAL unit&, pen&) AS LONG
DECLARE FUNCTION GdipClonePen LIB "gdiplus.dll" ALIAS "GdipClonePen" (BYVAL pen&, clonepen&) AS LONG
DECLARE FUNCTION GdipDeletePen LIB "gdiplus.dll" ALIAS "GdipDeletePen" (BYVAL pen&) AS LONG
DECLARE FUNCTION GdipSetPenWidth LIB "gdiplus.dll" ALIAS "GdipSetPenWidth" (BYVAL pen&, BYVAL nWidth!) AS LONG
DECLARE FUNCTION GdipGetPenWidth LIB "gdiplus.dll" ALIAS "GdipGetPenWidth" (BYVAL pen&, nWidth!) AS LONG
DECLARE FUNCTION GdipSetPenUnit LIB "gdiplus.dll" ALIAS "GdipSetPenUnit" (BYVAL pen&, BYVAL unit&) AS LONG
DECLARE FUNCTION GdipGetPenUnit LIB "gdiplus.dll" ALIAS "GdipGetPenUnit" (BYVAL pen&, unit&) AS LONG
DECLARE FUNCTION GdipSetPenLineCap LIB "gdiplus.dll" ALIAS "GdipSetPenLineCap197819" (BYVAL pen&, BYVAL startCap&, BYVAL endCap&, BYVAL dcap&) AS LONG
DECLARE FUNCTION GdipSetPenStartCap LIB "gdiplus.dll" ALIAS "GdipSetPenStartCap" (BYVAL pen&, BYVAL startCap&) AS LONG
DECLARE FUNCTION GdipSetPenEndCap LIB "gdiplus.dll" ALIAS "GdipSetPenEndCap" (BYVAL pen&, BYVAL endCap&) AS LONG
DECLARE FUNCTION GdipSetPenDashCap LIB "gdiplus.dll" ALIAS "GdipSetPenDashCap197819" (BYVAL pen&, BYVAL dcap&) AS LONG
DECLARE FUNCTION GdipGetPenStartCap LIB "gdiplus.dll" ALIAS "GdipGetPenStartCap" (BYVAL pen&, startCap&) AS LONG
DECLARE FUNCTION GdipGetPenEndCap LIB "gdiplus.dll" ALIAS "GdipGetPenEndCap" (BYVAL pen&, endCap&) AS LONG
DECLARE FUNCTION GdipGetPenDashCap LIB "gdiplus.dll" ALIAS "GdipGetPenDashCap197819" (BYVAL pen&, dcap&) AS LONG
DECLARE FUNCTION GdipSetPenLineJoin LIB "gdiplus.dll" ALIAS "GdipSetPenLineJoin" (BYVAL pen&, BYVAL LnJoin&) AS LONG
DECLARE FUNCTION GdipGetPenLineJoin LIB "gdiplus.dll" ALIAS "GdipGetPenLineJoin" (BYVAL pen&, LnJoin&) AS LONG
DECLARE FUNCTION GdipSetPenCustomStartCap LIB "gdiplus.dll" ALIAS "GdipSetPenCustomStartCap" (BYVAL pen&, BYVAL customCap&) AS LONG
DECLARE FUNCTION GdipGetPenCustomStartCap LIB "gdiplus.dll" ALIAS "GdipGetPenCustomStartCap" (BYVAL pen&, customCap&) AS LONG
DECLARE FUNCTION GdipSetPenCustomEndCap LIB "gdiplus.dll" ALIAS "GdipSetPenCustomEndCap" (BYVAL pen&, BYVAL customCap&) AS LONG
DECLARE FUNCTION GdipGetPenCustomEndCap LIB "gdiplus.dll" ALIAS "GdipGetPenCustomEndCap" (BYVAL pen&, customCap&) AS LONG
DECLARE FUNCTION GdipSetPenMiterLimit LIB "gdiplus.dll" ALIAS "GdipSetPenMiterLimit" (BYVAL pen&, BYVAL miterLimit!) AS LONG
DECLARE FUNCTION GdipGetPenMiterLimit LIB "gdiplus.dll" ALIAS "GdipGetPenMiterLimit" (BYVAL pen&, miterLimit!) AS LONG
DECLARE FUNCTION GdipSetPenMode LIB "gdiplus.dll" ALIAS "GdipSetPenMode" (BYVAL pen&, BYVAL penMode&) AS LONG
DECLARE FUNCTION GdipGetPenMode LIB "gdiplus.dll" ALIAS "GdipGetPenMode" (BYVAL pen&, penMode&) AS LONG
DECLARE FUNCTION GdipSetPenTransform LIB "gdiplus.dll" ALIAS "GdipSetPenTransform" (BYVAL pen&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipGetPenTransform LIB "gdiplus.dll" ALIAS "GdipGetPenTransform" (BYVAL pen&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipResetPenTransform LIB "gdiplus.dll" ALIAS "GdipResetPenTransform" (BYVAL pen&) AS LONG
DECLARE FUNCTION GdipMultiplyPenTransform LIB "gdiplus.dll" ALIAS "GdipMultiplyPenTransform" (BYVAL pen&, BYVAL matrix&, BYVAL order&) AS LONG
DECLARE FUNCTION GdipTranslatePenTransform LIB "gdiplus.dll" ALIAS "GdipTranslatePenTransform" (BYVAL pen&, BYVAL dx!, BYVAL dy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipScalePenTransform LIB "gdiplus.dll" ALIAS "GdipScalePenTransform" (BYVAL pen&, BYVAL sx!, BYVAL sy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipRotatePenTransform LIB "gdiplus.dll" ALIAS "GdipRotatePenTransform" (BYVAL pen&, BYVAL angle!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipSetPenColor LIB "gdiplus.dll" ALIAS "GdipSetPenColor" (BYVAL pen&, BYVAL argb&) AS LONG
DECLARE FUNCTION GdipGetPenColor LIB "gdiplus.dll" ALIAS "GdipGetPenColor" (BYVAL pen&, argb&) AS LONG
DECLARE FUNCTION GdipSetPenBrushFill LIB "gdiplus.dll" ALIAS "GdipSetPenBrushFill" (BYVAL pen&, BYVAL brush&) AS LONG
DECLARE FUNCTION GdipGetPenBrushFill LIB "gdiplus.dll" ALIAS "GdipGetPenBrushFill" (BYVAL pen&, brush&) AS LONG
DECLARE FUNCTION GdipGetPenFillType LIB "gdiplus.dll" ALIAS "GdipGetPenFillType" (BYVAL pen&, ptype&) AS LONG
DECLARE FUNCTION GdipGetPenDashStyle LIB "gdiplus.dll" ALIAS "GdipGetPenDashStyle" (BYVAL pen&, dStyle&) AS LONG
DECLARE FUNCTION GdipSetPenDashStyle LIB "gdiplus.dll" ALIAS "GdipSetPenDashStyle" (BYVAL pen&, BYVAL dStyle&) AS LONG
DECLARE FUNCTION GdipGetPenDashOffset LIB "gdiplus.dll" ALIAS "GdipGetPenDashOffset" (BYVAL pen&, offset!) AS LONG
DECLARE FUNCTION GdipSetPenDashOffset LIB "gdiplus.dll" ALIAS "GdipSetPenDashOffset" (BYVAL pen&, BYVAL offset!) AS LONG
DECLARE FUNCTION GdipGetPenDashCount LIB "gdiplus.dll" ALIAS "GdipGetPenDashCount" (BYVAL pen&, Count&) AS LONG
DECLARE FUNCTION GdipSetPenDashArray LIB "gdiplus.dll" ALIAS "GdipSetPenDashArray" (BYVAL pen&, dash!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetPenDashArray LIB "gdiplus.dll" ALIAS "GdipGetPenDashArray" (BYVAL pen&, dash!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetPenCompoundCount LIB "gdiplus.dll" ALIAS "GdipGetPenCompoundCount" (BYVAL pen&, Count&) AS LONG
DECLARE FUNCTION GdipSetPenCompoundArray LIB "gdiplus.dll" ALIAS "GdipSetPenCompoundArray" (BYVAL pen&, dash!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetPenCompoundArray LIB "gdiplus.dll" ALIAS "GdipGetPenCompoundArray" (BYVAL pen&, dash!, BYVAL Count&) AS LONG

' CustomLineCap Functions (ALL)
DECLARE FUNCTION GdipCreateCustomLineCap LIB "gdiplus.dll" ALIAS "GdipCreateCustomLineCap" (BYVAL PathtoFill&, BYVAL PathStroke&, BYVAL baseCap&, BYVAL baseInset!, customCap&) AS LONG
DECLARE FUNCTION GdipDeleteCustomLineCap LIB "gdiplus.dll" ALIAS "GdipDeleteCustomLineCap" (BYVAL customCap&) AS LONG
DECLARE FUNCTION GdipCloneCustomLineCap LIB "gdiplus.dll" ALIAS "GdipCloneCustomLineCap" (BYVAL customCap&, clonedCap&) AS LONG
DECLARE FUNCTION GdipGetCustomLineCapType LIB "gdiplus.dll" ALIAS "GdipGetCustomLineCapType" (BYVAL customCap&, capType&) AS LONG
DECLARE FUNCTION GdipSetCustomLineCapStrokeCaps LIB "gdiplus.dll" ALIAS "GdipSetCustomLineCapStrokeCaps" (BYVAL customCap&, BYVAL startCap&, BYVAL endCap&) AS LONG
DECLARE FUNCTION GdipGetCustomLineCapStrokeCaps LIB "gdiplus.dll" ALIAS "GdipGetCustomLineCapStrokeCaps" (BYVAL customCap&, startCap&, endCap&) AS LONG
DECLARE FUNCTION GdipSetCustomLineCapStrokeJoin LIB "gdiplus.dll" ALIAS "GdipSetCustomLineCapStrokeJoin" (BYVAL customCap&, BYVAL LnJoin&) AS LONG
DECLARE FUNCTION GdipGetCustomLineCapStrokeJoin LIB "gdiplus.dll" ALIAS "GdipGetCustomLineCapStrokeJoin" (BYVAL customCap&, LnJoin&) AS LONG
DECLARE FUNCTION GdipSetCustomLineCapBaseCap LIB "gdiplus.dll" ALIAS "GdipSetCustomLineCapBaseCap" (BYVAL customCap&, BYVAL baseCap&) AS LONG
DECLARE FUNCTION GdipGetCustomLineCapBaseCap LIB "gdiplus.dll" ALIAS "GdipGetCustomLineCapBaseCap" (BYVAL customCap&, baseCap&) AS LONG
DECLARE FUNCTION GdipSetCustomLineCapBaseInset LIB "gdiplus.dll" ALIAS "GdipSetCustomLineCapBaseInset" (BYVAL customCap&, BYVAL inset!) AS LONG
DECLARE FUNCTION GdipGetCustomLineCapBaseInset LIB "gdiplus.dll" ALIAS "GdipGetCustomLineCapBaseInset" (BYVAL customCap&, inset!) AS LONG
DECLARE FUNCTION GdipSetCustomLineCapWidthScale LIB "gdiplus.dll" ALIAS "GdipSetCustomLineCapWidthScale" (BYVAL customCap&, BYVAL widthScale!) AS LONG
DECLARE FUNCTION GdipGetCustomLineCapWidthScale LIB "gdiplus.dll" ALIAS "GdipGetCustomLineCapWidthScale" (BYVAL customCap&, widthScale!) AS LONG

' AdjustableArrowCap Functions (ALL)
DECLARE FUNCTION GdipCreateAdjustableArrowCap LIB "gdiplus.dll" ALIAS "GdipCreateAdjustableArrowCap" (BYVAL Height!, BYVAL nWidth!, BYVAL isFilled&, cap&) AS LONG
DECLARE FUNCTION GdipSetAdjustableArrowCapHeight LIB "gdiplus.dll" ALIAS "GdipSetAdjustableArrowCapHeight" (BYVAL cap&, BYVAL Height!) AS LONG
DECLARE FUNCTION GdipGetAdjustableArrowCapHeight LIB "gdiplus.dll" ALIAS "GdipGetAdjustableArrowCapHeight" (BYVAL cap&, Height!) AS LONG
DECLARE FUNCTION GdipSetAdjustableArrowCapWidth LIB "gdiplus.dll" ALIAS "GdipSetAdjustableArrowCapWidth" (BYVAL cap&, BYVAL nWidth!) AS LONG
DECLARE FUNCTION GdipGetAdjustableArrowCapWidth LIB "gdiplus.dll" ALIAS "GdipGetAdjustableArrowCapWidth" (BYVAL cap&, nWidth!) AS LONG
DECLARE FUNCTION GdipSetAdjustableArrowCapMiddleInset LIB "gdiplus.dll" ALIAS "GdipSetAdjustableArrowCapMiddleInset" (BYVAL cap&, BYVAL middleInset!) AS LONG
DECLARE FUNCTION GdipGetAdjustableArrowCapMiddleInset LIB "gdiplus.dll" ALIAS "GdipGetAdjustableArrowCapMiddleInset" (BYVAL cap&, middleInset!) AS LONG
DECLARE FUNCTION GdipSetAdjustableArrowCapFillState LIB "gdiplus.dll" ALIAS "GdipSetAdjustableArrowCapFillState" (BYVAL cap&, BYVAL bFillState&) AS LONG
DECLARE FUNCTION GdipGetAdjustableArrowCapFillState LIB "gdiplus.dll" ALIAS "GdipGetAdjustableArrowCapFillState" (BYVAL cap&, bFillState&) AS LONG

' Bitmap Functions (ALL)
DECLARE FUNCTION GdipCreateBitmapFromFile LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromFile" (BYVAL FilName AS STRING, nBitmap&) AS LONG
DECLARE FUNCTION GdipCreateBitmapFromFileICM LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromFileICM" (BYVAL FilName AS STRING, nBitmap&) AS LONG
DECLARE FUNCTION GdipCreateBitmapFromStream LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromStream" (BYVAL stream AS IStream, nBitmap&) AS LONG
DECLARE FUNCTION GdipCreateBitmapFromStreamICM LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromStreamICM" (BYVAL stream AS IStream, nBitmap&) AS LONG
' NOTE: The scan0 parameter is treated AS a byte array
DECLARE FUNCTION GdipCreateBitmapFromScan0 LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromScan0" (BYVAL nWidth&, BYVAL Height&, BYVAL stride&, BYVAL PixelFormat&, scan0 AS ANY, nBitmap&) AS LONG
DECLARE FUNCTION GdipCreateBitmapFromGraphics LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromGraphics" (BYVAL nWidth&, BYVAL Height&, BYVAL graphics&, nBitmap&) AS LONG
' TODO: Uncomment if DirectX is in your program
'DECLARE FUNCTION GdipCreateBitmapFromDirectDrawSurface LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromDirectDrawSurface" (surface AS DirectDrawSurface7, nBitmap&) AS LONG
DECLARE FUNCTION GdipCreateBitmapFromGdiDib LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromGdiDib" (gdiBitmapInfo AS BITMAPINFO, BYVAL gdiBitmapData&, nBitmap&) AS LONG
DECLARE FUNCTION GdipCreateBitmapFromHBITMAP LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromHBITMAP" (BYVAL hbm&, BYVAL hpal&, nBitmap&) AS LONG
DECLARE FUNCTION GdipCreateHBITMAPFromBitmap LIB "gdiplus.dll" ALIAS "GdipCreateHBITMAPFromBitmap" (BYVAL nBitmap&, hbmReturn&, BYVAL background&) AS LONG
DECLARE FUNCTION GdipCreateBitmapFromHICON LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromHICON" (BYVAL hicon&, nBitmap&) AS LONG
DECLARE FUNCTION GdipCreateHICONFromBitmap LIB "gdiplus.dll" ALIAS "GdipCreateHICONFromBitmap" (BYVAL nBitmap&, hbmReturn&) AS LONG
DECLARE FUNCTION GdipCreateBitmapFromResource LIB "gdiplus.dll" ALIAS "GdipCreateBitmapFromResource" (BYVAL hInstance&, BYVAL lpBitmapName AS STRING, nBitmap&) AS LONG
DECLARE FUNCTION GdipCloneBitmapArea LIB "gdiplus.dll" ALIAS "GdipCloneBitmapArea" (BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, BYVAL PixelFormat&, BYVAL srcBitmap&, dstBitmap&) AS LONG
DECLARE FUNCTION GdipCloneBitmapAreaI LIB "gdiplus.dll" ALIAS "GdipCloneBitmapAreaI" (BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, BYVAL PixelFormat&, BYVAL srcBitmap&, dstBitmap&) AS LONG
DECLARE FUNCTION GdipBitmapLockBits LIB "gdiplus.dll" ALIAS "GdipBitmapLockBits" (BYVAL nBitmap&, nRect AS RECTL, BYVAL flags&, BYVAL PixelFormat&, lockedBitmapData AS BitmapData) AS LONG
DECLARE FUNCTION GdipBitmapUnlockBits LIB "gdiplus.dll" ALIAS "GdipBitmapUnlockBits" (BYVAL nBitmap&, lockedBitmapData AS BitmapData) AS LONG
DECLARE FUNCTION GdipBitmapGetPixel LIB "gdiplus.dll" ALIAS "GdipBitmapGetPixel" (BYVAL nBitmap&, BYVAL x&, BYVAL y&, Colr&) AS LONG
DECLARE FUNCTION GdipBitmapSetPixel LIB "gdiplus.dll" ALIAS "GdipBitmapSetPixel" (BYVAL nBitmap&, BYVAL x&, BYVAL y&, BYVAL Colr&) AS LONG
DECLARE FUNCTION GdipBitmapSetResolution LIB "gdiplus.dll" ALIAS "GdipBitmapSetResolution" (BYVAL nBitmap&, BYVAL xdpi!, BYVAL ydpi!) AS LONG

' CachedBitmap Functions (ALL)
DECLARE FUNCTION GdipCreateCachedBitmap LIB "gdiplus.dll" ALIAS "GdipCreateCachedBitmap" (BYVAL nBitmap&, BYVAL graphics&, cachedBitmap&) AS LONG
DECLARE FUNCTION GdipDeleteCachedBitmap LIB "gdiplus.dll" ALIAS "GdipDeleteCachedBitmap" (BYVAL cachedBitmap&) AS LONG
DECLARE FUNCTION GdipDrawCachedBitmap LIB "gdiplus.dll" ALIAS "GdipDrawCachedBitmap" (BYVAL graphics&, BYVAL cachedBitmap&, BYVAL x&, BYVAL y&) AS LONG

' Brush Functions (ALL)
DECLARE FUNCTION GdipCloneBrush LIB "gdiplus.dll" ALIAS "GdipCloneBrush" (BYVAL brush&, cloneBrush&) AS LONG
DECLARE FUNCTION GdipDeleteBrush LIB "gdiplus.dll" ALIAS "GdipDeleteBrush" (BYVAL brush&) AS LONG
DECLARE FUNCTION GdipGetBrushType LIB "gdiplus.dll" ALIAS "GdipGetBrushType" (BYVAL brush&, brshType&) AS LONG

' HatchBrush Functions (ALL)
DECLARE FUNCTION GdipCreateHatchBrush LIB "gdiplus.dll" ALIAS "GdipCreateHatchBrush" (BYVAL style&, BYVAL forecolr&, BYVAL backcolr&, brush&) AS LONG
DECLARE FUNCTION GdipGetHatchStyle LIB "gdiplus.dll" ALIAS "GdipGetHatchStyle" (BYVAL brush&, style&) AS LONG
DECLARE FUNCTION GdipGetHatchForegroundColor LIB "gdiplus.dll" ALIAS "GdipGetHatchForegroundColor" (BYVAL brush&, forecolr&) AS LONG
DECLARE FUNCTION GdipGetHatchBackgroundColor LIB "gdiplus.dll" ALIAS "GdipGetHatchBackgroundColor" (BYVAL brush&, backcolr&) AS LONG

' SolidBrush Functions (ALL)
DECLARE FUNCTION GdipCreateSolidFill LIB "gdiplus.dll" ALIAS "GdipCreateSolidFill" (BYVAL argb&, brush&) AS LONG
DECLARE FUNCTION GdipSetSolidFillColor LIB "gdiplus.dll" ALIAS "GdipSetSolidFillColor" (BYVAL brush&, BYVAL argb&) AS LONG
DECLARE FUNCTION GdipGetSolidFillColor LIB "gdiplus.dll" ALIAS "GdipGetSolidFillColor" (BYVAL brush&, argb&) AS LONG

' LineBrush Functions (ALL)
DECLARE FUNCTION GdipCreateLineBrush LIB "gdiplus.dll" ALIAS "GdipCreateLineBrush" (point1 AS POINTF, point2 AS POINTF, BYVAL color1&, BYVAL color2&, BYVAL WrapMd&, lineGradient&) AS LONG
DECLARE FUNCTION GdipCreateLineBrushI LIB "gdiplus.dll" ALIAS "GdipCreateLineBrushI" (point1 AS POINTL, point2 AS POINTL, BYVAL color1&, BYVAL color2&, BYVAL WrapMd&, lineGradient&) AS LONG
DECLARE FUNCTION GdipCreateLineBrushFromRect LIB "gdiplus.dll" ALIAS "GdipCreateLineBrushFromRect" (nRect AS RECTF, BYVAL color1&, BYVAL color2&, BYVAL mode&, BYVAL WrapMd&, lineGradient&) AS LONG
DECLARE FUNCTION GdipCreateLineBrushFromRectI LIB "gdiplus.dll" ALIAS "GdipCreateLineBrushFromRectI" (nRect AS RECTL, BYVAL color1&, BYVAL color2&, BYVAL mode&, BYVAL WrapMd&, lineGradient&) AS LONG
DECLARE FUNCTION GdipCreateLineBrushFromRectWithAngle LIB "gdiplus.dll" ALIAS "GdipCreateLineBrushFromRectWithAngle" (nRect AS RECTF, BYVAL color1&, BYVAL color2&, BYVAL angle!, BYVAL isAngleScalable&, BYVAL WrapMd&, lineGradient&) AS LONG
DECLARE FUNCTION GdipCreateLineBrushFromRectWithAngleI LIB "gdiplus.dll" ALIAS "GdipCreateLineBrushFromRectWithAngleI" (nRect AS RECTL, BYVAL color1&, BYVAL color2&, BYVAL angle!, BYVAL isAngleScalable&, BYVAL WrapMd&, lineGradient&) AS LONG
DECLARE FUNCTION GdipSetLineColors LIB "gdiplus.dll" ALIAS "GdipSetLineColors" (BYVAL brush&, BYVAL color1&, BYVAL color2&) AS LONG
DECLARE FUNCTION GdipGetLineColors LIB "gdiplus.dll" ALIAS "GdipGetLineColors" (BYVAL brush&, lColors&) AS LONG
DECLARE FUNCTION GdipGetLineRect LIB "gdiplus.dll" ALIAS "GdipGetLineRect" (BYVAL brush&, nRect AS RECTF) AS LONG
DECLARE FUNCTION GdipGetLineRectI LIB "gdiplus.dll" ALIAS "GdipGetLineRectI" (BYVAL brush&, nRect AS RECTL) AS LONG
DECLARE FUNCTION GdipSetLineGammaCorrection LIB "gdiplus.dll" ALIAS "GdipSetLineGammaCorrection" (BYVAL brush&, BYVAL useGammaCorrection&) AS LONG
DECLARE FUNCTION GdipGetLineGammaCorrection LIB "gdiplus.dll" ALIAS "GdipGetLineGammaCorrection" (BYVAL brush&, useGammaCorrection&) AS LONG
DECLARE FUNCTION GdipGetLineBlendCount LIB "gdiplus.dll" ALIAS "GdipGetLineBlendCount" (BYVAL brush&, Count&) AS LONG
DECLARE FUNCTION GdipGetLineBlend LIB "gdiplus.dll" ALIAS "GdipGetLineBlend" (BYVAL brush&, blend!, positions!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipSetLineBlend LIB "gdiplus.dll" ALIAS "GdipSetLineBlend" (BYVAL brush&, blend!, positions!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetLinePresetBlendCount LIB "gdiplus.dll" ALIAS "GdipGetLinePresetBlendCount" (BYVAL brush&, Count&) AS LONG
DECLARE FUNCTION GdipGetLinePresetBlend LIB "gdiplus.dll" ALIAS "GdipGetLinePresetBlend" (BYVAL brush&, blend&, positions!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipSetLinePresetBlend LIB "gdiplus.dll" ALIAS "GdipSetLinePresetBlend" (BYVAL brush&, blend&, positions!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipSetLineSigmaBlend LIB "gdiplus.dll" ALIAS "GdipSetLineSigmaBlend" (BYVAL brush&, BYVAL FOCUS!, BYVAL theScale!) AS LONG
DECLARE FUNCTION GdipSetLineLinearBlend LIB "gdiplus.dll" ALIAS "GdipSetLineLinearBlend" (BYVAL brush&, BYVAL FOCUS!, BYVAL theScale!) AS LONG
DECLARE FUNCTION GdipSetLineWrapMode LIB "gdiplus.dll" ALIAS "GdipSetLineWrapMode" (BYVAL brush&, BYVAL WrapMd&) AS LONG
DECLARE FUNCTION GdipGetLineWrapMode LIB "gdiplus.dll" ALIAS "GdipGetLineWrapMode" (BYVAL brush&, WrapMd&) AS LONG
DECLARE FUNCTION GdipGetLineTransform LIB "gdiplus.dll" ALIAS "GdipGetLineTransform" (BYVAL brush&, matrix&) AS LONG
DECLARE FUNCTION GdipSetLineTransform LIB "gdiplus.dll" ALIAS "GdipSetLineTransform" (BYVAL brush&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipResetLineTransform LIB "gdiplus.dll" ALIAS "GdipResetLineTransform" (BYVAL brush&) AS LONG
DECLARE FUNCTION GdipMultiplyLineTransform LIB "gdiplus.dll" ALIAS "GdipMultiplyLineTransform" (BYVAL brush&, BYVAL matrix&, BYVAL order&) AS LONG
DECLARE FUNCTION GdipTranslateLineTransform LIB "gdiplus.dll" ALIAS "GdipTranslateLineTransform" (BYVAL brush&, BYVAL dx!, BYVAL dy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipScaleLineTransform LIB "gdiplus.dll" ALIAS "GdipScaleLineTransform" (BYVAL brush&, BYVAL sx!, BYVAL sy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipRotateLineTransform LIB "gdiplus.dll" ALIAS "GdipRotateLineTransform" (BYVAL brush&, BYVAL angle!, BYVAL order&) AS LONG

' TextureBrush Functions (ALL)
DECLARE FUNCTION GdipCreateTexture LIB "gdiplus.dll" ALIAS "GdipCreateTexture" (BYVAL nImage&, BYVAL WrapMd&, texture&) AS LONG
DECLARE FUNCTION GdipCreateTexture2 LIB "gdiplus.dll" ALIAS "GdipCreateTexture2" (BYVAL nImage&, BYVAL WrapMd&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, texture&) AS LONG
DECLARE FUNCTION GdipCreateTextureIA LIB "gdiplus.dll" ALIAS "GdipCreateTextureIA" (BYVAL nImage&, BYVAL imageAttributes&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, texture&) AS LONG
DECLARE FUNCTION GdipCreateTexture2I LIB "gdiplus.dll" ALIAS "GdipCreateTexture2I" (BYVAL nImage&, BYVAL WrapMd&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, texture&) AS LONG
DECLARE FUNCTION GdipCreateTextureIAI LIB "gdiplus.dll" ALIAS "GdipCreateTextureIAI" (BYVAL nImage&, BYVAL imageAttributes&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, texture&) AS LONG
DECLARE FUNCTION GdipGetTextureTransform LIB "gdiplus.dll" ALIAS "GdipGetTextureTransform" (BYVAL brush&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipSetTextureTransform LIB "gdiplus.dll" ALIAS "GdipSetTextureTransform" (BYVAL brush&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipResetTextureTransform LIB "gdiplus.dll" ALIAS "GdipResetTextureTransform" (BYVAL brush&) AS LONG
DECLARE FUNCTION GdipTranslateTextureTransform LIB "gdiplus.dll" ALIAS "GdipTranslateTextureTransform" (BYVAL brush&, BYVAL dx!, BYVAL dy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipMultiplyTextureTransform LIB "gdiplus.dll" ALIAS "GdipMultiplyTextureTransform" (BYVAL brush&, BYVAL matrix&, BYVAL order&) AS LONG
DECLARE FUNCTION GdipScaleTextureTransform LIB "gdiplus.dll" ALIAS "GdipScaleTextureTransform" (BYVAL brush&, BYVAL sx!, BYVAL sy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipRotateTextureTransform LIB "gdiplus.dll" ALIAS "GdipRotateTextureTransform" (BYVAL brush&, BYVAL angle!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipSetTextureWrapMode LIB "gdiplus.dll" ALIAS "GdipSetTextureWrapMode" (BYVAL brush&, BYVAL WrapMd&) AS LONG
DECLARE FUNCTION GdipGetTextureWrapMode LIB "gdiplus.dll" ALIAS "GdipGetTextureWrapMode" (BYVAL brush&, WrapMd&) AS LONG
DECLARE FUNCTION GdipGetTextureImage LIB "gdiplus.dll" ALIAS "GdipGetTextureImage" (BYVAL brush&, nImage&) AS LONG

' PathGradientBrush Functions (ALL)
DECLARE FUNCTION GdipCreatePathGradient LIB "gdiplus.dll" ALIAS "GdipCreatePathGradient" (pPoint AS POINTF, BYVAL Count&, BYVAL WrapMd&, polyGradient&) AS LONG
DECLARE FUNCTION GdipCreatePathGradientI LIB "gdiplus.dll" ALIAS "GdipCreatePathGradientI" (pPoint AS POINTL, BYVAL Count&, BYVAL WrapMd&, polyGradient&) AS LONG
DECLARE FUNCTION GdipCreatePathGradientFromPath LIB "gdiplus.dll" ALIAS "GdipCreatePathGradientFromPath" (BYVAL path&, polyGradient&) AS LONG
DECLARE FUNCTION GdipGetPathGradientCenterColor LIB "gdiplus.dll" ALIAS "GdipGetPathGradientCenterColor" (BYVAL brush&, lColors&) AS LONG
DECLARE FUNCTION GdipSetPathGradientCenterColor LIB "gdiplus.dll" ALIAS "GdipSetPathGradientCenterColor" (BYVAL brush&, BYVAL lColors&) AS LONG
DECLARE FUNCTION GdipGetPathGradientSurroundColorsWithCount LIB "gdiplus.dll" ALIAS "GdipGetPathGradientSurroundColorsWithCount" (BYVAL brush&, argb&, Count&) AS LONG
DECLARE FUNCTION GdipSetPathGradientSurroundColorsWithCount LIB "gdiplus.dll" ALIAS "GdipSetPathGradientSurroundColorsWithCount" (BYVAL brush&, argb&, Count&) AS LONG
DECLARE FUNCTION GdipGetPathGradientPath LIB "gdiplus.dll" ALIAS "GdipGetPathGradientPath" (BYVAL brush&, BYVAL path&) AS LONG
DECLARE FUNCTION GdipSetPathGradientPath LIB "gdiplus.dll" ALIAS "GdipSetPathGradientPath" (BYVAL brush&, BYVAL path&) AS LONG
DECLARE FUNCTION GdipGetPathGradientCenterPoint LIB "gdiplus.dll" ALIAS "GdipGetPathGradientCenterPoint" (BYVAL brush&, pPoint AS POINTF) AS LONG
DECLARE FUNCTION GdipGetPathGradientCenterPointI LIB "gdiplus.dll" ALIAS "GdipGetPathGradientCenterPointI" (BYVAL brush&, pPoint AS POINTL) AS LONG
DECLARE FUNCTION GdipSetPathGradientCenterPoint LIB "gdiplus.dll" ALIAS "GdipSetPathGradientCenterPoint" (BYVAL brush&, pPoint AS POINTF) AS LONG
DECLARE FUNCTION GdipSetPathGradientCenterPointI LIB "gdiplus.dll" ALIAS "GdipSetPathGradientCenterPointI" (BYVAL brush&, pPoint AS POINTL) AS LONG
DECLARE FUNCTION GdipGetPathGradientRect LIB "gdiplus.dll" ALIAS "GdipGetPathGradientRect" (BYVAL brush&, nRect AS RECTF) AS LONG
DECLARE FUNCTION GdipGetPathGradientRectI LIB "gdiplus.dll" ALIAS "GdipGetPathGradientRectI" (BYVAL brush&, nRect AS RECTL) AS LONG
DECLARE FUNCTION GdipGetPathGradientPointCount LIB "gdiplus.dll" ALIAS "GdipGetPathGradientPointCount" (BYVAL brush&, Count&) AS LONG
DECLARE FUNCTION GdipGetPathGradientSurroundColorCount LIB "gdiplus.dll" ALIAS "GdipGetPathGradientSurroundColorCount" (BYVAL brush&, Count&) AS LONG
DECLARE FUNCTION GdipSetPathGradientGammaCorrection LIB "gdiplus.dll" ALIAS "GdipSetPathGradientGammaCorrection" (BYVAL brush&, BYVAL useGammaCorrection&) AS LONG
DECLARE FUNCTION GdipGetPathGradientGammaCorrection LIB "gdiplus.dll" ALIAS "GdipGetPathGradientGammaCorrection" (BYVAL brush&, useGammaCorrection&) AS LONG
DECLARE FUNCTION GdipGetPathGradientBlendCount LIB "gdiplus.dll" ALIAS "GdipGetPathGradientBlendCount" (BYVAL brush&, Count&) AS LONG
DECLARE FUNCTION GdipGetPathGradientBlend LIB "gdiplus.dll" ALIAS "GdipGetPathGradientBlend" (BYVAL brush&, blend!, positions!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipSetPathGradientBlend LIB "gdiplus.dll" ALIAS "GdipSetPathGradientBlend" (BYVAL brush&, blend!, positions!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetPathGradientPresetBlendCount LIB "gdiplus.dll" ALIAS "GdipGetPathGradientPresetBlendCount" (BYVAL brush&, Count&) AS LONG
DECLARE FUNCTION GdipGetPathGradientPresetBlend LIB "gdiplus.dll" ALIAS "GdipGetPathGradientPresetBlend" (BYVAL brush&, blend&, positions!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipSetPathGradientPresetBlend LIB "gdiplus.dll" ALIAS "GdipSetPathGradientPresetBlend" (BYVAL brush&, blend&, positions!, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipSetPathGradientSigmaBlend LIB "gdiplus.dll" ALIAS "GdipSetPathGradientSigmaBlend" (BYVAL brush&, BYVAL FOCUS!, BYVAL sscale!) AS LONG
DECLARE FUNCTION GdipSetPathGradientLinearBlend LIB "gdiplus.dll" ALIAS "GdipSetPathGradientLinearBlend" (BYVAL brush&, BYVAL FOCUS!, BYVAL sscale!) AS LONG
DECLARE FUNCTION GdipGetPathGradientWrapMode LIB "gdiplus.dll" ALIAS "GdipGetPathGradientWrapMode" (BYVAL brush&, WrapMd&) AS LONG
DECLARE FUNCTION GdipSetPathGradientWrapMode LIB "gdiplus.dll" ALIAS "GdipSetPathGradientWrapMode" (BYVAL brush&, BYVAL WrapMd&) AS LONG
DECLARE FUNCTION GdipGetPathGradientTransform LIB "gdiplus.dll" ALIAS "GdipGetPathGradientTransform" (BYVAL brush&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipSetPathGradientTransform LIB "gdiplus.dll" ALIAS "GdipSetPathGradientTransform" (BYVAL brush&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipResetPathGradientTransform LIB "gdiplus.dll" ALIAS "GdipResetPathGradientTransform" (BYVAL brush&) AS LONG
DECLARE FUNCTION GdipMultiplyPathGradientTransform LIB "gdiplus.dll" ALIAS "GdipMultiplyPathGradientTransform" (BYVAL brush&, BYVAL matrix&, BYVAL order&) AS LONG
DECLARE FUNCTION GdipTranslatePathGradientTransform LIB "gdiplus.dll" ALIAS "GdipTranslatePathGradientTransform" (BYVAL brush&, BYVAL dx!, BYVAL dy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipScalePathGradientTransform LIB "gdiplus.dll" ALIAS "GdipScalePathGradientTransform" (BYVAL brush&, BYVAL sx!, BYVAL sy!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipRotatePathGradientTransform LIB "gdiplus.dll" ALIAS "GdipRotatePathGradientTransform" (BYVAL brush&, BYVAL angle!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipGetPathGradientFocusScales LIB "gdiplus.dll" ALIAS "GdipGetPathGradientFocusScales" (BYVAL brush&, xScale!, yScale!) AS LONG
DECLARE FUNCTION GdipSetPathGradientFocusScales LIB "gdiplus.dll" ALIAS "GdipSetPathGradientFocusScales" (BYVAL brush&, BYVAL xScale!, BYVAL yScale!) AS LONG

' GraphicsPath Functions (ALL)
DECLARE FUNCTION GdipCreatePath LIB "gdiplus.dll" ALIAS "GdipCreatePath" (BYVAL brushmode&, path&) AS LONG
' NOTE: The types parameter is treated AS a byte array
DECLARE FUNCTION GdipCreatePath2 LIB "gdiplus.dll" ALIAS "GdipCreatePath2" (pPoint AS POINTF, types AS ANY, BYVAL Count&, brushmode&, path&) AS LONG
DECLARE FUNCTION GdipCreatePath2I LIB "gdiplus.dll" ALIAS "GdipCreatePath2I" (pPoint AS POINTL, types AS ANY, BYVAL Count&, brushmode&, path&) AS LONG
DECLARE FUNCTION GdipClonePath LIB "gdiplus.dll" ALIAS "GdipClonePath" (BYVAL path&, clonePath&) AS LONG
DECLARE FUNCTION GdipDeletePath LIB "gdiplus.dll" ALIAS "GdipDeletePath" (BYVAL path&) AS LONG
DECLARE FUNCTION GdipResetPath LIB "gdiplus.dll" ALIAS "GdipResetPath" (BYVAL path&) AS LONG
DECLARE FUNCTION GdipGetPointCount LIB "gdiplus.dll" ALIAS "GdipGetPointCount" (BYVAL path&, Count&) AS LONG
' NOTE: The types parameter is treated AS a byte array
DECLARE FUNCTION GdipGetPathTypes LIB "gdiplus.dll" ALIAS "GdipGetPathTypes" (BYVAL path&, types AS ANY, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetPathPoints LIB "gdiplus.dll" ALIAS "GdipGetPathPoints" (BYVAL path&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetPathPointsI LIB "gdiplus.dll" ALIAS "GdipGetPathPointsI" (BYVAL path&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetPathFillMode LIB "gdiplus.dll" ALIAS "GdipGetPathFillMode" (BYVAL path&, BYVAL brushmode&) AS LONG
DECLARE FUNCTION GdipSetPathFillMode LIB "gdiplus.dll" ALIAS "GdipSetPathFillMode" (BYVAL path&, BYVAL brushmode&) AS LONG
DECLARE FUNCTION GdipGetPathData LIB "gdiplus.dll" ALIAS "GdipGetPathData" (BYVAL path&, pdata AS PathData) AS LONG
DECLARE FUNCTION GdipStartPathFigure LIB "gdiplus.dll" ALIAS "GdipStartPathFigure" (BYVAL path&) AS LONG
DECLARE FUNCTION GdipClosePathFigure LIB "gdiplus.dll" ALIAS "GdipClosePathFigure" (BYVAL path&) AS LONG
DECLARE FUNCTION GdipClosePathFigures LIB "gdiplus.dll" ALIAS "GdipClosePathFigures" (BYVAL path&) AS LONG
DECLARE FUNCTION GdipSetPathMarker LIB "gdiplus.dll" ALIAS "GdipSetPathMarker" (BYVAL path&) AS LONG
DECLARE FUNCTION GdipClearPathMarkers LIB "gdiplus.dll" ALIAS "GdipClearPathMarkers" (BYVAL path&) AS LONG
DECLARE FUNCTION GdipReversePath LIB "gdiplus.dll" ALIAS "GdipReversePath" (BYVAL path&) AS LONG
DECLARE FUNCTION GdipGetPathLastPoint LIB "gdiplus.dll" ALIAS "GdipGetPathLastPoint" (BYVAL path&, lastPoint AS POINTF) AS LONG
DECLARE FUNCTION GdipAddPathLine LIB "gdiplus.dll" ALIAS "GdipAddPathLine" (BYVAL path&, BYVAL x1!, BYVAL y1!, BYVAL x2!, BYVAL y2!) AS LONG
DECLARE FUNCTION GdipAddPathLine2 LIB "gdiplus.dll" ALIAS "GdipAddPathLine2" (BYVAL path&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathArc LIB "gdiplus.dll" ALIAS "GdipAddPathArc" (BYVAL path&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipAddPathBezier LIB "gdiplus.dll" ALIAS "GdipAddPathBezier" (BYVAL path&, BYVAL x1!, BYVAL y1!, BYVAL x2!, BYVAL y2!, BYVAL x3!, BYVAL y3!, BYVAL x4!, BYVAL y4!) AS LONG
DECLARE FUNCTION GdipAddPathBeziers LIB "gdiplus.dll" ALIAS "GdipAddPathBeziers" (BYVAL path&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathCurve LIB "gdiplus.dll" ALIAS "GdipAddPathCurve" (BYVAL path&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathCurve2 LIB "gdiplus.dll" ALIAS "GdipAddPathCurve2" (BYVAL path&, pPoint AS POINTF, BYVAL Count&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipAddPathCurve3 LIB "gdiplus.dll" ALIAS "GdipAddPathCurve3" (BYVAL path&, pPoint AS POINTF, BYVAL Count&, BYVAL offset&, BYVAL numberOfSegments&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipAddPathClosedCurve LIB "gdiplus.dll" ALIAS "GdipAddPathClosedCurve" (BYVAL path&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathClosedCurve2 LIB "gdiplus.dll" ALIAS "GdipAddPathClosedCurve2" (BYVAL path&, pPoint AS POINTF, BYVAL Count&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipAddPathRectangle LIB "gdiplus.dll" ALIAS "GdipAddPathRectangle" (BYVAL path&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!) AS LONG
DECLARE FUNCTION GdipAddPathRectangles LIB "gdiplus.dll" ALIAS "GdipAddPathRectangles" (BYVAL path&, nRect AS RECTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathEllipse LIB "gdiplus.dll" ALIAS "GdipAddPathEllipse" (BYVAL path&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!) AS LONG
DECLARE FUNCTION GdipAddPathPie LIB "gdiplus.dll" ALIAS "GdipAddPathPie" (BYVAL path&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipAddPathPolygon LIB "gdiplus.dll" ALIAS "GdipAddPathPolygon" (BYVAL path&, pPoint AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathPath LIB "gdiplus.dll" ALIAS "GdipAddPathPath" (BYVAL path&, BYVAL addingPath&, BYVAL bConnect&) AS LONG
DECLARE FUNCTION GdipAddPathString LIB "gdiplus.dll" ALIAS "GdipAddPathString" (BYVAL path&, BYVAL str AS STRING, BYVAL length&, BYVAL family&, BYVAL style&, BYVAL emSize!, layoutRect AS RECTF, BYVAL StringFormat&) AS LONG
DECLARE FUNCTION GdipAddPathStringI LIB "gdiplus.dll" ALIAS "GdipAddPathStringI" (BYVAL path&, BYVAL str AS STRING, BYVAL length&, BYVAL family&, BYVAL style&, BYVAL emSize!, layoutRect AS RECTL, BYVAL StringFormat&) AS LONG
DECLARE FUNCTION GdipAddPathLineI LIB "gdiplus.dll" ALIAS "GdipAddPathLineI" (BYVAL path&, BYVAL x1&, BYVAL y1&, BYVAL x2&, BYVAL y2&) AS LONG
DECLARE FUNCTION GdipAddPathLine2I LIB "gdiplus.dll" ALIAS "GdipAddPathLine2I" (BYVAL path&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathArcI LIB "gdiplus.dll" ALIAS "GdipAddPathArcI" (BYVAL path&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipAddPathBezierI LIB "gdiplus.dll" ALIAS "GdipAddPathBezierI" (BYVAL path&, BYVAL x1&, BYVAL y1&, BYVAL x2&, BYVAL y2&, BYVAL x3&, BYVAL y3&, BYVAL x4&, BYVAL y4&) AS LONG
DECLARE FUNCTION GdipAddPathBeziersI LIB "gdiplus.dll" ALIAS "GdipAddPathBeziersI" (BYVAL path&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathCurveI LIB "gdiplus.dll" ALIAS "GdipAddPathCurveI" (BYVAL path&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathCurve2I LIB "gdiplus.dll" ALIAS "GdipAddPathCurve2I" (BYVAL path&, pPoint AS POINTL, BYVAL Count&, BYVAL tension&) AS LONG
DECLARE FUNCTION GdipAddPathCurve3I LIB "gdiplus.dll" ALIAS "GdipAddPathCurve3I" (BYVAL path&, pPoint AS POINTL, BYVAL Count&, BYVAL offset&, BYVAL numberOfSegments&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipAddPathClosedCurveI LIB "gdiplus.dll" ALIAS "GdipAddPathClosedCurveI" (BYVAL path&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathClosedCurve2I LIB "gdiplus.dll" ALIAS "GdipAddPathClosedCurve2I" (BYVAL path&, pPoint AS POINTL, BYVAL Count&, BYVAL tension!) AS LONG
DECLARE FUNCTION GdipAddPathRectangleI LIB "gdiplus.dll" ALIAS "GdipAddPathRectangleI" (BYVAL path&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&) AS LONG
DECLARE FUNCTION GdipAddPathRectanglesI LIB "gdiplus.dll" ALIAS "GdipAddPathRectanglesI" (BYVAL path&, rects AS RECTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipAddPathEllipseI LIB "gdiplus.dll" ALIAS "GdipAddPathEllipseI" (BYVAL path&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&) AS LONG
DECLARE FUNCTION GdipAddPathPieI LIB "gdiplus.dll" ALIAS "GdipAddPathPieI" (BYVAL path&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, BYVAL startAngle!, BYVAL sweepAngle!) AS LONG
DECLARE FUNCTION GdipAddPathPolygonI LIB "gdiplus.dll" ALIAS "GdipAddPathPolygonI" (BYVAL path&, pPoint AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipFlattenPath LIB "gdiplus.dll" ALIAS "GdipFlattenPath" (BYVAL path&, BYVAL matrix&, BYVAL flatness!) AS LONG
DECLARE FUNCTION GdipWindingModeOutline LIB "gdiplus.dll" ALIAS "GdipWindingModeOutline" (BYVAL path&, BYVAL matrix&, BYVAL flatness!) AS LONG
DECLARE FUNCTION GdipWidenPath LIB "gdiplus.dll" ALIAS "GdipWidenPath" (BYVAL nativePath&, BYVAL pen&, BYVAL matrix&, BYVAL flatness!) AS LONG
DECLARE FUNCTION GdipWarpPath LIB "gdiplus.dll" ALIAS "GdipWarpPath" (BYVAL path&, BYVAL matrix&, pPoint AS POINTF, BYVAL Count&, BYVAL srcx!, BYVAL srcy!, BYVAL srcwidth!, BYVAL srcheight!, BYVAL WarpMd&, BYVAL flatness!) AS LONG
DECLARE FUNCTION GdipTransformPath LIB "gdiplus.dll" ALIAS "GdipTransformPath" (BYVAL path&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipGetPathWorldBounds LIB "gdiplus.dll" ALIAS "GdipGetPathWorldBounds" (BYVAL path&, bounds AS RECTF, BYVAL matrix&, BYVAL pen&) AS LONG
DECLARE FUNCTION GdipGetPathWorldBoundsI LIB "gdiplus.dll" ALIAS "GdipGetPathWorldBoundsI" (BYVAL path&, bounds AS RECTL, BYVAL matrix&, BYVAL pen&) AS LONG
DECLARE FUNCTION GdipIsVisiblePathPoint LIB "gdiplus.dll" ALIAS "GdipIsVisiblePathPoint" (BYVAL path&, BYVAL x!, BYVAL y!, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsVisiblePathPointI LIB "gdiplus.dll" ALIAS "GdipIsVisiblePathPointI" (BYVAL path&, BYVAL x&, BYVAL y&, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsOutlineVisiblePathPoint LIB "gdiplus.dll" ALIAS "GdipIsOutlineVisiblePathPoint" (BYVAL path&, BYVAL x!, BYVAL y!, BYVAL pen&, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsOutlineVisiblePathPointI LIB "gdiplus.dll" ALIAS "GdipIsOutlineVisiblePathPointI" (BYVAL path&, BYVAL x&, BYVAL y&, BYVAL pen&, BYVAL graphics&, result&) AS LONG

' PathIterator Functions (ALL)
DECLARE FUNCTION GdipCreatePathIter LIB "gdiplus.dll" ALIAS "GdipCreatePathIter" (iterator&, BYVAL path&) AS LONG
DECLARE FUNCTION GdipDeletePathIter LIB "gdiplus.dll" ALIAS "GdipDeletePathIter" (BYVAL iterator&) AS LONG
DECLARE FUNCTION GdipPathIterNextSubpath LIB "gdiplus.dll" ALIAS "GdipPathIterNextSubpath" (BYVAL iterator&, resultCount&, startIndex&, endIndex&, isClosed&) AS LONG
DECLARE FUNCTION GdipPathIterNextSubpathPath LIB "gdiplus.dll" ALIAS "GdipPathIterNextSubpathPath" (BYVAL iterator&, resultCount&, BYVAL path&, isClosed&) AS LONG
DECLARE FUNCTION GdipPathIterNextPathType LIB "gdiplus.dll" ALIAS "GdipPathIterNextPathType" (BYVAL iterator&, resultCount&, pathType AS ANY, startIndex&, endIndex&) AS LONG
DECLARE FUNCTION GdipPathIterNextMarker LIB "gdiplus.dll" ALIAS "GdipPathIterNextMarker" (BYVAL iterator&, resultCount&, startIndex&, endIndex&) AS LONG
DECLARE FUNCTION GdipPathIterNextMarkerPath LIB "gdiplus.dll" ALIAS "GdipPathIterNextMarkerPath" (BYVAL iterator&, resultCount&, BYVAL path&) AS LONG
DECLARE FUNCTION GdipPathIterGetCount LIB "gdiplus.dll" ALIAS "GdipPathIterGetCount" (BYVAL iterator&, Count&) AS LONG
DECLARE FUNCTION GdipPathIterGetSubpathCount LIB "gdiplus.dll" ALIAS "GdipPathIterGetSubpathCount" (BYVAL iterator&, Count&) AS LONG
DECLARE FUNCTION GdipPathIterIsValid LIB "gdiplus.dll" ALIAS "GdipPathIterIsValid" (BYVAL iterator&, valid&) AS LONG
DECLARE FUNCTION GdipPathIterHasCurve LIB "gdiplus.dll" ALIAS "GdipPathIterHasCurve" (BYVAL iterator&, hasCurve&) AS LONG
DECLARE FUNCTION GdipPathIterRewind LIB "gdiplus.dll" ALIAS "GdipPathIterRewind" (BYVAL iterator&) AS LONG
' NOTE: The types parameter is treated AS a byte array
DECLARE FUNCTION GdipPathIterEnumerate LIB "gdiplus.dll" ALIAS "GdipPathIterEnumerate" (BYVAL iterator&, resultCount&, pPoint AS POINTF, types AS ANY, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipPathIterCopyData LIB "gdiplus.dll" ALIAS "GdipPathIterCopyData" (BYVAL iterator&, resultCount&, pPoint AS POINTF, types AS ANY, BYVAL startIndex&, BYVAL endIndex&) AS LONG

' Matrix Functions (ALL)
DECLARE FUNCTION GdipCreateMatrix LIB "gdiplus.dll" ALIAS "GdipCreateMatrix" (matrix&) AS LONG
DECLARE FUNCTION GdipCreateMatrix2 LIB "gdiplus.dll" ALIAS "GdipCreateMatrix2" (BYVAL m11!, BYVAL m12!, BYVAL m21!, BYVAL m22!, BYVAL dx!, BYVAL dy!, matrix&) AS LONG
DECLARE FUNCTION GdipCreateMatrix3 LIB "gdiplus.dll" ALIAS "GdipCreateMatrix3" (nRect AS RECTF, dstplg AS POINTF, matrix&) AS LONG
DECLARE FUNCTION GdipCreateMatrix3I LIB "gdiplus.dll" ALIAS "GdipCreateMatrix3I" (nRect AS RECTL, dstplg AS POINTL, matrix&) AS LONG
DECLARE FUNCTION GdipCloneMatrix LIB "gdiplus.dll" ALIAS "GdipCloneMatrix" (BYVAL matrix&, cloneMatrix&) AS LONG
DECLARE FUNCTION GdipDeleteMatrix LIB "gdiplus.dll" ALIAS "GdipDeleteMatrix" (BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipSetMatrixElements LIB "gdiplus.dll" ALIAS "GdipSetMatrixElements" (BYVAL matrix&, BYVAL m11!, BYVAL m12!, BYVAL m21!, BYVAL m22!, BYVAL dx!, BYVAL dy!) AS LONG
DECLARE FUNCTION GdipMultiplyMatrix LIB "gdiplus.dll" ALIAS "GdipMultiplyMatrix" (BYVAL matrix&, BYVAL matrix2&, BYVAL order&) AS LONG
DECLARE FUNCTION GdipTranslateMatrix LIB "gdiplus.dll" ALIAS "GdipTranslateMatrix" (BYVAL matrix&, BYVAL offsetX!, BYVAL offsetY!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipScaleMatrix LIB "gdiplus.dll" ALIAS "GdipScaleMatrix" (BYVAL matrix&, BYVAL scaleX!, BYVAL scaleY!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipRotateMatrix LIB "gdiplus.dll" ALIAS "GdipRotateMatrix" (BYVAL matrix&, BYVAL angle!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipShearMatrix LIB "gdiplus.dll" ALIAS "GdipShearMatrix" (BYVAL matrix&, BYVAL shearX!, BYVAL shearY!, BYVAL order&) AS LONG
DECLARE FUNCTION GdipInvertMatrix LIB "gdiplus.dll" ALIAS "GdipInvertMatrix" (BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipTransformMatrixPoints LIB "gdiplus.dll" ALIAS "GdipTransformMatrixPoints" (BYVAL matrix&, pts AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipTransformMatrixPointsI LIB "gdiplus.dll" ALIAS "GdipTransformMatrixPointsI" (BYVAL matrix&, pts AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipVectorTransformMatrixPoints LIB "gdiplus.dll" ALIAS "GdipVectorTransformMatrixPoints" (BYVAL matrix&, pts AS POINTF, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipVectorTransformMatrixPointsI LIB "gdiplus.dll" ALIAS "GdipVectorTransformMatrixPointsI" (BYVAL matrix&, pts AS POINTL, BYVAL Count&) AS LONG
DECLARE FUNCTION GdipGetMatrixElements LIB "gdiplus.dll" ALIAS "GdipGetMatrixElements" (BYVAL matrix&, matrixOut!) AS LONG
DECLARE FUNCTION GdipIsMatrixInvertible LIB "gdiplus.dll" ALIAS "GdipIsMatrixInvertible" (BYVAL matrix&, result&) AS LONG
DECLARE FUNCTION GdipIsMatrixIdentity LIB "gdiplus.dll" ALIAS "GdipIsMatrixIdentity" (BYVAL matrix&, result&) AS LONG
DECLARE FUNCTION GdipIsMatrixEqual LIB "gdiplus.dll" ALIAS "GdipIsMatrixEqual" (BYVAL matrix&, BYVAL matrix2&, result&) AS LONG

' Region Functions (ALL)
DECLARE FUNCTION GdipCreateRegion LIB "gdiplus.dll" ALIAS "GdipCreateRegion" (region&) AS LONG
DECLARE FUNCTION GdipCreateRegionRect LIB "gdiplus.dll" ALIAS "GdipCreateRegionRect" (nRect AS RECTF, region&) AS LONG
DECLARE FUNCTION GdipCreateRegionRectI LIB "gdiplus.dll" ALIAS "GdipCreateRegionRectI" (nRect AS RECTL, region&) AS LONG
DECLARE FUNCTION GdipCreateRegionPath LIB "gdiplus.dll" ALIAS "GdipCreateRegionPath" (BYVAL path&, region&) AS LONG
' NOTE: The regionData parameter is treated AS a byte array
DECLARE FUNCTION GdipCreateRegionRgnData LIB "gdiplus.dll" ALIAS "GdipCreateRegionRgnData" (regionData AS ANY, BYVAL SIZE&, region&) AS LONG
DECLARE FUNCTION GdipCreateRegionHrgn LIB "gdiplus.dll" ALIAS "GdipCreateRegionHrgn" (BYVAL hRgn&, region&) AS LONG
DECLARE FUNCTION GdipCloneRegion LIB "gdiplus.dll" ALIAS "GdipCloneRegion" (BYVAL region&, cloneRegion&) AS LONG
DECLARE FUNCTION GdipDeleteRegion LIB "gdiplus.dll" ALIAS "GdipDeleteRegion" (BYVAL region&) AS LONG
DECLARE FUNCTION GdipSetInfinite LIB "gdiplus.dll" ALIAS "GdipSetInfinite" (BYVAL region&) AS LONG
DECLARE FUNCTION GdipSetEmpty LIB "gdiplus.dll" ALIAS "GdipSetEmpty" (BYVAL region&) AS LONG
DECLARE FUNCTION GdipCombineRegionRect LIB "gdiplus.dll" ALIAS "GdipCombineRegionRect" (BYVAL region&, nRect AS RECTF, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipCombineRegionRectI LIB "gdiplus.dll" ALIAS "GdipCombineRegionRectI" (BYVAL region&, nRect AS RECTF, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipCombineRegionPath LIB "gdiplus.dll" ALIAS "GdipCombineRegionPath" (BYVAL region&, BYVAL path&, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipCombineRegionRegion LIB "gdiplus.dll" ALIAS "GdipCombineRegionRegion" (BYVAL region&, BYVAL region2&, BYVAL CombineMd&) AS LONG
DECLARE FUNCTION GdipTranslateRegion LIB "gdiplus.dll" ALIAS "GdipTranslateRegion" (BYVAL region&, BYVAL dx!, BYVAL dy!) AS LONG
DECLARE FUNCTION GdipTranslateRegionI LIB "gdiplus.dll" ALIAS "GdipTranslateRegionI" (BYVAL region&, BYVAL dx&, BYVAL dy&) AS LONG
DECLARE FUNCTION GdipTransformRegion LIB "gdiplus.dll" ALIAS "GdipTransformRegion" (BYVAL region&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipGetRegionBounds LIB "gdiplus.dll" ALIAS "GdipGetRegionBounds" (BYVAL region&, BYVAL graphics&, nRect AS RECTF) AS LONG
DECLARE FUNCTION GdipGetRegionBoundsI LIB "gdiplus.dll" ALIAS "GdipGetRegionBoundsI" (BYVAL region&, BYVAL graphics&, nRect AS RECTL) AS LONG
DECLARE FUNCTION GdipGetRegionHRgn LIB "gdiplus.dll" ALIAS "GdipGetRegionHRgn" (BYVAL region&, BYVAL graphics&, hRgn&) AS LONG
DECLARE FUNCTION GdipIsEmptyRegion LIB "gdiplus.dll" ALIAS "GdipIsEmptyRegion" (BYVAL region&, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsInfiniteRegion LIB "gdiplus.dll" ALIAS "GdipIsInfiniteRegion" (BYVAL region&, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsEqualRegion LIB "gdiplus.dll" ALIAS "GdipIsEqualRegion" (BYVAL region&, BYVAL region2&, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipGetRegionDataSize LIB "gdiplus.dll" ALIAS "GdipGetRegionDataSize" (BYVAL region&, bufferSize&) AS LONG
' NOTE: The buffer parameter is treated AS a byte array
DECLARE FUNCTION GdipGetRegionData LIB "gdiplus.dll" ALIAS "GdipGetRegionData" (BYVAL region&, buffer AS ANY, BYVAL bufferSize&, sizeFilled&) AS LONG
DECLARE FUNCTION GdipIsVisibleRegionPoint LIB "gdiplus.dll" ALIAS "GdipIsVisibleRegionPoint" (BYVAL region&, BYVAL x!, BYVAL y!, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsVisibleRegionPointI LIB "gdiplus.dll" ALIAS "GdipIsVisibleRegionPointI" (BYVAL region&, BYVAL x&, BYVAL y&, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsVisibleRegionRect LIB "gdiplus.dll" ALIAS "GdipIsVisibleRegionRect" (BYVAL region&, BYVAL x!, BYVAL y!, BYVAL nWidth!, BYVAL Height!, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipIsVisibleRegionRectI LIB "gdiplus.dll" ALIAS "GdipIsVisibleRegionRectI" (BYVAL region&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&, BYVAL graphics&, result&) AS LONG
DECLARE FUNCTION GdipGetRegionScansCount LIB "gdiplus.dll" ALIAS "GdipGetRegionScansCount" (BYVAL region&, Ucount&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipGetRegionScans LIB "gdiplus.dll" ALIAS "GdipGetRegionScans" (BYVAL region&, rects AS RECTF, Count&, BYVAL matrix&) AS LONG
DECLARE FUNCTION GdipGetRegionScansI LIB "gdiplus.dll" ALIAS "GdipGetRegionScansI" (BYVAL region&, rects AS RECTL, Count&, BYVAL matrix&) AS LONG

' ImageAttributes APIs (ALL)
DECLARE FUNCTION GdipCreateImageAttributes LIB "gdiplus.dll" ALIAS "GdipCreateImageAttributes" (imageattr&) AS LONG
DECLARE FUNCTION GdipCloneImageAttributes LIB "gdiplus.dll" ALIAS "GdipCloneImageAttributes" (BYVAL imageattr&, cloneImageattr&) AS LONG
DECLARE FUNCTION GdipDisposeImageAttributes LIB "gdiplus.dll" ALIAS "GdipDisposeImageAttributes" (BYVAL imageattr&) AS LONG
DECLARE FUNCTION GdipSetImageAttributesToIdentity LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesToIdentity" (BYVAL imageattr&, BYVAL ClrAdjType&) AS LONG
DECLARE FUNCTION GdipResetImageAttributes LIB "gdiplus.dll" ALIAS "GdipResetImageAttributes" (BYVAL imageattr&, BYVAL ClrAdjType&) AS LONG
' NOTE: The colourMatrix and grayMatrix parameters expect a ColorMatrix structure or NULL
DECLARE FUNCTION GdipSetImageAttributesColorMatrix LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesColorMatrix" (BYVAL imageattr&, BYVAL ClrAdjType&, BYVAL enableFlag&, colourMatrix AS ColorMatrix, grayMatrix AS ANY, BYVAL flags&) AS LONG
DECLARE FUNCTION GdipSetImageAttributesThreshold LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesThreshold" (BYVAL imageattr&, BYVAL ClrAdjType&, BYVAL enableFlag&, BYVAL threshold!) AS LONG
DECLARE FUNCTION GdipSetImageAttributesGamma LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesGamma" (BYVAL imageattr&, BYVAL ClrAdjType&, BYVAL enableFlag&, BYVAL gamma!) AS LONG
DECLARE FUNCTION GdipSetImageAttributesNoOp LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesNoOp" (BYVAL imageattr&, BYVAL ClrAdjType&, BYVAL enableFlag&) AS LONG
DECLARE FUNCTION GdipSetImageAttributesColorKeys LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesColorKeys" (BYVAL imageattr&, BYVAL ClrAdjType&, BYVAL enableFlag&, BYVAL colorLow&, BYVAL colorHigh&) AS LONG
DECLARE FUNCTION GdipSetImageAttributesOutputChannel LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesOutputChannel" (BYVAL imageattr&, BYVAL ClrAdjstType&, BYVAL enableFlag&, BYVAL channelFlags&) AS LONG
DECLARE FUNCTION GdipSetImageAttributesOutputChannelColorProfile LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesOutputChannelColorProfile" (BYVAL imageattr&, BYVAL ClrAdjType&, BYVAL enableFlag&, BYVAL colorProfileFilename AS STRING) AS LONG
DECLARE FUNCTION GdipSetImageAttributesRemapTable LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesRemapTable" (BYVAL imageattr&, BYVAL ClrAdjType&, BYVAL enableFlag&, BYVAL mapSize&, map AS ColorMap) AS LONG
DECLARE FUNCTION GdipSetImageAttributesWrapMode LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesWrapMode" (BYVAL imageattr&, BYVAL wrap&, BYVAL argb&, BYVAL bClamp&) AS LONG
DECLARE FUNCTION GdipSetImageAttributesICMMode LIB "gdiplus.dll" ALIAS "GdipSetImageAttributesICMMode" (BYVAL imageattr&, BYVAL bOn&) AS LONG
DECLARE FUNCTION GdipGetImageAttributesAdjustedPalette LIB "gdiplus.dll" ALIAS "GdipGetImageAttributesAdjustedPalette" (BYVAL imageattr&, colorPal AS ColorPalette, BYVAL ClrAdjType&) AS LONG

' FontFamily Functions (ALL)
DECLARE FUNCTION GdipCreateFontFamilyFromName LIB "gdiplus.dll" ALIAS "GdipCreateFontFamilyFromName" (BYVAL FontName AS STRING, BYVAL fontCollection&, fontFamily&) AS LONG
DECLARE FUNCTION GdipDeleteFontFamily LIB "gdiplus.dll" ALIAS "GdipDeleteFontFamily" (BYVAL fontFamily&) AS LONG
DECLARE FUNCTION GdipCloneFontFamily LIB "gdiplus.dll" ALIAS "GdipCloneFontFamily" (BYVAL fontFamily&, clonedFontFamily&) AS LONG
DECLARE FUNCTION GdipGetGenericFontFamilySansSerif LIB "gdiplus.dll" ALIAS "GdipGetGenericFontFamilySansSerif" (nativeFamily&) AS LONG
DECLARE FUNCTION GdipGetGenericFontFamilySerif LIB "gdiplus.dll" ALIAS "GdipGetGenericFontFamilySerif" (nativeFamily&) AS LONG
DECLARE FUNCTION GdipGetGenericFontFamilyMonospace LIB "gdiplus.dll" ALIAS "GdipGetGenericFontFamilyMonospace" (nativeFamily&) AS LONG
' NOTE: name must be LF_FACESIZE in length or less
DECLARE FUNCTION GdipGetFamilyName LIB "gdiplus.dll" ALIAS "GdipGetFamilyName" (BYVAL family&, BYVAL FilName AS STRING, BYVAL language AS INTEGER) AS LONG
DECLARE FUNCTION GdipIsStyleAvailable LIB "gdiplus.dll" ALIAS "GdipIsStyleAvailable" (BYVAL family&, BYVAL style&, IsStyleAvailable&) AS LONG
DECLARE FUNCTION GdipFontCollectionEnumerable LIB "gdiplus.dll" ALIAS "GdipFontCollectionEnumerable" (BYVAL fontCollection&, BYVAL graphics&, numFound&) AS LONG
DECLARE FUNCTION GdipFontCollectionEnumerate LIB "gdiplus.dll" ALIAS "GdipFontCollectionEnumerate" (BYVAL fontCollection&, BYVAL numSought&, gpfamilies&, BYVAL numFound&, BYVAL graphics&) AS LONG
DECLARE FUNCTION GdipGetEmHeight LIB "gdiplus.dll" ALIAS "GdipGetEmHeight" (BYVAL family&, BYVAL style&, EmHeight AS INTEGER) AS LONG
DECLARE FUNCTION GdipGetCellAscent LIB "gdiplus.dll" ALIAS "GdipGetCellAscent" (BYVAL family&, BYVAL style&, CellAscent AS INTEGER) AS LONG
DECLARE FUNCTION GdipGetCellDescent LIB "gdiplus.dll" ALIAS "GdipGetCellDescent" (BYVAL family&, BYVAL style&, CellDescent AS INTEGER) AS LONG
DECLARE FUNCTION GdipGetLineSpacing LIB "gdiplus.dll" ALIAS "GdipGetLineSpacing" (BYVAL family&, BYVAL style&, LineSpacing AS INTEGER) AS LONG

' Font Functions (ALL)
DECLARE FUNCTION GdipCreateFontFromDC LIB "gdiplus.dll" ALIAS "GdipCreateFontFromDC" (BYVAL hdc&, createdfont&) AS LONG
DECLARE FUNCTION GdipCreateFontFromLogfontA LIB "gdiplus.dll" ALIAS "GdipCreateFontFromLogfontA" (BYVAL hdc&, lfont AS LOGFONTA, createdfont&) AS LONG
DECLARE FUNCTION GdipCreateFontFromLogfontW LIB "gdiplus.dll" ALIAS "GdipCreateFontFromLogfontW" (BYVAL hdc&, lfont AS LOGFONTW, createdfont&) AS LONG
DECLARE FUNCTION GdipCreateFont LIB "gdiplus.dll" ALIAS "GdipCreateFont" (BYVAL fontFamily&, BYVAL emSize!, BYVAL style&, BYVAL unit&, createdfont&) AS LONG
DECLARE FUNCTION GdipCloneFont LIB "gdiplus.dll" ALIAS "GdipCloneFont" (BYVAL curFont&, cloneFont&) AS LONG
DECLARE FUNCTION GdipDeleteFont LIB "gdiplus.dll" ALIAS "GdipDeleteFont" (BYVAL curFont&) AS LONG
DECLARE FUNCTION GdipGetFamily LIB "gdiplus.dll" ALIAS "GdipGetFamily" (BYVAL curFont&, family&) AS LONG
DECLARE FUNCTION GdipGetFontStyle LIB "gdiplus.dll" ALIAS "GdipGetFontStyle" (BYVAL curFont&, style&) AS LONG
DECLARE FUNCTION GdipGetFontSize LIB "gdiplus.dll" ALIAS "GdipGetFontSize" (BYVAL curFont&, SIZE!) AS LONG
DECLARE FUNCTION GdipGetFontUnit LIB "gdiplus.dll" ALIAS "GdipGetFontUnit" (BYVAL curFont&, unit&) AS LONG
DECLARE FUNCTION GdipGetFontHeight LIB "gdiplus.dll" ALIAS "GdipGetFontHeight" (BYVAL curFont&, BYVAL graphics&, Height!) AS LONG
DECLARE FUNCTION GdipGetFontHeightGivenDPI LIB "gdiplus.dll" ALIAS "GdipGetFontHeightGivenDPI" (BYVAL curFont&, BYVAL dpi!, Height!) AS LONG
DECLARE FUNCTION GdipGetLogFontA LIB "gdiplus.dll" ALIAS "GdipGetLogFontA" (BYVAL curFont&, BYVAL graphics&, lfont AS LOGFONTA) AS LONG
DECLARE FUNCTION GdipGetLogFontW LIB "gdiplus.dll" ALIAS "GdipGetLogFontW" (BYVAL curFont&, BYVAL graphics&, lfont AS LOGFONTW) AS LONG
DECLARE FUNCTION GdipNewInstalledFontCollection LIB "gdiplus.dll" ALIAS "GdipNewInstalledFontCollection" (fontCollection&) AS LONG
DECLARE FUNCTION GdipNewPrivateFontCollection LIB "gdiplus.dll" ALIAS "GdipNewPrivateFontCollection" (fontCollection&) AS LONG
DECLARE FUNCTION GdipDeletePrivateFontCollection LIB "gdiplus.dll" ALIAS "GdipDeletePrivateFontCollection" (fontCollection&) AS LONG
DECLARE FUNCTION GdipGetFontCollectionFamilyCount LIB "gdiplus.dll" ALIAS "GdipGetFontCollectionFamilyCount" (BYVAL fontCollection&, numFound&) AS LONG
DECLARE FUNCTION GdipGetFontCollectionFamilyList LIB "gdiplus.dll" ALIAS "GdipGetFontCollectionFamilyList" (BYVAL fontCollection&, BYVAL numSought&, gpfamilies&, numFound&) AS LONG
DECLARE FUNCTION GdipPrivateAddFontFile LIB "gdiplus.dll" ALIAS "GdipPrivateAddFontFile" (BYVAL fontCollection&, BYVAL FilName AS STRING) AS LONG
DECLARE FUNCTION GdipPrivateAddMemoryFont LIB "gdiplus.dll" ALIAS "GdipPrivateAddMemoryFont" (BYVAL fontCollection&, BYVAL memory&, BYVAL length&) AS LONG

' Text Functions (ALL)
DECLARE FUNCTION GdipDrawString LIB "gdiplus.dll" ALIAS "GdipDrawString" (BYVAL graphics&, BYVAL str AS STRING, BYVAL length&, BYVAL thefont&, layoutRect AS RECTF, BYVAL StringFormat&, BYVAL brush&) AS LONG
DECLARE FUNCTION GdipMeasureString LIB "gdiplus.dll" ALIAS "GdipMeasureString" (BYVAL graphics&, BYVAL str AS STRING, BYVAL length&, BYVAL thefont&, layoutRect AS RECTF, BYVAL StringFormat&, boundingBox AS RECTF, _
codepointsFitted&, linesFilled&) AS LONG
DECLARE FUNCTION GdipMeasureCharacterRanges LIB "gdiplus.dll" ALIAS "GdipMeasureCharacterRanges" (BYVAL graphics&, BYVAL str AS STRING, BYVAL length&, BYVAL thefont&, layoutRect AS RECTF, BYVAL StringFormat&, BYVAL regionCount _
AS LONG, regions&) AS LONG
DECLARE FUNCTION GdipDrawDriverString LIB "gdiplus.dll" ALIAS "GdipDrawDriverString" (BYVAL graphics&, BYVAL str AS STRING, BYVAL length&, BYVAL thefont&, BYVAL brush&, positions AS POINTF, BYVAL flags&, BYVAL matrix AS _
LONG) AS LONG
DECLARE FUNCTION GdipMeasureDriverString LIB "gdiplus.dll" ALIAS "GdipMeasureDriverString" (BYVAL graphics&, BYVAL str AS STRING, BYVAL length&, BYVAL thefont&, positions AS POINTF, BYVAL flags&, BYVAL matrix&, _
boundingBox AS RECTF) AS LONG

' String format Functions (ALL)
DECLARE FUNCTION GdipCreateStringFormat LIB "gdiplus.dll" ALIAS "GdipCreateStringFormat" (BYVAL formatAttributes&, BYVAL language AS INTEGER, StringFormat&) AS LONG
DECLARE FUNCTION GdipStringFormatGetGenericDefault LIB "gdiplus.dll" ALIAS "GdipStringFormatGetGenericDefault" (StringFormat&) AS LONG
DECLARE FUNCTION GdipStringFormatGetGenericTypographic LIB "gdiplus.dll" ALIAS "GdipStringFormatGetGenericTypographic" (StringFormat&) AS LONG
DECLARE FUNCTION GdipDeleteStringFormat LIB "gdiplus.dll" ALIAS "GdipDeleteStringFormat" (BYVAL StringFormat&) AS LONG
DECLARE FUNCTION GdipCloneStringFormat LIB "gdiplus.dll" ALIAS "GdipCloneStringFormat" (BYVAL StringFormat&, newFormat&) AS LONG
DECLARE FUNCTION GdipSetStringFormatFlags LIB "gdiplus.dll" ALIAS "GdipSetStringFormatFlags" (BYVAL StringFormat&, BYVAL flags&) AS LONG
DECLARE FUNCTION GdipGetStringFormatFlags LIB "gdiplus.dll" ALIAS "GdipGetStringFormatFlags" (BYVAL StringFormat&, flags&) AS LONG
DECLARE FUNCTION GdipSetStringFormatAlign LIB "gdiplus.dll" ALIAS "GdipSetStringFormatAlign" (BYVAL StringFormat&, BYVAL align&) AS LONG
DECLARE FUNCTION GdipGetStringFormatAlign LIB "gdiplus.dll" ALIAS "GdipGetStringFormatAlign" (BYVAL StringFormat&, align&) AS LONG
DECLARE FUNCTION GdipSetStringFormatLineAlign LIB "gdiplus.dll" ALIAS "GdipSetStringFormatLineAlign" (BYVAL StringFormat&, BYVAL align&) AS LONG
DECLARE FUNCTION GdipGetStringFormatLineAlign LIB "gdiplus.dll" ALIAS "GdipGetStringFormatLineAlign" (BYVAL StringFormat&, align&) AS LONG
DECLARE FUNCTION GdipSetStringFormatTrimming LIB "gdiplus.dll" ALIAS "GdipSetStringFormatTrimming" (BYVAL StringFormat&, BYVAL trimming&) AS LONG
DECLARE FUNCTION GdipGetStringFormatTrimming LIB "gdiplus.dll" ALIAS "GdipGetStringFormatTrimming" (BYVAL StringFormat&, trimming&) AS LONG
DECLARE FUNCTION GdipSetStringFormatHotkeyPrefix LIB "gdiplus.dll" ALIAS "GdipSetStringFormatHotkeyPrefix" (BYVAL StringFormat&, BYVAL hkPrefix&) AS LONG
DECLARE FUNCTION GdipGetStringFormatHotkeyPrefix LIB "gdiplus.dll" ALIAS "GdipGetStringFormatHotkeyPrefix" (BYVAL StringFormat&, hkPrefix&) AS LONG
DECLARE FUNCTION GdipSetStringFormatTabStops LIB "gdiplus.dll" ALIAS "GdipSetStringFormatTabStops" (BYVAL StringFormat&, BYVAL firstTabOffset!, BYVAL Count&, tabStops!) AS LONG
DECLARE FUNCTION GdipGetStringFormatTabStops LIB "gdiplus.dll" ALIAS "GdipGetStringFormatTabStops" (BYVAL StringFormat&, BYVAL Count&, firstTabOffset!, tabStops!) AS LONG
DECLARE FUNCTION GdipGetStringFormatTabStopCount LIB "gdiplus.dll" ALIAS "GdipGetStringFormatTabStopCount" (BYVAL StringFormat&, Count&) AS LONG
DECLARE FUNCTION GdipSetStringFormatDigitSubstitution LIB "gdiplus.dll" ALIAS "GdipSetStringFormatDigitSubstitution" (BYVAL StringFormat&, BYVAL language AS INTEGER, BYVAL substitute&) AS LONG
DECLARE FUNCTION GdipGetStringFormatDigitSubstitution LIB "gdiplus.dll" ALIAS "GdipGetStringFormatDigitSubstitution" (BYVAL StringFormat&, language AS INTEGER, substitute&) AS LONG
DECLARE FUNCTION GdipGetStringFormatMeasurableCharacterRangeCount LIB "gdiplus.dll" ALIAS "GdipGetStringFormatMeasurableCharacterRangeCount" (BYVAL StringFormat&, Count&) AS LONG
DECLARE FUNCTION GdipSetStringFormatMeasurableCharacterRanges LIB "gdiplus.dll" ALIAS "GdipSetStringFormatMeasurableCharacterRanges" (BYVAL StringFormat&, BYVAL rangeCount&, ranges AS CharacterRange) AS LONG

'-----------------------------------------------
' Helper Functions
'-----------------------------------------------

' Use this in lieu of the Color class constructor
FUNCTION ColorARGB(BYVAL Alpha AS BYTE, BYVAL Red AS BYTE, BYVAL Green AS BYTE, BYVAL Blue AS BYTE) AS LONG
    DIM bytestruct AS COLORBYTES
    DIM result AS COLORLONG

    bytestruct.AlphaByte = Alpha
    bytestruct.RedByte = Red
    bytestruct.GreenByte = Green
    bytestruct.BlueByte = Blue

    LSET result = bytestruct
    FUNCTION = result.longval
END FUNCTION

SUB SplitColorARGB(BYVAL ArgbColor&, Alpha AS BYTE, Red AS BYTE, Green AS BYTE, Blue AS BYTE)

    DIM bytestruct AS COLORBYTES

    LSET bytestruct = MKL$(ArgbColor&)
    Alpha? = bytestruct.AlphaByte
    Red? = bytestruct.RedByte
    Green? = bytestruct.GreenByte
    Blue? = bytestruct.BlueByte
END SUB

FUNCTION ColorSetAlpha(BYVAL lColor&, BYVAL Alpha AS BYTE) AS LONG
    DIM bytestruct AS COLORBYTES
    DIM result AS COLORLONG

    result.longval = lColor&
    LSET bytestruct = result

    bytestruct.AlphaByte = Alpha?

    LSET result = bytestruct
    FUNCTION = result.longval
END FUNCTION

' From www.mvps.org/vbnet...i think
'   Dereferences an ANSI or Unicode string pointer
'   and returns a normal VB BSTR
FUNCTION PtrToStrW(BYVAL lpsz&) AS STRING
    DIM sOut AS STRING
    DIM lLen AS LONG

  ' Patrice
  ' Warning, use: lLen = lstrlenW(lpsz) instead
  ' if DECLARE FUNCTION lstrlenw LIB "KERNEL32.DLL" ALIAS "lstrlenW" (BYVAL lpString AS ANY) AS LONG
    lLen = lstrlenW(BYVAL lpsz&)
    IF lLen THEN
       sOut = UCODE$(STRING$(lLen, 0))
       'CALL CopyMemory(BYVAL STRPTR(sOut), BYVAL lpsz&, lLen * 2)
       CALL MoveMemory(BYVAL STRPTR(sOut), BYVAL lpsz&, lLen * 2)
       FUNCTION = ACODE$(sOut)
    END IF
END FUNCTION

' Built-in encoders for saving: (You can *try* to get other types also)
'   image/bmp
'   image/jpeg
'   image/gif
'   image/x-emf
'   image/x-wmf
'   image/tiff
'   image/png
'   image/x-icon
'
' Notes When Saving:
'The JPEG encoder supports the Transformation, Quality, LuminanceTable, and ChrominanceTable parameter categories.
'The TIFF encoder supports the Compression, ColorDepth, and SaveFlag parameter categories.
'The BMP, PNG, and GIF encoders no do not support additional parameters.
'
' Purpose:
'The function calls GetImageEncoders to get an array of ImageCodecInfo objects. If one of the
'ImageCodecInfo objects in that array represents the requested encoder, the function returns
'the index of the ImageCodecInfo object and copies the GUIDAPI into the variable pointed to by pClsid.
'If the function fails, it returns -1.
FUNCTION GetEncoderClsid(strMimeType AS STRING, ClassID AS GUIDAPI) AS LONG
    DIM num&, Size&, I AS LONG
    DIM ICI() AS ImageCodecInfo
    DIM buffer() AS BYTE
  ' Get the encoder array size
    CALL GdipGetImageEncodersSize(num, Size)
    IF Size THEN
     ' Allocate room for the arrays dynamically
       REDIM ICI(1 TO num) AS ImageCodecInfo
       REDIM buffer(1 TO Size) AS BYTE
     ' Get the array and string data
       CALL GdipGetImageEncoders(num, Size, buffer(1))
     ' Copy the class headers
       CALL MoveMemory(BYVAL VARPTR (ICI(1)), buffer(1), (LEN(ICI(1)) * num))
     ' Loop through all the codecs
       FOR I = 1 TO num
         ' Must convert the pointer into a usable string
           IF PtrToStrW(ICI(I).MimeType) = strMimeType THEN
              ClassID = ICI(I).ClassID   ' Save the class id
              FUNCTION = I               ' return the index number for success
              EXIT FOR
           END IF
       NEXT
     ' Free the memory
       ERASE ICI(), buffer()
    ELSE
       FUNCTION = -1 ' Failure flag
    END IF   
END FUNCTION

' Same AS above, but for decoders
' Built in decoders: (You can *try* to get other types also)
'   image/bmp
'   image/jpeg
'   image/gif
'   image/x-emf
'   image/x-wmf
'   image/tiff
'   image/png
'   image/x-icon
FUNCTION GetDecoderClsid(strMimeType AS STRING, ClassID AS GUIDAPI) AS LONG
    DIM num&, Size&, I AS LONG
    DIM ICI() AS ImageCodecInfo
    DIM buffer() AS BYTE
  ' Get the encoder array size
    CALL GdipGetImageDecodersSize(num, Size)
    IF Size THEN
     ' Allocate room for the arrays dynamically
       REDIM ICI(1 TO num) AS ImageCodecInfo
       REDIM buffer(1 TO Size) AS BYTE
     ' Get the array and string data
       CALL GdipGetImageDecoders(num, Size, buffer(1))
     ' Copy the class headers
       CALL MoveMemory(BYVAL VARPTR (ICI(1)), buffer(1), (LEN(ICI(1)) * num))
     ' Loop through all the codecs
       FOR I = 1 TO num
         ' Must convert the pointer into a usable string
           IF PtrToStrW(ICI(I).MimeType) = strMimeType THEN
              ClassID = ICI(I).ClassID   ' Save the class id
              FUNCTION = I        ' return the index number for success
              EXIT FOR
           END IF
       NEXT
     ' Free the memory
       ERASE ICI(), buffer()
    ELSE
       FUNCTION = -1 ' Failure flag
    END IF
END FUNCTION

' This function was created AS a workaround to the problem of not being
' able to declare the GUID constants for the EncoderParameter GUIDs.
' This function was created AS a workaround to the problem of not being
' able to declare the GUID constants for the EncoderParameter GUIDs.
SUB GetParameterGUID(BYVAL GUIDType&, pGUID AS GUIDAPI)
' CLSIDs (aka GUIDs) used with the EncoderParameter structure:
   SELECT CASE LONG GUIDType&
      CASE %EncoderChrominanceTable
         pGUID.Data1 = &HF2E455DC
         pGUID.Data2 = &H9B3
         pGUID.Data3 = &H4316
         pGUID.Data4(0) = &H82
         pGUID.Data4(1) = &H60
         pGUID.Data4(2) = &H67
         pGUID.Data4(3) = &H6A
         pGUID.Data4(4) = &HDA
         pGUID.Data4(5) = &H32
         pGUID.Data4(6) = &H48
         pGUID.Data4(7) = &H1C

      CASE %EncoderColorDepth
         pGUID.Data1 = &H66087055
         pGUID.Data2 = &HAD66
         pGUID.Data3 = &H4C7C
         pGUID.Data4(0) = &H9A
         pGUID.Data4(1) = &H18
         pGUID.Data4(2) = &H38
         pGUID.Data4(3) = &HA2
         pGUID.Data4(4) = &H31
         pGUID.Data4(5) = &HB
         pGUID.Data4(6) = &H83
         pGUID.Data4(7) = &H37

      CASE %EncoderCompression
         pGUID.Data1 = &HE09D739D
         pGUID.Data2 = &HCCD4
         pGUID.Data3 = &H44EE
         pGUID.Data4(0) = &H8E
         pGUID.Data4(1) = &HBA
         pGUID.Data4(2) = &H3F
         pGUID.Data4(3) = &HBF
         pGUID.Data4(4) = &H8B
         pGUID.Data4(5) = &HE4
         pGUID.Data4(6) = &HFC
         pGUID.Data4(7) = &H58

      CASE %EncoderLuminanceTable
         pGUID.Data1 = &HEDB33BCE
         pGUID.Data2 = &H266
         pGUID.Data3 = &H4A77
         pGUID.Data4(0) = &HB9
         pGUID.Data4(1) = &H4
         pGUID.Data4(2) = &H27
         pGUID.Data4(3) = &H21
         pGUID.Data4(4) = &H60
         pGUID.Data4(5) = &H99
         pGUID.Data4(6) = &HE7
         pGUID.Data4(7) = &H17

      CASE %EncoderQuality
         pGUID.Data1 = &H1D5BE4B5
         pGUID.Data2 = &HFA4A
         pGUID.Data3 = &H452D
         pGUID.Data4(0) = &H9C
         pGUID.Data4(1) = &HDD
         pGUID.Data4(2) = &H5D
         pGUID.Data4(3) = &HB3
         pGUID.Data4(4) = &H51
         pGUID.Data4(5) = &H5
         pGUID.Data4(6) = &HE7
         pGUID.Data4(7) = &HEB

      CASE %EncoderRenderMethod
         pGUID.Data1 = &H6D42C53A
         pGUID.Data2 = &H229A
         pGUID.Data3 = &H4825
         pGUID.Data4(0) = &H8B
         pGUID.Data4(1) = &HB7
         pGUID.Data4(2) = &H5C
         pGUID.Data4(3) = &H99
         pGUID.Data4(4) = &HE2
         pGUID.Data4(5) = &HB9
         pGUID.Data4(6) = &HA8
         pGUID.Data4(7) = &HB8

      CASE %EncoderSaveFlag
         pGUID.Data1 = &H292266FC
         pGUID.Data2 = &HAC40
         pGUID.Data3 = &H47BF
         pGUID.Data4(0) = &H8C
         pGUID.Data4(1) = &HFC
         pGUID.Data4(2) = &HA8
         pGUID.Data4(3) = &H5B
         pGUID.Data4(4) = &H89
         pGUID.Data4(5) = &HA6
         pGUID.Data4(6) = &H55
         pGUID.Data4(7) = &HDE

      CASE %EncoderScanMethod
         pGUID.Data1 = &H3A4E2661
         pGUID.Data2 = &H3109
         pGUID.Data3 = &H4E56
         pGUID.Data4(0) = &H85
         pGUID.Data4(1) = &H36
         pGUID.Data4(2) = &H42
         pGUID.Data4(3) = &HC1
         pGUID.Data4(4) = &H56
         pGUID.Data4(5) = &HE7
         pGUID.Data4(6) = &HDC
         pGUID.Data4(7) = &HFA

      CASE %EncoderTransformation
         pGUID.Data1 = &H8D0EB2D1
         pGUID.Data2 = &HA58E
         pGUID.Data3 = &H4EA8
         pGUID.Data4(0) = &HAA
         pGUID.Data4(1) = &H14
         pGUID.Data4(2) = &H10
         pGUID.Data4(3) = &H80
         pGUID.Data4(4) = &H74
         pGUID.Data4(5) = &HB7
         pGUID.Data4(6) = &HB6
         pGUID.Data4(7) = &HF9

      CASE %EncoderVersion
         pGUID.Data1 = &H24D18C76
         pGUID.Data2 = &H814A
         pGUID.Data3 = &H41A4
         pGUID.Data4(0) = &HBF
         pGUID.Data4(1) = &H53
         pGUID.Data4(2) = &H1C
         pGUID.Data4(3) = &H21
         pGUID.Data4(4) = &H9C
         pGUID.Data4(5) = &HCC
         pGUID.Data4(6) = &HF7
         pGUID.Data4(7) = &H97
   END SELECT
END SUB

%FrameDimensionTime        = 0
%FrameDimensionResolution  = 1
%FrameDimensionPage        = 2

' This function was created AS a workaround to the problem of not being
' able to declare the GUID constants for the FrameDimension GUIDs.
' If there is a better way, let me know and/or fix it!
SUB GetDimensionGUID(BYVAL GUIDType&, pGUID AS GUIDAPI)
    SELECT CASE LONG GUIDType&
      CASE %FrameDimensionTime
         pGUID.Data1 = &H6AEDBD6D
         pGUID.Data2 = &H3FB5
         pGUID.Data3 = &H418A
         pGUID.Data4(0) = &H83
         pGUID.Data4(1) = &HA6
         pGUID.Data4(2) = &H7F
         pGUID.Data4(3) = &H45
         pGUID.Data4(4) = &H22
         pGUID.Data4(5) = &H9D
         pGUID.Data4(6) = &HC8
         pGUID.Data4(7) = &H72
      CASE %FrameDimensionResolution
         pGUID.Data1 = &H84236F7B
         pGUID.Data2 = &H3BD3
         pGUID.Data3 = &H428F
         pGUID.Data4(0) = &H8D
         pGUID.Data4(1) = &HAB
         pGUID.Data4(2) = &H4E
         pGUID.Data4(3) = &HA1
         pGUID.Data4(4) = &H43
         pGUID.Data4(5) = &H9C
         pGUID.Data4(6) = &HA3
         pGUID.Data4(7) = &H15
      CASE %FrameDimensionPage
         pGUID.Data1 = &H7462DC86
         pGUID.Data2 = &H6180
         pGUID.Data3 = &H4C7E
         pGUID.Data4(0) = &H8E
         pGUID.Data4(1) = &H3F
         pGUID.Data4(2) = &HEE
         pGUID.Data4(3) = &H73
         pGUID.Data4(4) = &H33
         pGUID.Data4(5) = &HA7
         pGUID.Data4(6) = &HA4
         pGUID.Data4(7) = &H83
    END SELECT
END SUB

'+--------------------------------------------------------------------------+
'|                                                                          |
'|                          GDIPLUS encapsulation                           |
'|                                                                          |
'|                Require WinLIFT Skin Engine version 2.50 +                |
'|                                                                          |
'+--------------------------------------------------------------------------+
'|                                                                          |
'|                         Author Patrice TERRIER                           |
'|            8 Domaine de Rochagnon. 38800 Champagnier  FRANCE             |
'|                       http://www.zapsolution.com                         |
'|                    E-mail: pterrier@zapsolution.com                      |
'|                                                                          |
'|                   copyright (c) 2002 Patrice TERRIER                     |
'|                                                                          |
'+--------------------------------------------------------------------------+
'|                  Project started on : 08-15-2002                         |
'|                        Last revised : 08-24-2002                         |
'+--------------------------------------------------------------------------+


$GDIPLUSIMG = ".DIB.EMF.GIF.JPG.JPEG.PNG.TIF.TIFF.WMF."
$GDIPLUSEXT = $GDIPLUSIMG + "BMP.ICO."
$GDISAVEEXT = ".GIF.JPG.JPEG.PNG.TIF.TIFF.BMP."

%USEGDIPLUS = -1
%GP_BMPTYPE = 1

' GDIPLUS Init (load the GDIPLUS.DLL)
FUNCTION gpStart&()
 ' Load the GDI+ Dll
   Dim GpInput AS GdiplusStartupInput
   GpInput.GdiplusVersion = 1
   IF GdiplusStartup(hGDIplus&, GpInput) = 0 THEN FUNCTION = hGDIplus&
END FUNCTION

' GDIPLUS unload (unload the GDIPLUS.DLL)
SUB gpEnd(BYVAL hGDIplus&)
  ' Unload the GDI+ Dll
    IF hGDIplus& THEN CALL GdiplusShutdown(hGDIplus&)
END SUB

' Determines the presence of a file.
FUNCTION gpExist (BYVAL FileSpec$) AS LONG
    LOCAL fd AS WIN32_FIND_DATA
    IF LEN(FileSpec$) THEN
       hFind& = FindFirstFile(BYVAL STRPTR(FileSpec$), fd)
       IF hFind& <> %INVALID_HANDLE_VALUE THEN
          CALL FindClose(hFind&)
          FUNCTION = -1
       END IF
    END IF
END FUNCTION

' Returns the width and height of a bitmap.
SUB gpGetPixmapSize(BYVAL hBmp&, xWidth&, yHeight&)
    LOCAL bm AS BITMAP
    IF hBmp& THEN
       CALL GetObject(hBmp&, SIZEOF(bm), bm)
       xWidth& = bm.bmWidth
       yHeight& = bm.bmHeight
    END IF
END SUB

' Detect OS version
FUNCTION gpOsVersion () AS LONG
'@' "186"

    DIM os AS OSVERSIONINFO

    os.dwOSVersionInfoSize = SIZEOF(os)

    IF GetVersionEx(os) THEN

       SELECT CASE LONG os.dwPlatformId
       CASE 1
            FUNCTION = os.dwPlatformId
            IF os.dwMinorVersion = 0 THEN
               FUNCTION = 95  ' "Windows 95"
            ELSEIF os.dwMinorVersion = 10 THEN
               FUNCTION = 98  ' "Windows 98"
            ELSEIF os.dwMinorVersion = 90 THEN
               FUNCTION = 100 ' "Windows ME"
            END IF
       CASE 2
            FUNCTION = os.dwPlatformId
            IF os.dwMajorVersion = 3 THEN
               FUNCTION = 351 ' "Windows NT 3.51"
            ELSEIF os.dwMajorVersion = 4 THEN
               FUNCTION = 400 ' "Windows NT 4.0"
            ELSEIF os.dwMajorVersion = 5 THEN
               FUNCTION = 500 ' "Windows 2000"
               IF os.dwMinorVersion = 1 THEN
                  FUNCTION = 501 ' "Windows XP"
               END IF
            END IF
       CASE ELSE
            FUNCTION = -1     ' "Unknown"
       END SELECT
    ELSE
       FUNCTION = 0           ' "Failed"
    END IF

END FUNCTION

' Load a graphic file, must be a supported GDIPLUS format.
FUNCTION gpLoadImage&(BYVAL ImgName$, imgWidth&, imgHeight&, ImageType&)

    LOCAL cs AS CRITICAL_SECTION

    UseImageType& = ImageType&
    So& = INSTR(-1, ImgName$, ".")
    IF NOT gpExist(ImgName$) THEN So& = 0
    IF So& THEN
       ImgType$ = UCASE$(MID$(ImgName$, So&)) + "."
       ImageType& = INSTR($GDIPLUSEXT, ImgType$)
       IF ImageType& THEN
        ' 
        ' Note: GDIPLUS is optimized for fast display of JPEG and EXIF file.
        '       But it is slow when dealing with BMP files on pseudo 32-bit like 98/ME, 
        '       this is the reason why we use the standard API with those OS.
        '
          CALL InitializeCriticalSection(cs)
          CALL EnterCriticalSection(cs)
          OsVersion& = gpOsVersion
          IF UseImageType& = %USEGDIPLUS THEN OsVersion& = 500
          IF ImageType& = %GP_BMPTYPE AND OsVersion& < 500 THEN
             img& = LoadImage(BYVAL 0&, (ImgName$), %IMAGE_BITMAP, 0, 0, %LR_LOADFROMFILE)
             IF UseImageType& = %GP_BMPTYPE THEN ' Means use standard API for 98/NT/ME
              ' Get the image height and width
                CALL gpGetPixmapSize(img&, imgWidth&, imgHeight&)
             ELSE ' W2K/XP
                hBmp& = img&
                CALL GdipCreateBitmapFromHBITMAP(hBmp&, BYVAL %NULL, img&)
              ' Get the image height and width
                CALL GdipGetImageWidth(img&, imgWidth&)
                CALL GdipGetImageHeight(img&, imgHeight&)
                CALL DeleteObject(hBmp&)
                ImageType& = - %GP_BMPTYPE
             END IF
          ELSE
             imgWidth& = 0: imgHeight& = 0
           ' Load the image
             IF GdipLoadImageFromFile(UCODE$(ImgName$), img&) = 0 THEN
              ' Get the image height and width
                CALL GdipGetImageWidth(img&, imgWidth&)
                CALL GdipGetImageHeight(img&, imgHeight&)
                IF gpOsVersion > 499 THEN ImageType& = - ImageType&
             END IF
          END IF
          CALL LeaveCriticalSection(cs)
          CALL DeleteCriticalSection(cs)
       END IF
    END IF  
    FUNCTION = img&
END FUNCTION

' Delete a GDIPLUS bitmap from memory
SUB gpDeleteImage(img&, OPTIONAL BYVAL ImageType&)
  ' Delete the image
    IF ImageType& = %GP_BMPTYPE THEN
       IF img& THEN CALL DeleteObject(img&)
    ELSE
       IF img& THEN CALL GdipDisposeImage(img&)
    END IF
    img& = 0
END SUB

' Draw a GDIPLUS image to a specific DC (allows stretching)
' Note: This function is being used to draw thumbnails in skPick, don't change its behavior!
SUB gpDrawImageRectI(BYVAL hDC&, BYVAL img&, BYVAL x&, BYVAL y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL ImageType&, OPTIONAL BYVAL Quality&)
    IF img& THEN
       IF ImageType& = %GP_BMPTYPE THEN
          CALL gpGetPixmapSize(img&, bmWidth&, bmHeight&)
          hDCSrce& = CreateCompatibleDC(hDC&)
          CALL SelectObject(hDCSrce&, img&)
          IF GetStretchBltMode(hDC&) <> %STRETCH_DELETESCANS THEN
             CALL SetStretchBltMode(hDC&, %STRETCH_DELETESCANS)
          END IF
          CALL StretchBlt(hDC&, x&, y&, xWidth&, yHeight&, hDCSrce&, 0, 0, bmWidth&, bmHeight&, %SRCCOPY)
          CALL DeleteDC(hDCSrce&)
       ELSE
        ' Initialize the graphics class - required for all drawing
          IF GdipCreateFromHDC(hDC&, graphics&) = 0 THEN
           ' Set up stretching QualityMode
             CALL GdipSetInterpolationMode(graphics&, Quality&)
           ' Draw image
             CALL GdipDrawImageRectI(graphics&, img&, x&, y&, xWidth&, yHeight&)
           ' Cleanup
             CALL GdipDeleteGraphics(graphics&)
          END IF
       END IF
    END IF
END SUB

' Draw a GDIPLUS image Rect to Rect allowing stretching and use of interpolation quality.
SUB gpDrawImageRectRectI(BYVAL hDC&, BYVAL img&, BYVAL Dest AS RECT, BYVAL Srce AS RECT, BYVAL Quality&, OPTIONAL BYVAL ImgAttr&)
' Quality& = %InterpolationModeDefault
' Quality& = %InterpolationModeLowQuality
' Quality& = %InterpolationModeHighQuality
' Quality& = %InterpolationModeBilinear
' Quality& = %InterpolationModeBicubic
' Quality& = %InterpolationModeNearestNeighbor
' Quality& = %InterpolationModeHighQualityBilinear
' Quality& = %InterpolationModeHighQualityBicubic

    CALL GdipCreateFromHDC(hDC&, graphics&)
    CALL GdipSetInterpolationMode(graphics&, Quality&)
    CALL GdipDrawImageRectRectI(graphics&, img&, _
                               Dest.nLeft, Dest.nTop, Dest.nRight, Dest.nBottom, _
                               Srce.nLeft, Srce.nTop, Srce.nRight, Srce.nBottom, %UnitPixel, _
                               ImgAttr&) ' This is an optional parameter

    IF imgAttr& THEN CALL GdipDisposeImageAttributes(imgAttr&)

    CALL GdipDeleteGraphics(graphics&)

END SUB

' Create a GDIPLUS image bitmap from a standard bitmap.
FUNCTION gpCreateImageFromBitmap&(BYVAL hBitmap&)
    CALL GdipCreateBitmapFromHBITMAP(hBitmap&, BYVAL %NULL, img&)
    FUNCTION = img&
END FUNCTION

' Save an Image to file
FUNCTION gpSaveImageToFile&(BYVAL ImgName$, BYVAL img&)
    LOCAL encoderCLSID AS GUIDAPI
    IF LEN(ImgName$) THEN
       So& = INSTR(-1, ImgName$, ".")
       IF So& THEN
          ImgType$ = UCASE$(MID$(ImgName$, So&)) + "."
          ImageType& = INSTR($GDIPLUSEXT, ImgType$)
          IF ImageType& THEN
             ImgType$ = TRIM$(ImgType$, ".")
             SELECT CASE CONST$ ImgType$
             CASE "BMP":         GetType$ = "image/bmp"
             CASE "EMF":         GetType$ = "image/x-emf"
             CASE "GIF":         GetType$ = "image/gif"
             CASE "ICO":         GetType$ = "image/x-icon"
             CASE "JPG", "JPEG": GetType$ = "image/jpeg"
             CASE "PNG":         GetType$ = "image/png"
             CASE "TIF", "TIFF": GetType$ = "image/tiff"
             CASE "WMF":         GetType$ = "image/x-wmf"
             END SELECT         
             IF LEN(GetType$) THEN
              ' Get the CLSID for the  encoder
                CALL GetEncoderClsid(GetType$, encoderCLSID)
              ' NOTE: The NULL (aka 0) must be passed BYVAL, 
              ' AS the function declaration would get a pointer to the number 0.
                FUNCTION = GdipSaveImageToFile(img&, UCODE$(ImgName$), encoderCLSID, BYVAL 0)
              ' Successfull FUNCTION = 0    
              ' Error       FUNCTION = ErrCode
             END IF
          END IF
       END IF
    ELSE
       FUNCTION = -1 ' Failure Flag
    END IF
END FUNCTION

' Create a new bitmap from a provided DC
FUNCTION gpCreateBitmapFromDC&(BYVAL hDC&, BYVAL x&, BYVAL y&, BYVAL xWidth&, BYVAL yHeight&)
    hDCTemp& = CreateCompatibleDC(hDC&)
    hBMTemp& = CreateCompatibleBitmap(hDC&, xWidth&, yHeight&) ' Clip it to requested size
    CALL SelectObject(hDCTemp&, hBMTemp&)
    CALL BitBlt(hDCTemp&, 0, 0, xWidth&, yHeight&, hDC&, x&, y&, %SRCCOPY)
    CALL DeleteDC(hDCTemp&)
    FUNCTION = hBMTemp&
END FUNCTION

FUNCTION gpDrawEllipseI&(BYVAL hDC&, BYVAL pen&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL nHeight&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       Ret& = GdipDrawEllipseI(graphics&, pen&, x&, y&, nWidth&, nHeight&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpDrawLineI&(BYVAL hDC&, BYVAL pen&, BYVAL x1&, BYVAL y1&, BYVAL x2&, BYVAL y2&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       Ret& = GdipDrawLineI(graphics&, pen&, x1&, y1&, x2&, y2&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpSetTextRenderingHint&(BYVAL hDC&, BYVAL RenderingMode&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipSetTextRenderingHint(graphics&, RenderingMode&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpDrawString&(BYVAL hDC&, BYVAL UseString$, BYVAL UseFont&, BYVAL rcLayout AS RECTF, BYVAL Brush&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
     ' We have no string format object, so pass a NULL for that parameter
       Ret& = GdipDrawString(graphics&, UCODE$(UseString$), LEN(UseString$), UseFont&, rcLayout, 0, brush&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpColorARGB(BYVAL Alpha AS BYTE, BYVAL ColrRGB???) AS LONG
    DIM bytestruct AS COLORBYTES
    DIM result AS COLORLONG

    bytestruct.AlphaByte = Alpha
    bytestruct.RedByte = GetRValue(ColrRGB???)
    bytestruct.GreenByte = GetGValue(ColrRGB???)
    bytestruct.BlueByte = GetBValue(ColrRGB???)

    LSET result = bytestruct
    FUNCTION = result.longval
END FUNCTION

FUNCTION gpDrawStringEx&(BYVAL hDC&, BYVAL Txt$, BYVAL x&, BYVAL y&, BYVAL ColrARGB&, BYVAL TextRendering&, BYVAL CurFont&, BYVAL ShadowOffSet&)
  ' Designates the string drawing bounds
    LOCAL rcLayout AS RECTF 
    CALL gpSetTextRenderingHint(hDC&, TextRendering&)
    IF ShadowOffset& THEN
     ' Create a brush for the text shadow with
       CALL GdipCreateSolidFill(gpColorARGB(128, 0), brush&)
     ' Set up a drawing area for the shadow
     ' NOTE: Leaving the right and bottom values at zero means there is no boundary
       rcLayout.nLeft = x& + ShadowOffset&
       rcLayout.nTop = y& + ABS(ShadowOffset&)
       CALL gpDrawString(hDC&, Txt$, curFont&, rcLayout, Brush&)
     ' Cleanup
       CALL GdipDeleteBrush(brush&)
    END IF
    CALL GdipCreateSolidFill(ColrARGB&, brush&)
  ' Set up a drawing area
  ' NOTE: Leaving the right and bottom values at zero means there is no boundary
    rcLayout.nLeft = x&
    rcLayout.nTop = y&
    FUNCTION = gpDrawString(hDC&, Txt$, curFont&, rcLayout, Brush&)
  ' Cleanup
    CALL GdipDeleteBrush(brush&)
END FUNCTION

FUNCTION gpDrawStringFormated&(BYVAL hDC&, BYVAL Txt$, BYVAL x&, BYVAL y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL ColrARGB&, BYVAL TextRendering&, BYVAL curFont&, BYVAL strFormat&)
    LOCAL rcLayout AS RECTF 
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipCreateSolidFill(ColrARGB&, brush&)

       CALL gpSetTextRenderingHint(hDC&, TextRendering&)

       rcLayout.nLeft  = x&:      rcLayout.nTop    = y&
       rcLayout.nRight = xWidth&: rcLayout.nBottom = yHeight&
       Ret& = GdipDrawString(graphics&, UCODE$(Txt$), -1, curFont&, rcLayout, strFormat&, brush&)

     ' Cleanup
       CALL GdipDeleteBrush(brush&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpDrawRectangleS&(BYVAL hDC&, BYVAL pen&, BYVAL x!, BYVAL y!, BYVAL xWidth!, BYVAL yHeight!, BYVAL PenColor&, BYVAL PenSize&)
    LOCAL rcLayout AS RECTF 
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipCreatePen1(PenColor&, PenSize&, %UnitPixel, pen&)
       rcLayout.nLeft  = x!:      rcLayout.nTop    = y!
       rcLayout.nRight = xWidth!: rcLayout.nBottom = yHeight!
       Ret& = GdipDrawRectangleS(graphics&, pen&, rcLayout, 1)
       CALL GdipDeleteGraphics(graphics&)
       CALL GdipDeletePen(pen&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpFillRectangleI&(BYVAL hDC&, BYVAL x&, BYVAL y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL ColrARGB&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipCreateSolidFill(ColrARGB&, brush&)
       Ret& = GdipFillRectangleI(graphics&, brush&, x&, y&, xWidth&, yHeight&)
     ' Cleanup
       CALL GdipDeleteBrush(brush&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

' Image Alpha translucency setup.
FUNCTION gpSetImageAttributesAlpha&(BYVAL hDC&, BYVAL Alpha AS BYTE, imgAttr&)
    LOCAL clrMatrix AS ColorMatrix
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       Translucency! = Alpha / 255
     ' Create the ImageAttributes object
       CALL GdipCreateImageAttributes(imgAttr&)
     ' Fill the color matrix
     ' See Translucency! in row 4, column 4, that allows you to set up translucency
       clrMatrix.m(0, 0) = 1: clrMatrix.m(1, 0) = 0: clrMatrix.m(2, 0) = 0: clrMatrix.m(3, 0) = 0: clrMatrix.m(4, 0) = 0
       clrMatrix.m(0, 1) = 0: clrMatrix.m(1, 1) = 1: clrMatrix.m(2, 1) = 0: clrMatrix.m(3, 1) = 0: clrMatrix.m(4, 1) = 0
       clrMatrix.m(0, 2) = 0: clrMatrix.m(1, 2) = 0: clrMatrix.m(2, 2) = 1: clrMatrix.m(3, 2) = 0: clrMatrix.m(4, 2) = 0
       clrMatrix.m(0, 3) = 0: clrMatrix.m(1, 3) = 0: clrMatrix.m(2, 3) = 0: clrMatrix.m(3, 3) = Translucency!: clrMatrix.m(4, 3) = 0
       clrMatrix.m(0, 4) = 0: clrMatrix.m(1, 4) = 0: clrMatrix.m(2, 4) = 0: clrMatrix.m(3, 4) = 0: clrMatrix.m(4, 4) = 1
     ' And set its color matrix
       FUNCTION = GdipSetImageAttributesColorMatrix(imgAttr&, %ColorAdjustTypeDefault, %TRUE, clrMatrix, BYVAL 0, %ColorMatrixFlagsDefault)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpSetCompositingQuality&(BYVAL hDC&, BYVAL CompositingQuality&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipSetCompositingQuality(graphics&, CompositingQuality&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpFillEllipseI&(BYVAL hDC&, BYVAL x&, BYVAL y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL ColrARGB&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipCreateSolidFill(ColrARGB&, brush&)
       Ret& = GdipFillEllipseI(graphics&, brush&, x&, y&, xWidth&, yHeight&)
     ' Cleanup
       CALL GdipDeleteBrush(brush&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpFillPieI&(BYVAL hDC&, BYVAL x&, BYVAL y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL ColrARGB&, BYVAL startAngle!, BYVAL sweepAngle!)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipCreateSolidFill(ColrARGB&, brush&)
       Ret& = GdipFillPieI(graphics&, brush&, x&, y&, xWidth&, yHeight&, startAngle!, sweepAngle!)
     ' Cleanup
       CALL GdipDeleteBrush(brush&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpFillEllipseHatchI&(BYVAL hDC&, BYVAL x&, BYVAL y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL foreColrARGB&, BYVAL backColrARGB&, BYVAL HatchStyle&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipCreateHatchBrush(HatchStyle&, foreColrARGB&, backColrARGB&, brush&)
       Ret& = GdipFillEllipseI(graphics&, brush&, x&, y&, xWidth&, yHeight&)
     ' Cleanup
       CALL GdipDeleteBrush(brush&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpFillPieHatchI&(BYVAL hDC&, BYVAL x&, BYVAL y&, BYVAL xWidth&, BYVAL yHeight&, BYVAL foreColrARGB&, BYVAL backColrARGB&, BYVAL HatchStyle&, BYVAL startAngle!, BYVAL sweepAngle!)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipCreateHatchBrush(HatchStyle&, foreColrARGB&, backColrARGB&, brush&)
       Ret& = GdipFillPieI(graphics&, brush&, x&, y&, xWidth&, yHeight&, startAngle!, sweepAngle!)
     ' Cleanup
       CALL GdipDeleteBrush(brush&)
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpFillRectangle&(BYVAL hDC&, BYVAL brush&, BYVAL x!, BYVAL y!, BYVAL xWidth!, BYVAL yHeight!)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       Ret& = GdipFillRectangle(graphics&, brush&, x!, y!, xWidth!, yHeight!)
     ' Cleanup
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpFillEllipse&(BYVAL hDC&, BYVAL brush&, BYVAL x!, BYVAL y!, BYVAL xWidth!, BYVAL yHeight!)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       Ret& = GdipFillEllipse(graphics&, brush&, x!, y!, xWidth!, yHeight!)
     ' Cleanup
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpRotateWorldTransform&(BYVAL hDC&, BYVAL Angle!, BYVAL Order&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       Ret& = GdipRotateWorldTransform(graphics&, Angle!, Order&)
     ' Cleanup
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpDrawImage&(BYVAL hDC&, BYVAL img&, BYVAL x&, BYVAL y&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       Ret& = GdipDrawImageI(graphics&, img&, BYVAL x&, y&)
     ' Cleanup
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpRotateImageI&(BYVAL hDC&, BYVAL img&, BYVAL x&, BYVAL y&, imgWidth&, imgHeight&, BYVAL Angle!, BYVAL Order&)
    Ret& = -1
    IF hDC& THEN
       CALL GdipCreateFromHDC(hDC&, graphics&)
       CALL GdipRotateWorldTransform(graphics&, Angle!, Order&)
       Ret& = GdipDrawImageRectI(graphics&, img&, x&, y&, imgWidth&, imgHeight&)
     ' Cleanup
       CALL GdipDeleteGraphics(graphics&)
    END IF
    FUNCTION = Ret&
END FUNCTION

FUNCTION gpDrawRoundRectangleI(BYVAL graphics&, BYVAL pen&, BYVAL x&, BYVAL y&, BYVAL nWidth&, BYVAL Height&) AS LONG

       ArcWidth& = MAX&((MIN&(nWidth&, Height&) * .33) \ 2, 1)
       Radius& = ArcWidth& \ 2
     
       HR& = Height& - Radius&: WR& = nWidth& - Radius&
       H2& = Height& \ 2:       W2& = nWidth& \ 2

       DIM pt(1 TO 12) AS POINTL

       pt(1).x = x& + Radius&: pt(1).y = y&
       pt(2).x = x& + W2&: pt(2).y = y& - 1
       pt(3).x = x& + WR&: pt(3).y = y&

       pt(4).x = x& + nWidth&: pt(4).y = y& + Radius&
       pt(5).x = x& + nWidth& + 1: pt(5).y = y& + H2&
       pt(6).x = x& + nWidth&: pt(6).y = y& + HR&
       
       pt(7).x = x& + WR&: pt(7).y = y& + Height&
       pt(8).x = x& + W2&: pt(8).y = y& + Height& + 1
       pt(9).x = x& + Radius&: pt(9).y = y& + Height&
       
       pt(10).x = x&: pt(10).y = y& + HR&
       pt(11).x = x& - 1: pt(11).y = y& + H2&
       pt(12).x = x&: pt(12).y = y& + Radius&
       
       Ret& = GdipDrawClosedCurve2I (graphics&, pen&, pt(1), UBOUND(pt), .25)

END FUNCTION
